package sample;
/**
 * @ws.sdo.value-object
 * 	name="AddressSDO"
 * 	read-only="false"
 * Bean implementation class for Enterprise Bean: Address
 */
public abstract class AddressBean implements javax.ejb.EntityBean {
	private javax.ejb.EntityContext myEntityCtx;
	/**
	 * setEntityContext
	 */
	public void setEntityContext(javax.ejb.EntityContext ctx) {
		myEntityCtx = ctx;
	}
	/**
	 * getEntityContext
	 */
	public javax.ejb.EntityContext getEntityContext() {
		return myEntityCtx;
	}
	/**
	 * unsetEntityContext
	 */
	public void unsetEntityContext() {
		myEntityCtx = null;
	}
	/**
	 * ejbCreate
	 */
	public sample.AddressKey ejbCreate(java.lang.Integer addressid)
		throws javax.ejb.CreateException {
		setAddressid(addressid);
		return null;
	}
	/**
	 * ejbPostCreate
	 */
	public void ejbPostCreate(java.lang.Integer addressid)
		throws javax.ejb.CreateException {
	}
	/**
	 * ejbActivate
	 */
	public void ejbActivate() {
	}
	/**
	 * ejbLoad
	 */
	public void ejbLoad() {
	}
	/**
	 * ejbPassivate
	 */
	public void ejbPassivate() {
	}
	/**
	 * ejbRemove
	 */
	public void ejbRemove() throws javax.ejb.RemoveException {
	}
	/**
	 * ejbStore
	 */
	public void ejbStore() {
	}
	/**
	 * ejbCreate method for a CMP entity bean.
	 */
	public sample.AddressKey ejbCreate(
		java.lang.Integer addressid,
		java.lang.String street,
		java.lang.String city,
		java.lang.String zip,
		java.lang.String phonenum,
		sample.StatesLocal argFk_state) throws javax.ejb.CreateException {
		setAddressid(addressid);
		setStreet(street);
		setCity(city);
		setZip(zip);
		setPhonenum(phonenum);
		return null;
	}
	/**
	 * ejbPostCreate
	 */
	public void ejbPostCreate(
		java.lang.Integer addressid,
		java.lang.String street,
		java.lang.String city,
		java.lang.String zip,
		java.lang.String phonenum,
		sample.StatesLocal argFk_state) throws javax.ejb.CreateException {
		setFk_state(argFk_state);
	}
	/**
	 * @ws.sdo.value-object
	 * 	match="AddressSDO"
	 * Get accessor for persistent attribute: addressid
	 */
	public abstract java.lang.Integer getAddressid();
	/**
	 * Set accessor for persistent attribute: addressid
	 */
	public abstract void setAddressid(java.lang.Integer newAddressid);
	/**
	 * @ws.sdo.value-object
	 * 	match="AddressSDO"
	 * Get accessor for persistent attribute: street
	 */
	public abstract java.lang.String getStreet();
	/**
	 * Set accessor for persistent attribute: street
	 */
	public abstract void setStreet(java.lang.String newStreet);
	/**
	 * @ws.sdo.value-object
	 * 	match="AddressSDO"
	 * Get accessor for persistent attribute: city
	 */
	public abstract java.lang.String getCity();
	/**
	 * Set accessor for persistent attribute: city
	 */
	public abstract void setCity(java.lang.String newCity);
	/**
	 * @ws.sdo.value-object
	 * 	match="AddressSDO"
	 * Get accessor for persistent attribute: zip
	 */
	public abstract java.lang.String getZip();
	/**
	 * Set accessor for persistent attribute: zip
	 */
	public abstract void setZip(java.lang.String newZip);
	/**
	 * @ws.sdo.value-object
	 * 	match="AddressSDO"
	 * Get accessor for persistent attribute: phonenum
	 */
	public abstract java.lang.String getPhonenum();
	/**
	 * Set accessor for persistent attribute: phonenum
	 */
	public abstract void setPhonenum(java.lang.String newPhonenum);
	/**
	 * @ws.sdo.value-object
	 * 	match="AddressSDO"
	 * 	target-value-object="UserSDO"
	 * 	contained="false"
	 * This method was generated for supporting the relationship role named registration.
	 * It will be deleted/edited when the relationship is deleted/edited.
	 */
	public abstract java.util.Collection getRegistration();
	/**
	 * This method was generated for supporting the relationship role named registration.
	 * It will be deleted/edited when the relationship is deleted/edited.
	 */
	public abstract void setRegistration(java.util.Collection aRegistration);
	/**
	 * This method was generated for supporting the relationship role named registration_1.
	 * It will be deleted/edited when the relationship is deleted/edited.
	 */
	public abstract java.util.Collection getRegistration_1();
	/**
	 * This method was generated for supporting the relationship role named registration_1.
	 * It will be deleted/edited when the relationship is deleted/edited.
	 */
	public abstract void setRegistration_1(java.util.Collection aRegistration_1);
	/**
	 * @ws.sdo.value-object
	 * 	match="AddressSDO"
	 * 	target-value-object="StatesSDO"
	 * 	contained="false"
	 * This method was generated for supporting the relationship role named fk_state.
	 * It will be deleted/edited when the relationship is deleted/edited.
	 */
	public abstract sample.StatesLocal getFk_state();
	/**
	 * This method was generated for supporting the relationship role named fk_state.
	 * It will be deleted/edited when the relationship is deleted/edited.
	 */
	public abstract void setFk_state(sample.StatesLocal aFk_state);
}