package sample;
import javax.ejb.CreateException;

import com.ibm.etools.service.locator.ServiceLocatorManager;
import com.ibm.oiddemo.OIDGeneratorSessionLocal;
import com.ibm.oiddemo.OIDGeneratorSessionLocalHome;
/**
 * @ws.sbf.session-facade
 * 	match="UserFacade"
 *  value-objects="BidSDO"
 * @ws.sdo.value-object name="BidSDO"
 * Bean implementation class for Enterprise Bean: Bid
 */
public abstract class BidBean implements javax.ejb.EntityBean {
	private javax.ejb.EntityContext myEntityCtx;

	private final static Class STATIC_OIDGeneratorSessionLocalHome_CLASS = OIDGeneratorSessionLocalHome.class;
	private final static String STATIC_OIDGeneratorSessionLocalHome_REF_NAME = "ejb/OIDGeneratorSession";
	/**
	 * setEntityContext
	 */
	public void setEntityContext(javax.ejb.EntityContext ctx) {
		myEntityCtx = ctx;
	}

	/**
	 * getEntityContext
	 */
	public javax.ejb.EntityContext getEntityContext() {
		return myEntityCtx;
	}

	/**
	 * unsetEntityContext
	 */
	public void unsetEntityContext() {
		myEntityCtx = null;
	}

	/**
	 * ejbCreate
	 */
	public sample.BidKey ejbCreate(java.lang.Integer bidid)
		throws javax.ejb.CreateException {
		setBidid(bidid);
		return null;
	}
	/**
	 * ejbPostCreate
	 */
	public void ejbPostCreate(java.lang.Integer bidid)
		throws javax.ejb.CreateException {
	}
	/**
	 * ejbActivate
	 */
	public void ejbActivate() {
	}

	/**
	 * ejbLoad
	 */
	public void ejbLoad() {
	}

	/**
	 * ejbPassivate
	 */
	public void ejbPassivate() {
	}

	/**
	 * ejbRemove
	 */
	public void ejbRemove() throws javax.ejb.RemoveException {
	}

	/**
	 * ejbStore
	 */
	public void ejbStore() {
	}

	/**
	 * ejbCreate method for a CMP entity bean.
	 */
	public sample.BidKey ejbCreate(java.lang.Integer bidid,
			java.lang.Integer currentbid,
			sample.RegistrationLocal argFk_bidderid,
			sample.ItemLocal argFk_itemtypeid) throws javax.ejb.CreateException {
		setBidid(bidid);
		setCurrentbid(currentbid);
		return null;
	}

	/**
	 * ejbPostCreate
	 */
	public void ejbPostCreate(java.lang.Integer bidid,
			java.lang.Integer currentbid,
			sample.RegistrationLocal argFk_bidderid,
			sample.ItemLocal argFk_itemid) throws javax.ejb.CreateException {
		setFk_bidderid(argFk_bidderid);
		setFk_itemid(argFk_itemid);
	}

	public sample.BidKey ejbCreate(java.lang.Integer bidAmount,
			java.lang.Integer maxBid, java.lang.Integer idIncrement)
			throws javax.ejb.CreateException {
		setBidid(getNextOIDValue());
		setCurrentbid(bidAmount);
		setMaximumbid(maxBid);
		setBidincrement(idIncrement);
		return null;
	}
	public void ejbPostCreate(java.lang.Integer bidAmount,
			java.lang.Integer maxBid, java.lang.Integer idIncrement)
			throws javax.ejb.CreateException {
		setCurrentbid(bidAmount);
		setMaximumbid(maxBid);
		setBidincrement(idIncrement);
	}
	private Integer getNextOIDValue() {
		OIDGeneratorSessionLocal anOIDGeneratorSessionLocal = createOIDGeneratorSessionLocal();
		return anOIDGeneratorSessionLocal.getNextOID(BidLocalHome.ASN_NAME);
	}

	/**
	 * Get accessor for persistent attribute: bidid
	 * @ws.sdo.value-object
	 * 	match="BidSDO" 
	 */
	public abstract java.lang.Integer getBidid();
	/**
	 * Set accessor for persistent attribute: bidid
	 */
	public abstract void setBidid(java.lang.Integer newBidid);
	/**
	 * Get accessor for persistent attribute: currentbid
	 * @ws.sdo.value-object
	 * 	match="BidSDO" 
	 */
	public abstract java.lang.Integer getCurrentbid();
	/**
	 * Set accessor for persistent attribute: currentbid
	 */
	public abstract void setCurrentbid(java.lang.Integer newCurrentbid);
	/**
	 * Get accessor for persistent attribute: maximumbid
	 * @ws.sdo.value-object
	 * 	match="BidSDO" 
	 */
	public abstract java.lang.Integer getMaximumbid();
	/**
	 * Set accessor for persistent attribute: maximumbid
	 */
	public abstract void setMaximumbid(java.lang.Integer newMaximumbid);
	/**
	 * Get accessor for persistent attribute: bidincrement
	 * @ws.sdo.value-object
	 * 	match="BidSDO" 
	 */
	public abstract java.lang.Integer getBidincrement();
	/**
	 * Set accessor for persistent attribute: bidincrement
	 */
	public abstract void setBidincrement(java.lang.Integer newBidincrement);
	/**
	 * @ws.sdo.value-object
	 * 	match="BidSDO"
	 * 	target-value-object="BidderSDO"
	 * 	contained="false"
	 * 	This method was generated for supporting the relationship role named fk_bidderid.
	 * It will be deleted/edited when the relationship is deleted/edited.
	 */
	public abstract sample.RegistrationLocal getFk_bidderid();
	/**
	 * This method was generated for supporting the relationship role named fk_bidderid.
	 * It will be deleted/edited when the relationship is deleted/edited.
	 */
	public abstract void setFk_bidderid(sample.RegistrationLocal aFk_bidderid);
	/**
	 * This method was generated for supporting the relationship role named fk_itemid.
	 * It will be deleted/edited when the relationship is deleted/edited.
	 * @ws.sdo.value-object
	 * 	match="BidSDO"
	 * 	target-value-object="BidItemSDO"
	 * 	contained="false"
	 */
	public abstract sample.ItemLocal getFk_itemid();
	/**
	 * This method was generated for supporting the relationship role named fk_itemid.
	 * It will be deleted/edited when the relationship is deleted/edited.
	 */
	public abstract void setFk_itemid(sample.ItemLocal aFk_itemid);
	protected OIDGeneratorSessionLocal createOIDGeneratorSessionLocal() {
		OIDGeneratorSessionLocalHome anOIDGeneratorSessionLocalHome = (OIDGeneratorSessionLocalHome) ServiceLocatorManager
				.getLocalHome(STATIC_OIDGeneratorSessionLocalHome_REF_NAME,
						STATIC_OIDGeneratorSessionLocalHome_CLASS);
		try {
			if (anOIDGeneratorSessionLocalHome != null)
				return anOIDGeneratorSessionLocalHome.create();
		} catch (CreateException ce) {
			ce.printStackTrace();
		}
		return null;
	}
}