package sample;

import com.ibm.ws.ejbpersistence.beanextensions.*;
import com.ibm.websphere.cpmi.*;
import sample.websphere_deploy.AccountspayableBeanCacheEntry_8d675d30;

/**
 * Bean implementation class for Enterprise Bean: Accountspayable
 */
public class ConcreteAccountspayable_8d675d30 extends sample.AccountspayableBean implements javax.ejb.EntityBean, ConcreteBeanWithLink, ConcreteBeanWithForwardLink {
	static final long serialVersionUID = 61;
	/**
	 * setEntityContext
	 */
	public void setEntityContext(javax.ejb.EntityContext ctx) {
		super.setEntityContext(ctx);
		instanceExtension.setEntityContext(ctx);
	}
	/**
	 * unsetEntityContext
	 */
	public void unsetEntityContext() {
		super.unsetEntityContext();
		instanceExtension.unsetEntityContext();
	}
	/**
	 * ejbActivate
	 */
	public void ejbActivate() {
			super.ejbActivate();
			instanceExtension.ejbActivate();
	}
	/**
	 * ejbLoad
	 */
	public void ejbLoad() {
		instanceExtension.ejbLoad();
	}
	/**
	 * ejbPassivate
	 */
	public void ejbPassivate() {
		super.ejbPassivate();
		instanceExtension.ejbPassivate();
	}
	/**
	 * ejbRemove
	 */
	public void ejbRemove() throws javax.ejb.RemoveException {
		super.ejbRemove();
		instanceExtension.ejbRemove();
	}
	/**
	 * ejbStore
	 */
	public void ejbStore() {
		super.ejbStore();
		instanceExtension.ejbStore();
	}
	private ConcreteBeanInstanceExtension instanceExtension;
	private AccountspayableBeanCacheEntry_8d675d30 dataCacheEntry;
	/**
	 * _WSCB_getInstanceInfo
	 */
	public PMConcreteBeanInstanceInfo _WSCB_getInstanceInfo() {
			return instanceExtension;
	}
	/**
	 * ConcreteAccountspayable_8d675d30
	 */
	public ConcreteAccountspayable_8d675d30() {
		super();
		instanceExtension = ConcreteBeanInstanceExtensionFactory.getInstance(this);
	}
	/**
	 * getInjector
	 */
	private sample.websphere_deploy.AccountspayableBeanInjector_8d675d30 getInjector() {
		return (sample.websphere_deploy.AccountspayableBeanInjector_8d675d30)instanceExtension.getInjector();
	}
	/**
	 * hydrate
	 */
	public void hydrate(Object inRecord) {
		dataCacheEntry = (sample.websphere_deploy.AccountspayableBeanCacheEntry_8d675d30) inRecord;
		super.ejbLoad();
	}
	/**
	 * resetCMP
	 */
	public void resetCMP() {
			dataCacheEntry = null;
	}
	/**
	 * resetCMR
	 */
	public void resetCMR() {
			fk_useridLink = null;
	}
	/**
	 * ejbFindByPrimaryKey
	 */
	public sample.AccountspayableKey ejbFindByPrimaryKey(sample.AccountspayableKey primaryKey) throws javax.ejb.FinderException {
		return (sample.AccountspayableKey)instanceExtension.ejbFindByPrimaryKey(primaryKey);
	}
	/**
	 * ejbFindByPrimaryKey
	 */
	public Object ejbFindByPrimaryKey(java.lang.Object pk) throws javax.ejb.FinderException {
		return ejbFindByPrimaryKey((sample.AccountspayableKey)pk);
	}
	/**
	 * ejbFindByPrimaryKeyForCMR_Local
	 */
	public sample.AccountspayableKey ejbFindByPrimaryKeyForCMR_Local(sample.AccountspayableKey pk) throws javax.ejb.FinderException {
		return (sample.AccountspayableKey)instanceExtension.ejbFindByPrimaryKey(pk);
	}
	/**
	 * ejbCreate
	 */
	public sample.AccountspayableKey ejbCreate(java.lang.Integer apid) throws javax.ejb.CreateException {
		dataCacheEntry = (AccountspayableBeanCacheEntry_8d675d30) instanceExtension.createDataCacheEntry();
		 super.ejbCreate(apid);
		return (sample.AccountspayableKey)instanceExtension.ejbCreate();
	}
	/**
	 * ejbPostCreate
	 */
	public void ejbPostCreate(java.lang.Integer apid) throws javax.ejb.CreateException {
		super.ejbPostCreate(apid);
		instanceExtension.ejbPostCreate();
	}
	/**
	 * createPrimaryKey
	 */
	public Object createPrimaryKey() {
		sample.AccountspayableKey pk = new sample.AccountspayableKey();
		pk.apid = getApid();
		return pk;
	}
	/**
	 * getNumberOfFields
	 */
	public int getNumberOfFields() {
		return 6;
	}
	/**
	 * getLink
	 */
	public com.ibm.ws.ejbpersistence.associations.AssociationLink getLink(java.lang.String name) {
		if (name.equals("fk_userid")) return getFk_useridLink();
		return null;
	}
	/**
	 * executeFinderForLink
	 */
	public java.lang.Object executeFinderForLink(java.lang.String name, java.lang.Object key) throws javax.ejb.FinderException {
		if (name.equals("fk_userid")){
			sample.websphere_deploy.RegistrationBeanInternalLocalHome_b8f336a8 home = (sample.websphere_deploy.RegistrationBeanInternalLocalHome_b8f336a8)instanceExtension.getHomeForLink("fk_userid");
		  return home.findByPrimaryKeyForCMR((sample.RegistrationKey)key);
		}
		return null;
	}
	/**
	 * getFk_userid
	 */
	public sample.RegistrationLocal getFk_userid() {
		return (sample.RegistrationLocal)getFk_useridLink().getValue();
	}
	/**
	 * setFk_userid
	 */
	public void setFk_userid(sample.RegistrationLocal value) {
		getFk_useridLink().setValue(value);
	}
	/**
	 * getFk_useridKey
	 */
	public sample.RegistrationKey getFk_useridKey() {
		if (fk_useridLink == null) return dataCacheEntry.getFk_useridKey();
		return (sample.RegistrationKey) fk_useridLink.getKey();
	}
	/**
	 * getFk_useridLink
	 */
	private com.ibm.ws.ejbpersistence.associations.AssociationLink getFk_useridLink() {
		if (fk_useridLink == null) 
		fk_useridLink = instanceExtension.createLink("fk_userid",dataCacheEntry.getFk_useridKey(),5);
		return fk_useridLink;
	}
	private com.ibm.ws.ejbpersistence.associations.AssociationLink fk_useridLink;
	/**
	 * ejbFindAccountspayableByFk_useridKey_Local
	 */
	public java.util.Collection ejbFindAccountspayableByFk_useridKey_Local(sample.RegistrationKey key) throws javax.ejb.FinderException {
		Object[] result = instanceExtension.getAssociatedKeys("fk_userid",key);
		if (result!=null )  return (java.util.Collection) result[0];
		javax.resource.cci.IndexedRecord record = instanceExtension.getInputRecord("findAccountspayableByFk_useridKey_Local");
		getInjector().findAccountspayableByFk_useridKey_Local(key, record);
		return (java.util.Collection) instanceExtension.executeFind("findAccountspayableByFk_useridKey_Local", record);
	}
	/**
	 * refreshForeignKey
	 */
	public void refreshForeignKey() {
		if (fk_useridLink != null) 
		dataCacheEntry.setFk_useridKey((sample.RegistrationKey) fk_useridLink.getKey());
	}
	/**
	 * getOCCColumn
	 */
	public long getOCCColumn() {
		return dataCacheEntry.getOCCColumn();
	}
	/**
	 * Get accessor for persistent attribute: apid
	 */
	public java.lang.Integer getApid() {
		return dataCacheEntry.getApid();
	}
	/**
	 * Set accessor for persistent attribute: apid
	 */
	public void setApid(java.lang.Integer newApid) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(0,getApid(),newApid);
		else
			instanceExtension.markDirty(0);
		dataCacheEntry.setApid(newApid);
	}
	/**
	 * Get accessor for persistent attribute: transactionid
	 */
	public java.lang.Integer getTransactionid() {
		return dataCacheEntry.getTransactionid();
	}
	/**
	 * Set accessor for persistent attribute: transactionid
	 */
	public void setTransactionid(java.lang.Integer newTransactionid) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(1,getTransactionid(),newTransactionid);
		else
			instanceExtension.markDirty(1);
		dataCacheEntry.setTransactionid(newTransactionid);
	}
	/**
	 * Get accessor for persistent attribute: checknumber
	 */
	public java.lang.Integer getChecknumber() {
		return dataCacheEntry.getChecknumber();
	}
	/**
	 * Set accessor for persistent attribute: checknumber
	 */
	public void setChecknumber(java.lang.Integer newChecknumber) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(2,getChecknumber(),newChecknumber);
		else
			instanceExtension.markDirty(2);
		dataCacheEntry.setChecknumber(newChecknumber);
	}
	/**
	 * Get accessor for persistent attribute: amount
	 */
	public java.lang.Integer getAmount() {
		return dataCacheEntry.getAmount();
	}
	/**
	 * Set accessor for persistent attribute: amount
	 */
	public void setAmount(java.lang.Integer newAmount) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(3,getAmount(),newAmount);
		else
			instanceExtension.markDirty(3);
		dataCacheEntry.setAmount(newAmount);
	}
	/**
	 * Get accessor for persistent attribute: fk_userid_userid
	 */
	public java.lang.Integer getFk_userid_userid() {
		return dataCacheEntry.getFk_userid_userid();
	}
	/**
	 * Set accessor for persistent attribute: fk_userid_userid
	 */
	public void setFk_userid_userid(java.lang.Integer newFk_userid_userid) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(4,getFk_userid_userid(),newFk_userid_userid);
		else
			instanceExtension.markDirty(4);
		dataCacheEntry.setFk_userid_userid(newFk_userid_userid);
	}
}
