package sample;

import com.ibm.ws.ejbpersistence.beanextensions.*;
import com.ibm.websphere.cpmi.*;
import sample.websphere_deploy.BidBeanCacheEntry_8ca62fbb;

/**
 * Bean implementation class for Enterprise Bean: Bid
 */
public class ConcreteBid_8ca62fbb extends sample.BidBean implements javax.ejb.EntityBean, ConcreteBeanWithLink, ConcreteBeanWithForwardLink {
	static final long serialVersionUID = 61;
	/**
	 * setEntityContext
	 */
	public void setEntityContext(javax.ejb.EntityContext ctx) {
		super.setEntityContext(ctx);
		instanceExtension.setEntityContext(ctx);
	}
	/**
	 * unsetEntityContext
	 */
	public void unsetEntityContext() {
		super.unsetEntityContext();
		instanceExtension.unsetEntityContext();
	}
	/**
	 * ejbActivate
	 */
	public void ejbActivate() {
			super.ejbActivate();
			instanceExtension.ejbActivate();
	}
	/**
	 * ejbLoad
	 */
	public void ejbLoad() {
		instanceExtension.ejbLoad();
	}
	/**
	 * ejbPassivate
	 */
	public void ejbPassivate() {
		super.ejbPassivate();
		instanceExtension.ejbPassivate();
	}
	/**
	 * ejbRemove
	 */
	public void ejbRemove() throws javax.ejb.RemoveException {
		super.ejbRemove();
		instanceExtension.ejbRemove();
	}
	/**
	 * ejbStore
	 */
	public void ejbStore() {
		super.ejbStore();
		instanceExtension.ejbStore();
	}
	private ConcreteBeanInstanceExtension instanceExtension;
	private BidBeanCacheEntry_8ca62fbb dataCacheEntry;
	/**
	 * _WSCB_getInstanceInfo
	 */
	public PMConcreteBeanInstanceInfo _WSCB_getInstanceInfo() {
			return instanceExtension;
	}
	/**
	 * ConcreteBid_8ca62fbb
	 */
	public ConcreteBid_8ca62fbb() {
		super();
		instanceExtension = ConcreteBeanInstanceExtensionFactory.getInstance(this);
	}
	/**
	 * getInjector
	 */
	private sample.websphere_deploy.BidBeanInjector_8ca62fbb getInjector() {
		return (sample.websphere_deploy.BidBeanInjector_8ca62fbb)instanceExtension.getInjector();
	}
	/**
	 * hydrate
	 */
	public void hydrate(Object inRecord) {
		dataCacheEntry = (sample.websphere_deploy.BidBeanCacheEntry_8ca62fbb) inRecord;
		super.ejbLoad();
	}
	/**
	 * resetCMP
	 */
	public void resetCMP() {
			dataCacheEntry = null;
	}
	/**
	 * resetCMR
	 */
	public void resetCMR() {
			fk_bidderidLink = null;
			fk_itemidLink = null;
	}
	/**
	 * ejbFindByPrimaryKey
	 */
	public sample.BidKey ejbFindByPrimaryKey(sample.BidKey primaryKey) throws javax.ejb.FinderException {
		return (sample.BidKey)instanceExtension.ejbFindByPrimaryKey(primaryKey);
	}
	/**
	 * ejbFindByPrimaryKey
	 */
	public Object ejbFindByPrimaryKey(java.lang.Object pk) throws javax.ejb.FinderException {
		return ejbFindByPrimaryKey((sample.BidKey)pk);
	}
	/**
	 * ejbFindByPrimaryKeyForCMR_Local
	 */
	public sample.BidKey ejbFindByPrimaryKeyForCMR_Local(sample.BidKey pk) throws javax.ejb.FinderException {
		return (sample.BidKey)instanceExtension.ejbFindByPrimaryKey(pk);
	}
	/**
	 * ejbCreate
	 */
	public sample.BidKey ejbCreate(java.lang.Integer bidid) throws javax.ejb.CreateException {
		dataCacheEntry = (BidBeanCacheEntry_8ca62fbb) instanceExtension.createDataCacheEntry();
		 super.ejbCreate(bidid);
		return (sample.BidKey)instanceExtension.ejbCreate();
	}
	/**
	 * ejbPostCreate
	 */
	public void ejbPostCreate(java.lang.Integer bidid) throws javax.ejb.CreateException {
		super.ejbPostCreate(bidid);
		instanceExtension.ejbPostCreate();
	}
	/**
	 * ejbCreate
	 */
	public sample.BidKey ejbCreate(java.lang.Integer bidAmount, java.lang.Integer maxBid, java.lang.Integer idIncrement) throws javax.ejb.CreateException {
		dataCacheEntry = (BidBeanCacheEntry_8ca62fbb) instanceExtension.createDataCacheEntry();
		 super.ejbCreate(bidAmount, maxBid, idIncrement);
		return (sample.BidKey)instanceExtension.ejbCreate();
	}
	/**
	 * ejbPostCreate
	 */
	public void ejbPostCreate(java.lang.Integer bidAmount, java.lang.Integer maxBid, java.lang.Integer idIncrement) throws javax.ejb.CreateException {
		super.ejbPostCreate(bidAmount, maxBid, idIncrement);
		instanceExtension.ejbPostCreate();
	}
	/**
	 * ejbCreate
	 */
	public sample.BidKey ejbCreate(java.lang.Integer bidid, java.lang.Integer currentbid, sample.RegistrationLocal argFk_bidderid, sample.ItemLocal argFk_itemtypeid) throws javax.ejb.CreateException {
		dataCacheEntry = (BidBeanCacheEntry_8ca62fbb) instanceExtension.createDataCacheEntry();
		 super.ejbCreate(bidid, currentbid, argFk_bidderid, argFk_itemtypeid);
		return (sample.BidKey)instanceExtension.ejbCreate();
	}
	/**
	 * ejbPostCreate
	 */
	public void ejbPostCreate(java.lang.Integer bidid, java.lang.Integer currentbid, sample.RegistrationLocal argFk_bidderid, sample.ItemLocal argFk_itemtypeid) throws javax.ejb.CreateException {
		super.ejbPostCreate(bidid, currentbid, argFk_bidderid, argFk_itemtypeid);
		instanceExtension.ejbPostCreate();
	}
	/**
	 * createPrimaryKey
	 */
	public Object createPrimaryKey() {
		sample.BidKey pk = new sample.BidKey();
		pk.bidid = getBidid();
		return pk;
	}
	/**
	 * getNumberOfFields
	 */
	public int getNumberOfFields() {
		return 8;
	}
	/**
	 * getLink
	 */
	public com.ibm.ws.ejbpersistence.associations.AssociationLink getLink(java.lang.String name) {
		if (name.equals("fk_bidderid")) return getFk_bidderidLink();
		if (name.equals("fk_itemid")) return getFk_itemidLink();
		return null;
	}
	/**
	 * executeFinderForLink
	 */
	public java.lang.Object executeFinderForLink(java.lang.String name, java.lang.Object key) throws javax.ejb.FinderException {
		if (name.equals("fk_bidderid")){
			sample.websphere_deploy.RegistrationBeanInternalLocalHome_b8f336a8 home = (sample.websphere_deploy.RegistrationBeanInternalLocalHome_b8f336a8)instanceExtension.getHomeForLink("fk_bidderid");
		  return home.findByPrimaryKeyForCMR((sample.RegistrationKey)key);
		}
		if (name.equals("fk_itemid")){
			sample.websphere_deploy.ItemBeanInternalLocalHome_2a12784e home = (sample.websphere_deploy.ItemBeanInternalLocalHome_2a12784e)instanceExtension.getHomeForLink("fk_itemid");
		  return home.findByPrimaryKeyForCMR((sample.ItemKey)key);
		}
		return null;
	}
	/**
	 * getFk_bidderid
	 */
	public sample.RegistrationLocal getFk_bidderid() {
		return (sample.RegistrationLocal)getFk_bidderidLink().getValue();
	}
	/**
	 * setFk_bidderid
	 */
	public void setFk_bidderid(sample.RegistrationLocal value) {
		getFk_bidderidLink().setValue(value);
	}
	/**
	 * getFk_bidderidKey
	 */
	public sample.RegistrationKey getFk_bidderidKey() {
		if (fk_bidderidLink == null) return dataCacheEntry.getFk_bidderidKey();
		return (sample.RegistrationKey) fk_bidderidLink.getKey();
	}
	/**
	 * getFk_bidderidLink
	 */
	private com.ibm.ws.ejbpersistence.associations.AssociationLink getFk_bidderidLink() {
		if (fk_bidderidLink == null) 
		fk_bidderidLink = instanceExtension.createLink("fk_bidderid",dataCacheEntry.getFk_bidderidKey(),6);
		return fk_bidderidLink;
	}
	private com.ibm.ws.ejbpersistence.associations.AssociationLink fk_bidderidLink;
	/**
	 * ejbFindBidByFk_bidderidKey_Local
	 */
	public java.util.Collection ejbFindBidByFk_bidderidKey_Local(sample.RegistrationKey key) throws javax.ejb.FinderException {
		Object[] result = instanceExtension.getAssociatedKeys("fk_bidderid",key);
		if (result!=null )  return (java.util.Collection) result[0];
		javax.resource.cci.IndexedRecord record = instanceExtension.getInputRecord("findBidByFk_bidderidKey_Local");
		getInjector().findBidByFk_bidderidKey_Local(key, record);
		return (java.util.Collection) instanceExtension.executeFind("findBidByFk_bidderidKey_Local", record);
	}
	/**
	 * getFk_itemid
	 */
	public sample.ItemLocal getFk_itemid() {
		return (sample.ItemLocal)getFk_itemidLink().getValue();
	}
	/**
	 * setFk_itemid
	 */
	public void setFk_itemid(sample.ItemLocal value) {
		getFk_itemidLink().setValue(value);
	}
	/**
	 * getFk_itemidKey
	 */
	public sample.ItemKey getFk_itemidKey() {
		if (fk_itemidLink == null) return dataCacheEntry.getFk_itemidKey();
		return (sample.ItemKey) fk_itemidLink.getKey();
	}
	/**
	 * getFk_itemidLink
	 */
	private com.ibm.ws.ejbpersistence.associations.AssociationLink getFk_itemidLink() {
		if (fk_itemidLink == null) 
		fk_itemidLink = instanceExtension.createLink("fk_itemid",dataCacheEntry.getFk_itemidKey(),7);
		return fk_itemidLink;
	}
	private com.ibm.ws.ejbpersistence.associations.AssociationLink fk_itemidLink;
	/**
	 * ejbFindBidByFk_itemidKey_Local
	 */
	public java.util.Collection ejbFindBidByFk_itemidKey_Local(sample.ItemKey key) throws javax.ejb.FinderException {
		Object[] result = instanceExtension.getAssociatedKeys("fk_itemid",key);
		if (result!=null )  return (java.util.Collection) result[0];
		javax.resource.cci.IndexedRecord record = instanceExtension.getInputRecord("findBidByFk_itemidKey_Local");
		getInjector().findBidByFk_itemidKey_Local(key, record);
		return (java.util.Collection) instanceExtension.executeFind("findBidByFk_itemidKey_Local", record);
	}
	/**
	 * refreshForeignKey
	 */
	public void refreshForeignKey() {
		if (fk_bidderidLink != null) 
		dataCacheEntry.setFk_bidderidKey((sample.RegistrationKey) fk_bidderidLink.getKey());
		if (fk_itemidLink != null) 
		dataCacheEntry.setFk_itemidKey((sample.ItemKey) fk_itemidLink.getKey());
	}
	/**
	 * getOCCColumn
	 */
	public long getOCCColumn() {
		return dataCacheEntry.getOCCColumn();
	}
	/**
	 * Get accessor for persistent attribute: bidid
	 */
	public java.lang.Integer getBidid() {
		return dataCacheEntry.getBidid();
	}
	/**
	 * Set accessor for persistent attribute: bidid
	 */
	public void setBidid(java.lang.Integer newBidid) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(0,getBidid(),newBidid);
		else
			instanceExtension.markDirty(0);
		dataCacheEntry.setBidid(newBidid);
	}
	/**
	 * Get accessor for persistent attribute: currentbid
	 */
	public java.lang.Integer getCurrentbid() {
		return dataCacheEntry.getCurrentbid();
	}
	/**
	 * Set accessor for persistent attribute: currentbid
	 */
	public void setCurrentbid(java.lang.Integer newCurrentbid) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(1,getCurrentbid(),newCurrentbid);
		else
			instanceExtension.markDirty(1);
		dataCacheEntry.setCurrentbid(newCurrentbid);
	}
	/**
	 * Get accessor for persistent attribute: maximumbid
	 */
	public java.lang.Integer getMaximumbid() {
		return dataCacheEntry.getMaximumbid();
	}
	/**
	 * Set accessor for persistent attribute: maximumbid
	 */
	public void setMaximumbid(java.lang.Integer newMaximumbid) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(2,getMaximumbid(),newMaximumbid);
		else
			instanceExtension.markDirty(2);
		dataCacheEntry.setMaximumbid(newMaximumbid);
	}
	/**
	 * Get accessor for persistent attribute: bidincrement
	 */
	public java.lang.Integer getBidincrement() {
		return dataCacheEntry.getBidincrement();
	}
	/**
	 * Set accessor for persistent attribute: bidincrement
	 */
	public void setBidincrement(java.lang.Integer newBidincrement) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(3,getBidincrement(),newBidincrement);
		else
			instanceExtension.markDirty(3);
		dataCacheEntry.setBidincrement(newBidincrement);
	}
	/**
	 * Get accessor for persistent attribute: fk_bidderid_userid
	 */
	public java.lang.Integer getFk_bidderid_userid() {
		return dataCacheEntry.getFk_bidderid_userid();
	}
	/**
	 * Set accessor for persistent attribute: fk_bidderid_userid
	 */
	public void setFk_bidderid_userid(java.lang.Integer newFk_bidderid_userid) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(4,getFk_bidderid_userid(),newFk_bidderid_userid);
		else
			instanceExtension.markDirty(4);
		dataCacheEntry.setFk_bidderid_userid(newFk_bidderid_userid);
	}
	/**
	 * Get accessor for persistent attribute: fk_itemid_itemid
	 */
	public java.lang.Integer getFk_itemid_itemid() {
		return dataCacheEntry.getFk_itemid_itemid();
	}
	/**
	 * Set accessor for persistent attribute: fk_itemid_itemid
	 */
	public void setFk_itemid_itemid(java.lang.Integer newFk_itemid_itemid) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(5,getFk_itemid_itemid(),newFk_itemid_itemid);
		else
			instanceExtension.markDirty(5);
		dataCacheEntry.setFk_itemid_itemid(newFk_itemid_itemid);
	}
}
