package sample;

import com.ibm.ws.ejbpersistence.beanextensions.*;
import com.ibm.websphere.cpmi.*;
import sample.websphere_deploy.CategoryBeanCacheEntry_245f0a68;

/**
 * Bean implementation class for Enterprise Bean: Category
 */
public class ConcreteCategory_245f0a68 extends sample.CategoryBean implements javax.ejb.EntityBean, ConcreteBeanWithLink {
	static final long serialVersionUID = 61;
	/**
	 * setEntityContext
	 */
	public void setEntityContext(javax.ejb.EntityContext ctx) {
		super.setEntityContext(ctx);
		instanceExtension.setEntityContext(ctx);
	}
	/**
	 * unsetEntityContext
	 */
	public void unsetEntityContext() {
		super.unsetEntityContext();
		instanceExtension.unsetEntityContext();
	}
	/**
	 * ejbActivate
	 */
	public void ejbActivate() {
			super.ejbActivate();
			instanceExtension.ejbActivate();
	}
	/**
	 * ejbLoad
	 */
	public void ejbLoad() {
		instanceExtension.ejbLoad();
	}
	/**
	 * ejbPassivate
	 */
	public void ejbPassivate() {
		super.ejbPassivate();
		instanceExtension.ejbPassivate();
	}
	/**
	 * ejbRemove
	 */
	public void ejbRemove() throws javax.ejb.RemoveException {
		super.ejbRemove();
		instanceExtension.ejbRemove();
	}
	/**
	 * ejbStore
	 */
	public void ejbStore() {
		super.ejbStore();
		instanceExtension.ejbStore();
	}
	private ConcreteBeanInstanceExtension instanceExtension;
	private CategoryBeanCacheEntry_245f0a68 dataCacheEntry;
	/**
	 * _WSCB_getInstanceInfo
	 */
	public PMConcreteBeanInstanceInfo _WSCB_getInstanceInfo() {
			return instanceExtension;
	}
	/**
	 * ConcreteCategory_245f0a68
	 */
	public ConcreteCategory_245f0a68() {
		super();
		instanceExtension = ConcreteBeanInstanceExtensionFactory.getInstance(this);
	}
	/**
	 * getInjector
	 */
	private sample.websphere_deploy.CategoryBeanInjector_245f0a68 getInjector() {
		return (sample.websphere_deploy.CategoryBeanInjector_245f0a68)instanceExtension.getInjector();
	}
	/**
	 * hydrate
	 */
	public void hydrate(Object inRecord) {
		dataCacheEntry = (sample.websphere_deploy.CategoryBeanCacheEntry_245f0a68) inRecord;
		super.ejbLoad();
	}
	/**
	 * resetCMP
	 */
	public void resetCMP() {
			dataCacheEntry = null;
	}
	/**
	 * resetCMR
	 */
	public void resetCMR() {
			itemLink = null;
	}
	/**
	 * ejbFindByPrimaryKey
	 */
	public sample.CategoryKey ejbFindByPrimaryKey(sample.CategoryKey primaryKey) throws javax.ejb.FinderException {
		return (sample.CategoryKey)instanceExtension.ejbFindByPrimaryKey(primaryKey);
	}
	/**
	 * ejbFindByPrimaryKey
	 */
	public Object ejbFindByPrimaryKey(java.lang.Object pk) throws javax.ejb.FinderException {
		return ejbFindByPrimaryKey((sample.CategoryKey)pk);
	}
	/**
	 * ejbFindByPrimaryKeyForCMR_Local
	 */
	public sample.CategoryKey ejbFindByPrimaryKeyForCMR_Local(sample.CategoryKey pk) throws javax.ejb.FinderException {
		return (sample.CategoryKey)instanceExtension.ejbFindByPrimaryKey(pk);
	}
	/**
	 * ejbCreate
	 */
	public sample.CategoryKey ejbCreate(java.lang.Integer catid) throws javax.ejb.CreateException {
		dataCacheEntry = (CategoryBeanCacheEntry_245f0a68) instanceExtension.createDataCacheEntry();
		 super.ejbCreate(catid);
		return (sample.CategoryKey)instanceExtension.ejbCreate();
	}
	/**
	 * ejbPostCreate
	 */
	public void ejbPostCreate(java.lang.Integer catid) throws javax.ejb.CreateException {
		super.ejbPostCreate(catid);
		instanceExtension.ejbPostCreate();
	}
	/**
	 * ejbCreate
	 */
	public sample.CategoryKey ejbCreate(java.lang.Integer catid, java.lang.String catname, java.lang.String description) throws javax.ejb.CreateException {
		dataCacheEntry = (CategoryBeanCacheEntry_245f0a68) instanceExtension.createDataCacheEntry();
		 super.ejbCreate(catid, catname, description);
		return (sample.CategoryKey)instanceExtension.ejbCreate();
	}
	/**
	 * ejbPostCreate
	 */
	public void ejbPostCreate(java.lang.Integer catid, java.lang.String catname, java.lang.String description) throws javax.ejb.CreateException {
		super.ejbPostCreate(catid, catname, description);
		instanceExtension.ejbPostCreate();
	}
	/**
	 * createPrimaryKey
	 */
	public Object createPrimaryKey() {
		sample.CategoryKey pk = new sample.CategoryKey();
		pk.catid = getCatid();
		return pk;
	}
	/**
	 * getNumberOfFields
	 */
	public int getNumberOfFields() {
		return 4;
	}
	/**
	 * getLink
	 */
	public com.ibm.ws.ejbpersistence.associations.AssociationLink getLink(java.lang.String name) {
		if (name.equals("item")) return getItemLink();
		return null;
	}
	/**
	 * executeFinderForLink
	 */
	public java.lang.Object executeFinderForLink(java.lang.String name, java.lang.Object key) throws javax.ejb.FinderException {
		if (name.equals("item")){
			sample.websphere_deploy.ItemBeanInternalLocalHome_2a12784e home = (sample.websphere_deploy.ItemBeanInternalLocalHome_2a12784e)instanceExtension.getHomeForLink("item");
		  return home.findItemByCategoryKey_Local((sample.CategoryKey)key);
		}
		return null;
	}
	/**
	 * getItem
	 */
	public java.util.Collection getItem() {
		return (java.util.Collection)getItemLink().getValue();
	}
	/**
	 * setItem
	 */
	public void setItem(java.util.Collection value) {
		getItemLink().setValue(value);
	}
	/**
	 * getItemLink
	 */
	private com.ibm.ws.ejbpersistence.associations.AssociationLink getItemLink() {
		if (itemLink == null) 
		itemLink = instanceExtension.createLink("item",null,3);
		return itemLink;
	}
	private com.ibm.ws.ejbpersistence.associations.AssociationLink itemLink;
	/**
	 * ejbFindCategoryByItemKey_Local
	 */
	public sample.CategoryKey ejbFindCategoryByItemKey_Local(sample.ItemKey key) throws javax.ejb.FinderException {
		Object[] result = instanceExtension.getAssociatedKeys("item",key);
		if (result!=null )  return (sample.CategoryKey) result[0];
		javax.resource.cci.IndexedRecord record = instanceExtension.getInputRecord("findCategoryByItemKey_Local");
		getInjector().findCategoryByItemKey_Local(key, record);
		return (sample.CategoryKey) instanceExtension.executeFind("findCategoryByItemKey_Local", record);
	}
	/**
	 * getOCCColumn
	 */
	public long getOCCColumn() {
		return dataCacheEntry.getOCCColumn();
	}
	/**
	 * Get accessor for persistent attribute: catid
	 */
	public java.lang.Integer getCatid() {
		return dataCacheEntry.getCatid();
	}
	/**
	 * Set accessor for persistent attribute: catid
	 */
	public void setCatid(java.lang.Integer newCatid) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(0,getCatid(),newCatid);
		else
			instanceExtension.markDirty(0);
		dataCacheEntry.setCatid(newCatid);
	}
	/**
	 * Get accessor for persistent attribute: catname
	 */
	public java.lang.String getCatname() {
		return dataCacheEntry.getCatname();
	}
	/**
	 * Set accessor for persistent attribute: catname
	 */
	public void setCatname(java.lang.String newCatname) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(1,getCatname(),newCatname);
		else
			instanceExtension.markDirty(1);
		dataCacheEntry.setCatname(newCatname);
	}
	/**
	 * Get accessor for persistent attribute: description
	 */
	public java.lang.String getDescription() {
		return dataCacheEntry.getDescription();
	}
	/**
	 * Set accessor for persistent attribute: description
	 */
	public void setDescription(java.lang.String newDescription) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(2,getDescription(),newDescription);
		else
			instanceExtension.markDirty(2);
		dataCacheEntry.setDescription(newDescription);
	}
}
