package sample;

import com.ibm.ws.ejbpersistence.beanextensions.*;
import com.ibm.websphere.cpmi.*;
import sample.websphere_deploy.ItemBeanCacheEntry_2a12784e;

/**
 * Bean implementation class for Enterprise Bean: Item
 */
public class ConcreteItem_2a12784e extends sample.ItemBean implements javax.ejb.EntityBean, ConcreteBeanWithLink, ConcreteBeanWithForwardLink {
	static final long serialVersionUID = 61;
	/**
	 * setEntityContext
	 */
	public void setEntityContext(javax.ejb.EntityContext ctx) {
		super.setEntityContext(ctx);
		instanceExtension.setEntityContext(ctx);
	}
	/**
	 * unsetEntityContext
	 */
	public void unsetEntityContext() {
		super.unsetEntityContext();
		instanceExtension.unsetEntityContext();
	}
	/**
	 * ejbActivate
	 */
	public void ejbActivate() {
			super.ejbActivate();
			instanceExtension.ejbActivate();
	}
	/**
	 * ejbLoad
	 */
	public void ejbLoad() {
		instanceExtension.ejbLoad();
	}
	/**
	 * ejbPassivate
	 */
	public void ejbPassivate() {
		super.ejbPassivate();
		instanceExtension.ejbPassivate();
	}
	/**
	 * ejbRemove
	 */
	public void ejbRemove() throws javax.ejb.RemoveException {
		super.ejbRemove();
		instanceExtension.ejbRemove();
	}
	/**
	 * ejbStore
	 */
	public void ejbStore() {
		super.ejbStore();
		instanceExtension.ejbStore();
	}
	private ConcreteBeanInstanceExtension instanceExtension;
	private ItemBeanCacheEntry_2a12784e dataCacheEntry;
	/**
	 * _WSCB_getInstanceInfo
	 */
	public PMConcreteBeanInstanceInfo _WSCB_getInstanceInfo() {
			return instanceExtension;
	}
	/**
	 * ConcreteItem_2a12784e
	 */
	public ConcreteItem_2a12784e() {
		super();
		instanceExtension = ConcreteBeanInstanceExtensionFactory.getInstance(this);
	}
	/**
	 * getInjector
	 */
	private sample.websphere_deploy.ItemBeanInjector_2a12784e getInjector() {
		return (sample.websphere_deploy.ItemBeanInjector_2a12784e)instanceExtension.getInjector();
	}
	/**
	 * hydrate
	 */
	public void hydrate(Object inRecord) {
		dataCacheEntry = (sample.websphere_deploy.ItemBeanCacheEntry_2a12784e) inRecord;
		super.ejbLoad();
	}
	/**
	 * resetCMP
	 */
	public void resetCMP() {
			dataCacheEntry = null;
	}
	/**
	 * resetCMR
	 */
	public void resetCMR() {
			bidLink = null;
			saleLink = null;
			fk_itemstatusLink = null;
			categoryLink = null;
			itemSellerLink = null;
	}
	/**
	 * ejbFindByPrimaryKey
	 */
	public sample.ItemKey ejbFindByPrimaryKey(sample.ItemKey primaryKey) throws javax.ejb.FinderException {
		return (sample.ItemKey)instanceExtension.ejbFindByPrimaryKey(primaryKey);
	}
	/**
	 * ejbFindByPrimaryKey
	 */
	public Object ejbFindByPrimaryKey(java.lang.Object pk) throws javax.ejb.FinderException {
		return ejbFindByPrimaryKey((sample.ItemKey)pk);
	}
	/**
	 * ejbFindByPrimaryKeyForCMR_Local
	 */
	public sample.ItemKey ejbFindByPrimaryKeyForCMR_Local(sample.ItemKey pk) throws javax.ejb.FinderException {
		return (sample.ItemKey)instanceExtension.ejbFindByPrimaryKey(pk);
	}
	/**
	 * ejbCreate
	 */
	public sample.ItemKey ejbCreate(java.lang.Integer itemtypeid) throws javax.ejb.CreateException {
		dataCacheEntry = (ItemBeanCacheEntry_2a12784e) instanceExtension.createDataCacheEntry();
		 super.ejbCreate(itemtypeid);
		return (sample.ItemKey)instanceExtension.ejbCreate();
	}
	/**
	 * ejbPostCreate
	 */
	public void ejbPostCreate(java.lang.Integer itemtypeid) throws javax.ejb.CreateException {
		super.ejbPostCreate(itemtypeid);
		instanceExtension.ejbPostCreate();
	}
	/**
	 * ejbCreate
	 */
	public sample.ItemKey ejbCreate(java.lang.Integer itemtypeid, sample.StatusLocal argFk_itemstatus) throws javax.ejb.CreateException {
		dataCacheEntry = (ItemBeanCacheEntry_2a12784e) instanceExtension.createDataCacheEntry();
		 super.ejbCreate(itemtypeid, argFk_itemstatus);
		return (sample.ItemKey)instanceExtension.ejbCreate();
	}
	/**
	 * ejbPostCreate
	 */
	public void ejbPostCreate(java.lang.Integer itemtypeid, sample.StatusLocal argFk_itemstatus) throws javax.ejb.CreateException {
		super.ejbPostCreate(itemtypeid, argFk_itemstatus);
		instanceExtension.ejbPostCreate();
	}
	/**
	 * createPrimaryKey
	 */
	public Object createPrimaryKey() {
		sample.ItemKey pk = new sample.ItemKey();
		pk.itemid = getItemid();
		return pk;
	}
	/**
	 * getNumberOfFields
	 */
	public int getNumberOfFields() {
		return 18;
	}
	/**
	 * getLink
	 */
	public com.ibm.ws.ejbpersistence.associations.AssociationLink getLink(java.lang.String name) {
		if (name.equals("bid")) return getBidLink();
		if (name.equals("sale")) return getSaleLink();
		if (name.equals("fk_itemstatus")) return getFk_itemstatusLink();
		if (name.equals("category")) return getCategoryLink();
		if (name.equals("itemSeller")) return getItemSellerLink();
		return null;
	}
	/**
	 * executeFinderForLink
	 */
	public java.lang.Object executeFinderForLink(java.lang.String name, java.lang.Object key) throws javax.ejb.FinderException {
		if (name.equals("bid")){
			sample.websphere_deploy.BidBeanInternalLocalHome_8ca62fbb home = (sample.websphere_deploy.BidBeanInternalLocalHome_8ca62fbb)instanceExtension.getHomeForLink("bid");
		  return home.findBidByFk_itemidKey_Local((sample.ItemKey)key);
		}
		if (name.equals("sale")){
			sample.websphere_deploy.SaleBeanInternalLocalHome_ee886d21 home = (sample.websphere_deploy.SaleBeanInternalLocalHome_ee886d21)instanceExtension.getHomeForLink("sale");
		  return home.findSaleByFk_itemidKey_Local((sample.ItemKey)key);
		}
		if (name.equals("fk_itemstatus")){
			sample.websphere_deploy.StatusBeanInternalLocalHome_7559fc46 home = (sample.websphere_deploy.StatusBeanInternalLocalHome_7559fc46)instanceExtension.getHomeForLink("fk_itemstatus");
		  return home.findByPrimaryKeyForCMR((sample.StatusKey)key);
		}
		if (name.equals("category")){
			sample.websphere_deploy.CategoryBeanInternalLocalHome_245f0a68 home = (sample.websphere_deploy.CategoryBeanInternalLocalHome_245f0a68)instanceExtension.getHomeForLink("category");
		  return home.findByPrimaryKeyForCMR((sample.CategoryKey)key);
		}
		if (name.equals("itemSeller")){
			sample.websphere_deploy.RegistrationBeanInternalLocalHome_b8f336a8 home = (sample.websphere_deploy.RegistrationBeanInternalLocalHome_b8f336a8)instanceExtension.getHomeForLink("itemSeller");
		  return home.findByPrimaryKeyForCMR((sample.RegistrationKey)key);
		}
		return null;
	}
	/**
	 * getBid
	 */
	public java.util.Collection getBid() {
		return (java.util.Collection)getBidLink().getValue();
	}
	/**
	 * setBid
	 */
	public void setBid(java.util.Collection value) {
		getBidLink().setValue(value);
	}
	/**
	 * getBidLink
	 */
	private com.ibm.ws.ejbpersistence.associations.AssociationLink getBidLink() {
		if (bidLink == null) 
		bidLink = instanceExtension.createLink("bid",null,13);
		return bidLink;
	}
	private com.ibm.ws.ejbpersistence.associations.AssociationLink bidLink;
	/**
	 * ejbFindFk_itemidByBidKey_Local
	 */
	public sample.ItemKey ejbFindFk_itemidByBidKey_Local(sample.BidKey key) throws javax.ejb.FinderException {
		Object[] result = instanceExtension.getAssociatedKeys("bid",key);
		if (result!=null )  return (sample.ItemKey) result[0];
		javax.resource.cci.IndexedRecord record = instanceExtension.getInputRecord("findFk_itemidByBidKey_Local");
		getInjector().findFk_itemidByBidKey_Local(key, record);
		return (sample.ItemKey) instanceExtension.executeFind("findFk_itemidByBidKey_Local", record);
	}
	/**
	 * getSale
	 */
	public java.util.Collection getSale() {
		return (java.util.Collection)getSaleLink().getValue();
	}
	/**
	 * setSale
	 */
	public void setSale(java.util.Collection value) {
		getSaleLink().setValue(value);
	}
	/**
	 * getSaleLink
	 */
	private com.ibm.ws.ejbpersistence.associations.AssociationLink getSaleLink() {
		if (saleLink == null) 
		saleLink = instanceExtension.createLink("sale",null,14);
		return saleLink;
	}
	private com.ibm.ws.ejbpersistence.associations.AssociationLink saleLink;
	/**
	 * ejbFindFk_itemidBySaleKey_Local
	 */
	public sample.ItemKey ejbFindFk_itemidBySaleKey_Local(sample.SaleKey key) throws javax.ejb.FinderException {
		Object[] result = instanceExtension.getAssociatedKeys("sale",key);
		if (result!=null )  return (sample.ItemKey) result[0];
		javax.resource.cci.IndexedRecord record = instanceExtension.getInputRecord("findFk_itemidBySaleKey_Local");
		getInjector().findFk_itemidBySaleKey_Local(key, record);
		return (sample.ItemKey) instanceExtension.executeFind("findFk_itemidBySaleKey_Local", record);
	}
	/**
	 * getFk_itemstatus
	 */
	public sample.StatusLocal getFk_itemstatus() {
		return (sample.StatusLocal)getFk_itemstatusLink().getValue();
	}
	/**
	 * setFk_itemstatus
	 */
	public void setFk_itemstatus(sample.StatusLocal value) {
		getFk_itemstatusLink().setValue(value);
	}
	/**
	 * getFk_itemstatusKey
	 */
	public sample.StatusKey getFk_itemstatusKey() {
		if (fk_itemstatusLink == null) return dataCacheEntry.getFk_itemstatusKey();
		return (sample.StatusKey) fk_itemstatusLink.getKey();
	}
	/**
	 * getFk_itemstatusLink
	 */
	private com.ibm.ws.ejbpersistence.associations.AssociationLink getFk_itemstatusLink() {
		if (fk_itemstatusLink == null) 
		fk_itemstatusLink = instanceExtension.createLink("fk_itemstatus",dataCacheEntry.getFk_itemstatusKey(),15);
		return fk_itemstatusLink;
	}
	private com.ibm.ws.ejbpersistence.associations.AssociationLink fk_itemstatusLink;
	/**
	 * ejbFindFk_itemstatusItemInverseByFk_itemstatusKey_Local
	 */
	public java.util.Collection ejbFindFk_itemstatusItemInverseByFk_itemstatusKey_Local(sample.StatusKey key) throws javax.ejb.FinderException {
		Object[] result = instanceExtension.getAssociatedKeys("fk_itemstatus",key);
		if (result!=null )  return (java.util.Collection) result[0];
		javax.resource.cci.IndexedRecord record = instanceExtension.getInputRecord("findFk_itemstatusItemInverseByFk_itemstatusKey_Local");
		getInjector().findFk_itemstatusItemInverseByFk_itemstatusKey_Local(key, record);
		return (java.util.Collection) instanceExtension.executeFind("findFk_itemstatusItemInverseByFk_itemstatusKey_Local", record);
	}
	/**
	 * getCategory
	 */
	public sample.CategoryLocal getCategory() {
		return (sample.CategoryLocal)getCategoryLink().getValue();
	}
	/**
	 * setCategory
	 */
	public void setCategory(sample.CategoryLocal value) {
		getCategoryLink().setValue(value);
	}
	/**
	 * getCategoryKey
	 */
	public sample.CategoryKey getCategoryKey() {
		if (categoryLink == null) return dataCacheEntry.getCategoryKey();
		return (sample.CategoryKey) categoryLink.getKey();
	}
	/**
	 * getCategoryLink
	 */
	private com.ibm.ws.ejbpersistence.associations.AssociationLink getCategoryLink() {
		if (categoryLink == null) 
		categoryLink = instanceExtension.createLink("category",dataCacheEntry.getCategoryKey(),16);
		return categoryLink;
	}
	private com.ibm.ws.ejbpersistence.associations.AssociationLink categoryLink;
	/**
	 * ejbFindItemByCategoryKey_Local
	 */
	public java.util.Collection ejbFindItemByCategoryKey_Local(sample.CategoryKey key) throws javax.ejb.FinderException {
		Object[] result = instanceExtension.getAssociatedKeys("category",key);
		if (result!=null )  return (java.util.Collection) result[0];
		javax.resource.cci.IndexedRecord record = instanceExtension.getInputRecord("findItemByCategoryKey_Local");
		getInjector().findItemByCategoryKey_Local(key, record);
		return (java.util.Collection) instanceExtension.executeFind("findItemByCategoryKey_Local", record);
	}
	/**
	 * getItemSeller
	 */
	public sample.RegistrationLocal getItemSeller() {
		return (sample.RegistrationLocal)getItemSellerLink().getValue();
	}
	/**
	 * setItemSeller
	 */
	public void setItemSeller(sample.RegistrationLocal value) {
		getItemSellerLink().setValue(value);
	}
	/**
	 * getItemSellerKey
	 */
	public sample.RegistrationKey getItemSellerKey() {
		if (itemSellerLink == null) return dataCacheEntry.getItemSellerKey();
		return (sample.RegistrationKey) itemSellerLink.getKey();
	}
	/**
	 * getItemSellerLink
	 */
	private com.ibm.ws.ejbpersistence.associations.AssociationLink getItemSellerLink() {
		if (itemSellerLink == null) 
		itemSellerLink = instanceExtension.createLink("itemSeller",dataCacheEntry.getItemSellerKey(),17);
		return itemSellerLink;
	}
	private com.ibm.ws.ejbpersistence.associations.AssociationLink itemSellerLink;
	/**
	 * ejbFindSellerItemByItemSellerKey_Local
	 */
	public java.util.Collection ejbFindSellerItemByItemSellerKey_Local(sample.RegistrationKey key) throws javax.ejb.FinderException {
		Object[] result = instanceExtension.getAssociatedKeys("itemSeller",key);
		if (result!=null )  return (java.util.Collection) result[0];
		javax.resource.cci.IndexedRecord record = instanceExtension.getInputRecord("findSellerItemByItemSellerKey_Local");
		getInjector().findSellerItemByItemSellerKey_Local(key, record);
		return (java.util.Collection) instanceExtension.executeFind("findSellerItemByItemSellerKey_Local", record);
	}
	/**
	 * refreshForeignKey
	 */
	public void refreshForeignKey() {
		if (fk_itemstatusLink != null) 
		dataCacheEntry.setFk_itemstatusKey((sample.StatusKey) fk_itemstatusLink.getKey());
		if (categoryLink != null) 
		dataCacheEntry.setCategoryKey((sample.CategoryKey) categoryLink.getKey());
		if (itemSellerLink != null) 
		dataCacheEntry.setItemSellerKey((sample.RegistrationKey) itemSellerLink.getKey());
	}
	/**
	 * getOCCColumn
	 */
	public long getOCCColumn() {
		return dataCacheEntry.getOCCColumn();
	}
	/**
	 * Get accessor for persistent attribute: itemid
	 */
	public java.lang.Integer getItemid() {
		return dataCacheEntry.getItemid();
	}
	/**
	 * Set accessor for persistent attribute: itemid
	 */
	public void setItemid(java.lang.Integer newItemid) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(0,getItemid(),newItemid);
		else
			instanceExtension.markDirty(0);
		dataCacheEntry.setItemid(newItemid);
	}
	/**
	 * Get accessor for persistent attribute: catalognumber
	 */
	public java.lang.Integer getCatalognumber() {
		return dataCacheEntry.getCatalognumber();
	}
	/**
	 * Set accessor for persistent attribute: catalognumber
	 */
	public void setCatalognumber(java.lang.Integer newCatalognumber) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(1,getCatalognumber(),newCatalognumber);
		else
			instanceExtension.markDirty(1);
		dataCacheEntry.setCatalognumber(newCatalognumber);
	}
	/**
	 * Get accessor for persistent attribute: title
	 */
	public java.lang.String getTitle() {
		return dataCacheEntry.getTitle();
	}
	/**
	 * Set accessor for persistent attribute: title
	 */
	public void setTitle(java.lang.String newTitle) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(2,getTitle(),newTitle);
		else
			instanceExtension.markDirty(2);
		dataCacheEntry.setTitle(newTitle);
	}
	/**
	 * Get accessor for persistent attribute: description
	 */
	public java.lang.String getDescription() {
		return dataCacheEntry.getDescription();
	}
	/**
	 * Set accessor for persistent attribute: description
	 */
	public void setDescription(java.lang.String newDescription) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(3,getDescription(),newDescription);
		else
			instanceExtension.markDirty(3);
		dataCacheEntry.setDescription(newDescription);
	}
	/**
	 * Get accessor for persistent attribute: value
	 */
	public java.lang.Integer getValue() {
		return dataCacheEntry.getValue();
	}
	/**
	 * Set accessor for persistent attribute: value
	 */
	public void setValue(java.lang.Integer newValue) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(4,getValue(),newValue);
		else
			instanceExtension.markDirty(4);
		dataCacheEntry.setValue(newValue);
	}
	/**
	 * Get accessor for persistent attribute: startingbid
	 */
	public java.lang.Integer getStartingbid() {
		return dataCacheEntry.getStartingbid();
	}
	/**
	 * Set accessor for persistent attribute: startingbid
	 */
	public void setStartingbid(java.lang.Integer newStartingbid) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(5,getStartingbid(),newStartingbid);
		else
			instanceExtension.markDirty(5);
		dataCacheEntry.setStartingbid(newStartingbid);
	}
	/**
	 * Get accessor for persistent attribute: imagepath
	 */
	public java.lang.String getImagepath() {
		return dataCacheEntry.getImagepath();
	}
	/**
	 * Set accessor for persistent attribute: imagepath
	 */
	public void setImagepath(java.lang.String newImagepath) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(6,getImagepath(),newImagepath);
		else
			instanceExtension.markDirty(6);
		dataCacheEntry.setImagepath(newImagepath);
	}
	/**
	 * Get accessor for persistent attribute: imagesmallpath
	 */
	public java.lang.String getImagesmallpath() {
		return dataCacheEntry.getImagesmallpath();
	}
	/**
	 * Set accessor for persistent attribute: imagesmallpath
	 */
	public void setImagesmallpath(java.lang.String newImagesmallpath) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(7,getImagesmallpath(),newImagesmallpath);
		else
			instanceExtension.markDirty(7);
		dataCacheEntry.setImagesmallpath(newImagesmallpath);
	}
	/**
	 * Get accessor for persistent attribute: startbidding
	 */
	public java.sql.Timestamp getStartbidding() {
		return dataCacheEntry.getStartbidding();
	}
	/**
	 * Set accessor for persistent attribute: startbidding
	 */
	public void setStartbidding(java.sql.Timestamp newStartbidding) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(8,getStartbidding(),newStartbidding);
		else
			instanceExtension.markDirty(8);
		dataCacheEntry.setStartbidding(newStartbidding);
	}
	/**
	 * Get accessor for persistent attribute: endbidding
	 */
	public java.sql.Timestamp getEndbidding() {
		return dataCacheEntry.getEndbidding();
	}
	/**
	 * Set accessor for persistent attribute: endbidding
	 */
	public void setEndbidding(java.sql.Timestamp newEndbidding) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(9,getEndbidding(),newEndbidding);
		else
			instanceExtension.markDirty(9);
		dataCacheEntry.setEndbidding(newEndbidding);
	}
	/**
	 * Get accessor for persistent attribute: itemSeller_userid
	 */
	public java.lang.Integer getItemSeller_userid() {
		return dataCacheEntry.getItemSeller_userid();
	}
	/**
	 * Set accessor for persistent attribute: itemSeller_userid
	 */
	public void setItemSeller_userid(java.lang.Integer newItemSeller_userid) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(10,getItemSeller_userid(),newItemSeller_userid);
		else
			instanceExtension.markDirty(10);
		dataCacheEntry.setItemSeller_userid(newItemSeller_userid);
	}
	/**
	 * Get accessor for persistent attribute: fk_itemstatus_statusid
	 */
	public java.lang.Integer getFk_itemstatus_statusid() {
		return dataCacheEntry.getFk_itemstatus_statusid();
	}
	/**
	 * Set accessor for persistent attribute: fk_itemstatus_statusid
	 */
	public void setFk_itemstatus_statusid(java.lang.Integer newFk_itemstatus_statusid) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(11,getFk_itemstatus_statusid(),newFk_itemstatus_statusid);
		else
			instanceExtension.markDirty(11);
		dataCacheEntry.setFk_itemstatus_statusid(newFk_itemstatus_statusid);
	}
	/**
	 * Get accessor for persistent attribute: category_catid
	 */
	public java.lang.Integer getCategory_catid() {
		return dataCacheEntry.getCategory_catid();
	}
	/**
	 * Set accessor for persistent attribute: category_catid
	 */
	public void setCategory_catid(java.lang.Integer newCategory_catid) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(12,getCategory_catid(),newCategory_catid);
		else
			instanceExtension.markDirty(12);
		dataCacheEntry.setCategory_catid(newCategory_catid);
	}
}
