package sample;

import com.ibm.ws.ejbpersistence.beanextensions.*;
import com.ibm.websphere.cpmi.*;
import sample.websphere_deploy.StatusBeanCacheEntry_7559fc46;

/**
 * Bean implementation class for Enterprise Bean: Status
 */
public class ConcreteStatus_7559fc46 extends sample.StatusBean implements javax.ejb.EntityBean, ConcreteBeanWithLink {
	static final long serialVersionUID = 61;
	/**
	 * setEntityContext
	 */
	public void setEntityContext(javax.ejb.EntityContext ctx) {
		super.setEntityContext(ctx);
		instanceExtension.setEntityContext(ctx);
	}
	/**
	 * unsetEntityContext
	 */
	public void unsetEntityContext() {
		super.unsetEntityContext();
		instanceExtension.unsetEntityContext();
	}
	/**
	 * ejbActivate
	 */
	public void ejbActivate() {
			super.ejbActivate();
			instanceExtension.ejbActivate();
	}
	/**
	 * ejbLoad
	 */
	public void ejbLoad() {
		instanceExtension.ejbLoad();
	}
	/**
	 * ejbPassivate
	 */
	public void ejbPassivate() {
		super.ejbPassivate();
		instanceExtension.ejbPassivate();
	}
	/**
	 * ejbRemove
	 */
	public void ejbRemove() throws javax.ejb.RemoveException {
		super.ejbRemove();
		instanceExtension.ejbRemove();
	}
	/**
	 * ejbStore
	 */
	public void ejbStore() {
		super.ejbStore();
		instanceExtension.ejbStore();
	}
	private ConcreteBeanInstanceExtension instanceExtension;
	private StatusBeanCacheEntry_7559fc46 dataCacheEntry;
	/**
	 * _WSCB_getInstanceInfo
	 */
	public PMConcreteBeanInstanceInfo _WSCB_getInstanceInfo() {
			return instanceExtension;
	}
	/**
	 * ConcreteStatus_7559fc46
	 */
	public ConcreteStatus_7559fc46() {
		super();
		instanceExtension = ConcreteBeanInstanceExtensionFactory.getInstance(this);
	}
	/**
	 * getInjector
	 */
	private sample.websphere_deploy.StatusBeanInjector_7559fc46 getInjector() {
		return (sample.websphere_deploy.StatusBeanInjector_7559fc46)instanceExtension.getInjector();
	}
	/**
	 * hydrate
	 */
	public void hydrate(Object inRecord) {
		dataCacheEntry = (sample.websphere_deploy.StatusBeanCacheEntry_7559fc46) inRecord;
		super.ejbLoad();
	}
	/**
	 * resetCMP
	 */
	public void resetCMP() {
			dataCacheEntry = null;
	}
	/**
	 * resetCMR
	 */
	public void resetCMR() {
			fk_itemstatusItemInverseLink = null;
	}
	/**
	 * ejbFindByPrimaryKey
	 */
	public sample.StatusKey ejbFindByPrimaryKey(sample.StatusKey primaryKey) throws javax.ejb.FinderException {
		return (sample.StatusKey)instanceExtension.ejbFindByPrimaryKey(primaryKey);
	}
	/**
	 * ejbFindByPrimaryKey
	 */
	public Object ejbFindByPrimaryKey(java.lang.Object pk) throws javax.ejb.FinderException {
		return ejbFindByPrimaryKey((sample.StatusKey)pk);
	}
	/**
	 * ejbFindByPrimaryKeyForCMR_Local
	 */
	public sample.StatusKey ejbFindByPrimaryKeyForCMR_Local(sample.StatusKey pk) throws javax.ejb.FinderException {
		return (sample.StatusKey)instanceExtension.ejbFindByPrimaryKey(pk);
	}
	/**
	 * ejbCreate
	 */
	public sample.StatusKey ejbCreate(java.lang.Integer statusid) throws javax.ejb.CreateException {
		dataCacheEntry = (StatusBeanCacheEntry_7559fc46) instanceExtension.createDataCacheEntry();
		 super.ejbCreate(statusid);
		return (sample.StatusKey)instanceExtension.ejbCreate();
	}
	/**
	 * ejbPostCreate
	 */
	public void ejbPostCreate(java.lang.Integer statusid) throws javax.ejb.CreateException {
		super.ejbPostCreate(statusid);
		instanceExtension.ejbPostCreate();
	}
	/**
	 * ejbCreate
	 */
	public sample.StatusKey ejbCreate(java.lang.Integer statusid, java.lang.String name, java.lang.String description) throws javax.ejb.CreateException {
		dataCacheEntry = (StatusBeanCacheEntry_7559fc46) instanceExtension.createDataCacheEntry();
		 super.ejbCreate(statusid, name, description);
		return (sample.StatusKey)instanceExtension.ejbCreate();
	}
	/**
	 * ejbPostCreate
	 */
	public void ejbPostCreate(java.lang.Integer statusid, java.lang.String name, java.lang.String description) throws javax.ejb.CreateException {
		super.ejbPostCreate(statusid, name, description);
		instanceExtension.ejbPostCreate();
	}
	/**
	 * createPrimaryKey
	 */
	public Object createPrimaryKey() {
		sample.StatusKey pk = new sample.StatusKey();
		pk.statusid = getStatusid();
		return pk;
	}
	/**
	 * getNumberOfFields
	 */
	public int getNumberOfFields() {
		return 4;
	}
	/**
	 * getLink
	 */
	public com.ibm.ws.ejbpersistence.associations.AssociationLink getLink(java.lang.String name) {
		if (name.equals("fk_itemstatusItemInverse")) return getFk_itemstatusItemInverseLink();
		return null;
	}
	/**
	 * executeFinderForLink
	 */
	public java.lang.Object executeFinderForLink(java.lang.String name, java.lang.Object key) throws javax.ejb.FinderException {
		if (name.equals("fk_itemstatusItemInverse")){
			sample.websphere_deploy.ItemBeanInternalLocalHome_2a12784e home = (sample.websphere_deploy.ItemBeanInternalLocalHome_2a12784e)instanceExtension.getHomeForLink("fk_itemstatusItemInverse");
		  return home.findFk_itemstatusItemInverseByFk_itemstatusKey_Local((sample.StatusKey)key);
		}
		return null;
	}
	/**
	 * getFk_itemstatusItemInverseLink
	 */
	private com.ibm.ws.ejbpersistence.associations.AssociationLink getFk_itemstatusItemInverseLink() {
		if (fk_itemstatusItemInverseLink == null) 
		fk_itemstatusItemInverseLink = instanceExtension.createLink("fk_itemstatusItemInverse",null,3);
		return fk_itemstatusItemInverseLink;
	}
	private com.ibm.ws.ejbpersistence.associations.AssociationLink fk_itemstatusItemInverseLink;
	/**
	 * ejbFindFk_itemstatusByFk_itemstatusItemInverseKey_Local
	 */
	public sample.StatusKey ejbFindFk_itemstatusByFk_itemstatusItemInverseKey_Local(sample.ItemKey key) throws javax.ejb.FinderException {
		Object[] result = instanceExtension.getAssociatedKeys("fk_itemstatusItemInverse",key);
		if (result!=null )  return (sample.StatusKey) result[0];
		javax.resource.cci.IndexedRecord record = instanceExtension.getInputRecord("findFk_itemstatusByFk_itemstatusItemInverseKey_Local");
		getInjector().findFk_itemstatusByFk_itemstatusItemInverseKey_Local(key, record);
		return (sample.StatusKey) instanceExtension.executeFind("findFk_itemstatusByFk_itemstatusItemInverseKey_Local", record);
	}
	/**
	 * getOCCColumn
	 */
	public long getOCCColumn() {
		return dataCacheEntry.getOCCColumn();
	}
	/**
	 * Get accessor for persistent attribute: statusid
	 */
	public java.lang.Integer getStatusid() {
		return dataCacheEntry.getStatusid();
	}
	/**
	 * Set accessor for persistent attribute: statusid
	 */
	public void setStatusid(java.lang.Integer newStatusid) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(0,getStatusid(),newStatusid);
		else
			instanceExtension.markDirty(0);
		dataCacheEntry.setStatusid(newStatusid);
	}
	/**
	 * Get accessor for persistent attribute: name
	 */
	public java.lang.String getName() {
		return dataCacheEntry.getName();
	}
	/**
	 * Set accessor for persistent attribute: name
	 */
	public void setName(java.lang.String newName) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(1,getName(),newName);
		else
			instanceExtension.markDirty(1);
		dataCacheEntry.setName(newName);
	}
	/**
	 * Get accessor for persistent attribute: description
	 */
	public java.lang.String getDescription() {
		return dataCacheEntry.getDescription();
	}
	/**
	 * Set accessor for persistent attribute: description
	 */
	public void setDescription(java.lang.String newDescription) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(2,getDescription(),newDescription);
		else
			instanceExtension.markDirty(2);
		dataCacheEntry.setDescription(newDescription);
	}
}
