package sample.websphere_deploy.CLOUDSCAPE_V51_1;

import com.ibm.websphere.rsadapter.WSInteractionSpec;
import javax.resource.ResourceException;
import javax.resource.cci.Record;
import javax.resource.cci.IndexedRecord;
import java.sql.*;

/**
 * ItemBeanFunctionSet_2a12784e
 */
public class ItemBeanFunctionSet_2a12784e extends com.ibm.ws.rsadapter.cci.WSResourceAdapterBase implements com.ibm.websphere.rsadapter.DataAccessFunctionSet {
	private java.util.HashMap functionHash;
	private static String CreateQuery_0 = "INSERT INTO AUCTION.ITEM (ITEMID, TITLE, DESCRIPTION, VALUE, STARTINGBID, IMAGEPATH, IMAGESMALLPATH, STARTBIDDING, ENDBIDDING, CATALOGNUMBER, STATUS, CATEGORY, SELLERID) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";
	/**
	 * Create
	 */
	public void Create(IndexedRecord inputRecord, Object connection, WSInteractionSpec interactionSpec) throws ResourceException {
		PreparedStatement pstmt = null;
		try {
			pstmt = prepareStatement(connection, CreateQuery_0);

			// For column TITLE
			{
				String tempString;


				tempString=(String)inputRecord.get(0);
				if(tempString != null)
					pstmt.setString(2,tempString);
				else
					pstmt.setNull(2,java.sql.Types.VARCHAR);
			}
			// For column DESCRIPTION
			{
				String tempString;


				tempString=(String)inputRecord.get(1);
				if(tempString != null)
					pstmt.setString(3,tempString);
				else
					pstmt.setNull(3,java.sql.Types.VARCHAR);
			}
			// For column VALUE
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(2);
				if(tempInteger != null)
					pstmt.setInt(4,tempInteger.intValue());
				else
					pstmt.setNull(4,java.sql.Types.INTEGER);
			}
			// For column STARTINGBID
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(3);
				if(tempInteger != null)
					pstmt.setInt(5,tempInteger.intValue());
				else
					pstmt.setNull(5,java.sql.Types.INTEGER);
			}
			// For column IMAGEPATH
			{
				String tempString;


				tempString=(String)inputRecord.get(4);
				if(tempString != null)
					pstmt.setString(6,tempString);
				else
					pstmt.setNull(6,java.sql.Types.VARCHAR);
			}
			// For column IMAGESMALLPATH
			{
				String tempString;


				tempString=(String)inputRecord.get(5);
				if(tempString != null)
					pstmt.setString(7,tempString);
				else
					pstmt.setNull(7,java.sql.Types.VARCHAR);
			}
			// For column STARTBIDDING
			{
				java.sql.Timestamp tempTimestamp;


				tempTimestamp=(java.sql.Timestamp)inputRecord.get(6);
				if(tempTimestamp != null)
					pstmt.setTimestamp(8,tempTimestamp);
				else
					pstmt.setNull(8,java.sql.Types.TIMESTAMP);
			}
			// For column ENDBIDDING
			{
				java.sql.Timestamp tempTimestamp;


				tempTimestamp=(java.sql.Timestamp)inputRecord.get(7);
				if(tempTimestamp != null)
					pstmt.setTimestamp(9,tempTimestamp);
				else
					pstmt.setNull(9,java.sql.Types.TIMESTAMP);
			}
			// For column ITEMID
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(8);
				if(tempInteger != null)
					pstmt.setInt(1,tempInteger.intValue());
				else
					pstmt.setNull(1,java.sql.Types.INTEGER);
			}
			// For column CATALOGNUMBER
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(9);
				if(tempInteger != null)
					pstmt.setInt(10,tempInteger.intValue());
				else
					pstmt.setNull(10,java.sql.Types.INTEGER);
			}
			// For column STATUS
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(10);
				if(tempInteger != null)
					pstmt.setInt(11,tempInteger.intValue());
				else
					pstmt.setNull(11,java.sql.Types.INTEGER);
			}
			// For column CATEGORY
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(11);
				if(tempInteger != null)
					pstmt.setInt(12,tempInteger.intValue());
				else
					pstmt.setNull(12,java.sql.Types.INTEGER);
			}
			// For column SELLERID
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(12);
				if(tempInteger != null)
					pstmt.setInt(13,tempInteger.intValue());
				else
					pstmt.setNull(13,java.sql.Types.INTEGER);
			}
			if (executeUpdate(connection, pstmt, CreateQuery_0)==0)
				throw createResourceException(new javax.ejb.NoSuchEntityException(), this.getClass());

		}
		catch (SQLException e) {
			throw createResourceException(e, this.getClass());
		}
		finally {
			try {
				if(pstmt != null) {
					returnPreparedStatement(connection, pstmt);
				}
			}
			catch (SQLException ignored)
			{}
		}
	}
	private static String RemoveQuery_0 = "DELETE FROM AUCTION.ITEM  WHERE ITEMID = ?";
	/**
	 * Remove
	 */
	public void Remove(IndexedRecord inputRecord, Object connection, WSInteractionSpec interactionSpec) throws ResourceException {
		PreparedStatement pstmt = null;
		try {
			pstmt = prepareStatement(connection, RemoveQuery_0);

			// For column ITEMID
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(8);
				if(tempInteger != null)
					pstmt.setInt(1,tempInteger.intValue());
				else
					pstmt.setNull(1,java.sql.Types.INTEGER);
			}
			if (executeUpdate(connection, pstmt, RemoveQuery_0)==0)
				throw createResourceException(new javax.ejb.NoSuchEntityException(), this.getClass());

		}
		catch (SQLException e) {
			throw createResourceException(e, this.getClass());
		}
		finally {
			try {
				if(pstmt != null) {
					returnPreparedStatement(connection, pstmt);
				}
			}
			catch (SQLException ignored)
			{}
		}
	}
	private static String StoreQuery_0 = "UPDATE AUCTION.ITEM  SET TITLE = ?, DESCRIPTION = ?, VALUE = ?, STARTINGBID = ?, IMAGEPATH = ?, IMAGESMALLPATH = ?, STARTBIDDING = ?, ENDBIDDING = ?, CATALOGNUMBER = ?, STATUS = ?, CATEGORY = ?, SELLERID = ? WHERE ITEMID = ?";
	/**
	 * Store
	 */
	public void Store(IndexedRecord inputRecord, Object connection, WSInteractionSpec interactionSpec) throws ResourceException {
		PreparedStatement pstmt = null;
		try {
			pstmt = prepareStatement(connection, StoreQuery_0);

			// For column TITLE
			{
				String tempString;


				tempString=(String)inputRecord.get(0);
				if(tempString != null)
					pstmt.setString(1,tempString);
				else
					pstmt.setNull(1,java.sql.Types.VARCHAR);
			}
			// For column DESCRIPTION
			{
				String tempString;


				tempString=(String)inputRecord.get(1);
				if(tempString != null)
					pstmt.setString(2,tempString);
				else
					pstmt.setNull(2,java.sql.Types.VARCHAR);
			}
			// For column VALUE
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(2);
				if(tempInteger != null)
					pstmt.setInt(3,tempInteger.intValue());
				else
					pstmt.setNull(3,java.sql.Types.INTEGER);
			}
			// For column STARTINGBID
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(3);
				if(tempInteger != null)
					pstmt.setInt(4,tempInteger.intValue());
				else
					pstmt.setNull(4,java.sql.Types.INTEGER);
			}
			// For column IMAGEPATH
			{
				String tempString;


				tempString=(String)inputRecord.get(4);
				if(tempString != null)
					pstmt.setString(5,tempString);
				else
					pstmt.setNull(5,java.sql.Types.VARCHAR);
			}
			// For column IMAGESMALLPATH
			{
				String tempString;


				tempString=(String)inputRecord.get(5);
				if(tempString != null)
					pstmt.setString(6,tempString);
				else
					pstmt.setNull(6,java.sql.Types.VARCHAR);
			}
			// For column STARTBIDDING
			{
				java.sql.Timestamp tempTimestamp;


				tempTimestamp=(java.sql.Timestamp)inputRecord.get(6);
				if(tempTimestamp != null)
					pstmt.setTimestamp(7,tempTimestamp);
				else
					pstmt.setNull(7,java.sql.Types.TIMESTAMP);
			}
			// For column ENDBIDDING
			{
				java.sql.Timestamp tempTimestamp;


				tempTimestamp=(java.sql.Timestamp)inputRecord.get(7);
				if(tempTimestamp != null)
					pstmt.setTimestamp(8,tempTimestamp);
				else
					pstmt.setNull(8,java.sql.Types.TIMESTAMP);
			}
			// For column ITEMID
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(8);
				if(tempInteger != null)
					pstmt.setInt(13,tempInteger.intValue());
				else
					pstmt.setNull(13,java.sql.Types.INTEGER);
			}
			// For column CATALOGNUMBER
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(9);
				if(tempInteger != null)
					pstmt.setInt(9,tempInteger.intValue());
				else
					pstmt.setNull(9,java.sql.Types.INTEGER);
			}
			// For column STATUS
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(10);
				if(tempInteger != null)
					pstmt.setInt(10,tempInteger.intValue());
				else
					pstmt.setNull(10,java.sql.Types.INTEGER);
			}
			// For column CATEGORY
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(11);
				if(tempInteger != null)
					pstmt.setInt(11,tempInteger.intValue());
				else
					pstmt.setNull(11,java.sql.Types.INTEGER);
			}
			// For column SELLERID
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(12);
				if(tempInteger != null)
					pstmt.setInt(12,tempInteger.intValue());
				else
					pstmt.setNull(12,java.sql.Types.INTEGER);
			}
			if (executeUpdate(connection, pstmt, StoreQuery_0)==0)
				throw createResourceException(new javax.ejb.NoSuchEntityException(), this.getClass());

		}
		catch (SQLException e) {
			throw createResourceException(e, this.getClass());
		}
		finally {
			try {
				if(pstmt != null) {
					returnPreparedStatement(connection, pstmt);
				}
			}
			catch (SQLException ignored)
			{}
		}
	}
	private static String StoreOCCQuery_0 = "UPDATE AUCTION.ITEM  SET TITLE = ?, DESCRIPTION = ?, VALUE = ?, STARTINGBID = ?, IMAGEPATH = ?, IMAGESMALLPATH = ?, STARTBIDDING = ?, ENDBIDDING = ?, CATALOGNUMBER = ?, STATUS = ?, CATEGORY = ?, SELLERID = ? WHERE ITEMID = ?";
	/**
	 * StoreUsingOCC
	 */
	public void StoreUsingOCC(IndexedRecord inputRecord, Object connection, WSInteractionSpec interactionSpec) throws ResourceException {
		PreparedStatement pstmt = null;
		try {
			pstmt = prepareStatement(connection, StoreOCCQuery_0);

			// For column TITLE
			{
				String tempString;


				tempString=(String)inputRecord.get(0);
				if(tempString != null)
					pstmt.setString(1,tempString);
				else
					pstmt.setNull(1,java.sql.Types.VARCHAR);
			}
			// For column DESCRIPTION
			{
				String tempString;


				tempString=(String)inputRecord.get(1);
				if(tempString != null)
					pstmt.setString(2,tempString);
				else
					pstmt.setNull(2,java.sql.Types.VARCHAR);
			}
			// For column VALUE
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(2);
				if(tempInteger != null)
					pstmt.setInt(3,tempInteger.intValue());
				else
					pstmt.setNull(3,java.sql.Types.INTEGER);
			}
			// For column STARTINGBID
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(3);
				if(tempInteger != null)
					pstmt.setInt(4,tempInteger.intValue());
				else
					pstmt.setNull(4,java.sql.Types.INTEGER);
			}
			// For column IMAGEPATH
			{
				String tempString;


				tempString=(String)inputRecord.get(4);
				if(tempString != null)
					pstmt.setString(5,tempString);
				else
					pstmt.setNull(5,java.sql.Types.VARCHAR);
			}
			// For column IMAGESMALLPATH
			{
				String tempString;


				tempString=(String)inputRecord.get(5);
				if(tempString != null)
					pstmt.setString(6,tempString);
				else
					pstmt.setNull(6,java.sql.Types.VARCHAR);
			}
			// For column STARTBIDDING
			{
				java.sql.Timestamp tempTimestamp;


				tempTimestamp=(java.sql.Timestamp)inputRecord.get(6);
				if(tempTimestamp != null)
					pstmt.setTimestamp(7,tempTimestamp);
				else
					pstmt.setNull(7,java.sql.Types.TIMESTAMP);
			}
			// For column ENDBIDDING
			{
				java.sql.Timestamp tempTimestamp;


				tempTimestamp=(java.sql.Timestamp)inputRecord.get(7);
				if(tempTimestamp != null)
					pstmt.setTimestamp(8,tempTimestamp);
				else
					pstmt.setNull(8,java.sql.Types.TIMESTAMP);
			}
			// For column ITEMID
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(8);
				if(tempInteger != null)
					pstmt.setInt(13,tempInteger.intValue());
				else
					pstmt.setNull(13,java.sql.Types.INTEGER);
			}
			// For column CATALOGNUMBER
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(9);
				if(tempInteger != null)
					pstmt.setInt(9,tempInteger.intValue());
				else
					pstmt.setNull(9,java.sql.Types.INTEGER);
			}
			// For column STATUS
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(10);
				if(tempInteger != null)
					pstmt.setInt(10,tempInteger.intValue());
				else
					pstmt.setNull(10,java.sql.Types.INTEGER);
			}
			// For column CATEGORY
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(11);
				if(tempInteger != null)
					pstmt.setInt(11,tempInteger.intValue());
				else
					pstmt.setNull(11,java.sql.Types.INTEGER);
			}
			// For column SELLERID
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(12);
				if(tempInteger != null)
					pstmt.setInt(12,tempInteger.intValue());
				else
					pstmt.setNull(12,java.sql.Types.INTEGER);
			}
			IndexedRecord oldRecord = interactionSpec.getOldRecord();
			if (executeUpdate(connection, pstmt, StoreOCCQuery_0)==0)
				throw createResourceException(new javax.ejb.NoSuchEntityException(), this.getClass());

		}
		catch (SQLException e) {
			throw createResourceException(e, this.getClass());
		}
		finally {
			try {
				if(pstmt != null) {
					returnPreparedStatement(connection, pstmt);
				}
			}
			catch (SQLException ignored)
			{}
		}
	}
	private static String FindByPrimaryKeyQuery_0 = " SELECT T1.TITLE, T1.DESCRIPTION, T1.VALUE, T1.STARTINGBID, T1.IMAGEPATH, T1.IMAGESMALLPATH, T1.STARTBIDDING, T1.ENDBIDDING, T1.ITEMID, T1.CATALOGNUMBER, T1.STATUS, T1.CATEGORY, T1.SELLERID FROM AUCTION.ITEM  T1 WHERE T1.ITEMID = ?";
	/**
	 * FindByPrimaryKey
	 */
	public javax.resource.cci.Record FindByPrimaryKey(IndexedRecord inputRecord, Object connection, WSInteractionSpec interactionSpec) throws ResourceException {
		PreparedStatement pstmt = null;
		ResultSet result=null;
		try {
			pstmt = prepareStatement(connection, FindByPrimaryKeyQuery_0);

			// For column ITEMID
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(0);
				if(tempInteger != null)
					pstmt.setInt(1,tempInteger.intValue());
				else
					pstmt.setNull(1,java.sql.Types.INTEGER);
			}
			result = executeQuery(connection, pstmt, FindByPrimaryKeyQuery_0);

		}
		catch (java.lang.Throwable e) {
			try {
				if(pstmt != null) {
					returnPreparedStatement(connection, pstmt);
				}
			}
			catch (SQLException ignored){}
			throw createResourceException(e, this.getClass());
		}
		return createCCIRecord(connection, result);
	}
	private static String FindByPrimaryKeyForUpdateQuery_0 = " SELECT T1.TITLE, T1.DESCRIPTION, T1.VALUE, T1.STARTINGBID, T1.IMAGEPATH, T1.IMAGESMALLPATH, T1.STARTBIDDING, T1.ENDBIDDING, T1.ITEMID, T1.CATALOGNUMBER, T1.STATUS, T1.CATEGORY, T1.SELLERID FROM AUCTION.ITEM  T1 WHERE T1.ITEMID = ? FOR UPDATE  OF CATALOGNUMBER";
	/**
	 * FindByPrimaryKey444Update
	 */
	public javax.resource.cci.Record FindByPrimaryKey444Update(IndexedRecord inputRecord, Object connection, WSInteractionSpec interactionSpec) throws ResourceException {
		PreparedStatement pstmt = null;
		ResultSet result=null;
		try {
			pstmt = prepareStatement(connection, FindByPrimaryKeyForUpdateQuery_0);

			// For column ITEMID
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(0);
				if(tempInteger != null)
					pstmt.setInt(1,tempInteger.intValue());
				else
					pstmt.setNull(1,java.sql.Types.INTEGER);
			}
			result = executeQuery(connection, pstmt, FindByPrimaryKeyForUpdateQuery_0);

		}
		catch (java.lang.Throwable e) {
			try {
				if(pstmt != null) {
					returnPreparedStatement(connection, pstmt);
				}
			}
			catch (SQLException ignored){}
			throw createResourceException(e, this.getClass());
		}
		return createCCIRecord(connection, result);
	}
	private static String findFk_itemstatusItemInverseByFk_itemstatusKey_LocalQuery_0 = " SELECT T1.TITLE, T1.DESCRIPTION, T1.VALUE, T1.STARTINGBID, T1.IMAGEPATH, T1.IMAGESMALLPATH, T1.STARTBIDDING, T1.ENDBIDDING, T1.ITEMID, T1.CATALOGNUMBER, T1.STATUS, T1.CATEGORY, T1.SELLERID FROM AUCTION.ITEM  T1 WHERE T1.STATUS = ?";
	/**
	 * findFk_itemstatusItemInverseByFk_itemstatusKey_Local
	 */
	public javax.resource.cci.Record findFk_itemstatusItemInverseByFk_itemstatusKey_Local(IndexedRecord inputRecord, Object connection, WSInteractionSpec interactionSpec) throws ResourceException {
		PreparedStatement pstmt = null;
		ResultSet result=null;
		try {
			pstmt = prepareStatement(connection, findFk_itemstatusItemInverseByFk_itemstatusKey_LocalQuery_0);

			// For column STATUS
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(0);
				if(tempInteger != null)
					pstmt.setInt(1,tempInteger.intValue());
				else
					pstmt.setNull(1,java.sql.Types.INTEGER);
			}
			result = executeQuery(connection, pstmt, findFk_itemstatusItemInverseByFk_itemstatusKey_LocalQuery_0);

		}
		catch (java.lang.Throwable e) {
			try {
				if(pstmt != null) {
					returnPreparedStatement(connection, pstmt);
				}
			}
			catch (SQLException ignored){}
			throw createResourceException(e, this.getClass());
		}
		return createCCIRecord(connection, result);
	}
	private static String findFk_itemstatusItemInverseByFk_itemstatusKey_LocalForUpdateQuery_0 = " SELECT T1.TITLE, T1.DESCRIPTION, T1.VALUE, T1.STARTINGBID, T1.IMAGEPATH, T1.IMAGESMALLPATH, T1.STARTBIDDING, T1.ENDBIDDING, T1.ITEMID, T1.CATALOGNUMBER, T1.STATUS, T1.CATEGORY, T1.SELLERID FROM AUCTION.ITEM  T1 WHERE T1.STATUS = ? FOR UPDATE  OF CATALOGNUMBER";
	/**
	 * findFk_itemstatusItemInverseByFk_itemstatusKey_Local444Update
	 */
	public javax.resource.cci.Record findFk_itemstatusItemInverseByFk_itemstatusKey_Local444Update(IndexedRecord inputRecord, Object connection, WSInteractionSpec interactionSpec) throws ResourceException {
		PreparedStatement pstmt = null;
		ResultSet result=null;
		try {
			pstmt = prepareStatement(connection, findFk_itemstatusItemInverseByFk_itemstatusKey_LocalForUpdateQuery_0);

			// For column STATUS
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(0);
				if(tempInteger != null)
					pstmt.setInt(1,tempInteger.intValue());
				else
					pstmt.setNull(1,java.sql.Types.INTEGER);
			}
			result = executeQuery(connection, pstmt, findFk_itemstatusItemInverseByFk_itemstatusKey_LocalForUpdateQuery_0);

		}
		catch (java.lang.Throwable e) {
			try {
				if(pstmt != null) {
					returnPreparedStatement(connection, pstmt);
				}
			}
			catch (SQLException ignored){}
			throw createResourceException(e, this.getClass());
		}
		return createCCIRecord(connection, result);
	}
	private static String findItemByCategoryKey_LocalQuery_0 = " SELECT T1.TITLE, T1.DESCRIPTION, T1.VALUE, T1.STARTINGBID, T1.IMAGEPATH, T1.IMAGESMALLPATH, T1.STARTBIDDING, T1.ENDBIDDING, T1.ITEMID, T1.CATALOGNUMBER, T1.STATUS, T1.CATEGORY, T1.SELLERID FROM AUCTION.ITEM  T1 WHERE T1.CATEGORY = ?";
	/**
	 * findItemByCategoryKey_Local
	 */
	public javax.resource.cci.Record findItemByCategoryKey_Local(IndexedRecord inputRecord, Object connection, WSInteractionSpec interactionSpec) throws ResourceException {
		PreparedStatement pstmt = null;
		ResultSet result=null;
		try {
			pstmt = prepareStatement(connection, findItemByCategoryKey_LocalQuery_0);

			// For column CATEGORY
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(0);
				if(tempInteger != null)
					pstmt.setInt(1,tempInteger.intValue());
				else
					pstmt.setNull(1,java.sql.Types.INTEGER);
			}
			result = executeQuery(connection, pstmt, findItemByCategoryKey_LocalQuery_0);

		}
		catch (java.lang.Throwable e) {
			try {
				if(pstmt != null) {
					returnPreparedStatement(connection, pstmt);
				}
			}
			catch (SQLException ignored){}
			throw createResourceException(e, this.getClass());
		}
		return createCCIRecord(connection, result);
	}
	private static String findItemByCategoryKey_LocalForUpdateQuery_0 = " SELECT T1.TITLE, T1.DESCRIPTION, T1.VALUE, T1.STARTINGBID, T1.IMAGEPATH, T1.IMAGESMALLPATH, T1.STARTBIDDING, T1.ENDBIDDING, T1.ITEMID, T1.CATALOGNUMBER, T1.STATUS, T1.CATEGORY, T1.SELLERID FROM AUCTION.ITEM  T1 WHERE T1.CATEGORY = ? FOR UPDATE  OF CATALOGNUMBER";
	/**
	 * findItemByCategoryKey_Local444Update
	 */
	public javax.resource.cci.Record findItemByCategoryKey_Local444Update(IndexedRecord inputRecord, Object connection, WSInteractionSpec interactionSpec) throws ResourceException {
		PreparedStatement pstmt = null;
		ResultSet result=null;
		try {
			pstmt = prepareStatement(connection, findItemByCategoryKey_LocalForUpdateQuery_0);

			// For column CATEGORY
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(0);
				if(tempInteger != null)
					pstmt.setInt(1,tempInteger.intValue());
				else
					pstmt.setNull(1,java.sql.Types.INTEGER);
			}
			result = executeQuery(connection, pstmt, findItemByCategoryKey_LocalForUpdateQuery_0);

		}
		catch (java.lang.Throwable e) {
			try {
				if(pstmt != null) {
					returnPreparedStatement(connection, pstmt);
				}
			}
			catch (SQLException ignored){}
			throw createResourceException(e, this.getClass());
		}
		return createCCIRecord(connection, result);
	}
	private static String findSellerItemByItemSellerKey_LocalQuery_0 = " SELECT T1.TITLE, T1.DESCRIPTION, T1.VALUE, T1.STARTINGBID, T1.IMAGEPATH, T1.IMAGESMALLPATH, T1.STARTBIDDING, T1.ENDBIDDING, T1.ITEMID, T1.CATALOGNUMBER, T1.STATUS, T1.CATEGORY, T1.SELLERID FROM AUCTION.ITEM  T1 WHERE T1.SELLERID = ?";
	/**
	 * findSellerItemByItemSellerKey_Local
	 */
	public javax.resource.cci.Record findSellerItemByItemSellerKey_Local(IndexedRecord inputRecord, Object connection, WSInteractionSpec interactionSpec) throws ResourceException {
		PreparedStatement pstmt = null;
		ResultSet result=null;
		try {
			pstmt = prepareStatement(connection, findSellerItemByItemSellerKey_LocalQuery_0);

			// For column SELLERID
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(0);
				if(tempInteger != null)
					pstmt.setInt(1,tempInteger.intValue());
				else
					pstmt.setNull(1,java.sql.Types.INTEGER);
			}
			result = executeQuery(connection, pstmt, findSellerItemByItemSellerKey_LocalQuery_0);

		}
		catch (java.lang.Throwable e) {
			try {
				if(pstmt != null) {
					returnPreparedStatement(connection, pstmt);
				}
			}
			catch (SQLException ignored){}
			throw createResourceException(e, this.getClass());
		}
		return createCCIRecord(connection, result);
	}
	private static String findSellerItemByItemSellerKey_LocalForUpdateQuery_0 = " SELECT T1.TITLE, T1.DESCRIPTION, T1.VALUE, T1.STARTINGBID, T1.IMAGEPATH, T1.IMAGESMALLPATH, T1.STARTBIDDING, T1.ENDBIDDING, T1.ITEMID, T1.CATALOGNUMBER, T1.STATUS, T1.CATEGORY, T1.SELLERID FROM AUCTION.ITEM  T1 WHERE T1.SELLERID = ? FOR UPDATE  OF CATALOGNUMBER";
	/**
	 * findSellerItemByItemSellerKey_Local444Update
	 */
	public javax.resource.cci.Record findSellerItemByItemSellerKey_Local444Update(IndexedRecord inputRecord, Object connection, WSInteractionSpec interactionSpec) throws ResourceException {
		PreparedStatement pstmt = null;
		ResultSet result=null;
		try {
			pstmt = prepareStatement(connection, findSellerItemByItemSellerKey_LocalForUpdateQuery_0);

			// For column SELLERID
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(0);
				if(tempInteger != null)
					pstmt.setInt(1,tempInteger.intValue());
				else
					pstmt.setNull(1,java.sql.Types.INTEGER);
			}
			result = executeQuery(connection, pstmt, findSellerItemByItemSellerKey_LocalForUpdateQuery_0);

		}
		catch (java.lang.Throwable e) {
			try {
				if(pstmt != null) {
					returnPreparedStatement(connection, pstmt);
				}
			}
			catch (SQLException ignored){}
			throw createResourceException(e, this.getClass());
		}
		return createCCIRecord(connection, result);
	}
	/**
	 * ItemBeanFunctionSet_2a12784e
	 */
	public ItemBeanFunctionSet_2a12784e() {
		functionHash=new java.util.HashMap(16);

		functionHash.put("Create",new Integer(0));
		functionHash.put("Remove",new Integer(1));
		functionHash.put("Store",new Integer(2));
		functionHash.put("StoreUsingOCC",new Integer(3));
		functionHash.put("FindByPrimaryKey",new Integer(4));
		functionHash.put("FindByPrimaryKey444Update",new Integer(5));
		functionHash.put("findFk_itemstatusItemInverseByFk_itemstatusKey_Local",new Integer(6));
		functionHash.put("findFk_itemstatusItemInverseByFk_itemstatusKey_Local444Update",new Integer(7));
		functionHash.put("findItemByCategoryKey_Local",new Integer(8));
		functionHash.put("findItemByCategoryKey_Local444Update",new Integer(9));
		functionHash.put("findSellerItemByItemSellerKey_Local",new Integer(10));
		functionHash.put("findSellerItemByItemSellerKey_Local444Update",new Integer(11));
		functionHash.put("ReadReadChecking",new Integer(12));
		functionHash.put("ReadReadCheckingForUpdate",new Integer(13));
		functionHash.put("PartialStore",new Integer(14));
		functionHash.put("PartialStoreUsingOCC",new Integer(15));
	}
	/**
	 * execute
	 */
	public Record execute(WSInteractionSpec interactionSpec, IndexedRecord inputRecord, Object connection) throws javax.resource.ResourceException {
		String functionName=interactionSpec.getFunctionName();
		Record outputRecord=null;
		int functionIndex=((Integer)functionHash.get(functionName)).intValue();

		switch (functionIndex) {
		case 0:
			Create(inputRecord,connection,interactionSpec);
			break;
		case 1:
			Remove(inputRecord,connection,interactionSpec);
			break;
		case 2:
			Store(inputRecord,connection,interactionSpec);
			break;
		case 3:
			StoreUsingOCC(inputRecord,connection,interactionSpec);
			break;
		case 4:
			outputRecord=FindByPrimaryKey(inputRecord,connection,interactionSpec);
			break;
		case 5:
			outputRecord=FindByPrimaryKey444Update(inputRecord,connection,interactionSpec);
			break;
		case 6:
			outputRecord=findFk_itemstatusItemInverseByFk_itemstatusKey_Local(inputRecord,connection,interactionSpec);
			break;
		case 7:
			outputRecord=findFk_itemstatusItemInverseByFk_itemstatusKey_Local444Update(inputRecord,connection,interactionSpec);
			break;
		case 8:
			outputRecord=findItemByCategoryKey_Local(inputRecord,connection,interactionSpec);
			break;
		case 9:
			outputRecord=findItemByCategoryKey_Local444Update(inputRecord,connection,interactionSpec);
			break;
		case 10:
			outputRecord=findSellerItemByItemSellerKey_Local(inputRecord,connection,interactionSpec);
			break;
		case 11:
			outputRecord=findSellerItemByItemSellerKey_Local444Update(inputRecord,connection,interactionSpec);
			break;
		case 12:
			ReadReadChecking(inputRecord,connection,interactionSpec);
			break;
		case 13:
			ReadReadCheckingForUpdate(inputRecord,connection,interactionSpec);
			break;
		case 14:
			PartialStore(inputRecord,connection,interactionSpec);
			break;
		case 15:
			PartialStoreUsingOCC(inputRecord,connection,interactionSpec);
			break;
		}
		return outputRecord;
	}
	private static String ReadReadQuery_0 = " SELECT 1 FROM AUCTION.ITEM  T1 WHERE T1.ITEMID = ?";
	/**
	 * ReadReadChecking
	 */
	public void ReadReadChecking(IndexedRecord inputRecord, Object connection, WSInteractionSpec interactionSpec) throws ResourceException {
		PreparedStatement pstmt = null;
		try {
			pstmt = prepareStatement(connection, ReadReadQuery_0);

			// For column ITEMID
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(0);
				if(tempInteger != null)
					pstmt.setInt(1,tempInteger.intValue());
				else
					pstmt.setNull(1,java.sql.Types.INTEGER);
			}
			executeQuery(connection, pstmt, ReadReadQuery_0);

		}
		catch (SQLException e) {
			throw createResourceException(e, this.getClass());
		}
		finally {
			try {
				if(pstmt != null) {
					returnPreparedStatement(connection, pstmt);
				}
			}
			catch (SQLException ignored)
			{}
		}
	}
	private static String ReadReadForUpdateQuery_0 = " SELECT 1 FROM AUCTION.ITEM  T1 WHERE T1.ITEMID = ? FOR UPDATE  OF CATALOGNUMBER";
	/**
	 * ReadReadCheckingForUpdate
	 */
	public void ReadReadCheckingForUpdate(IndexedRecord inputRecord, Object connection, WSInteractionSpec interactionSpec) throws ResourceException {
		PreparedStatement pstmt = null;
		try {
			pstmt = prepareStatement(connection, ReadReadForUpdateQuery_0);

			// For column ITEMID
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(0);
				if(tempInteger != null)
					pstmt.setInt(1,tempInteger.intValue());
				else
					pstmt.setNull(1,java.sql.Types.INTEGER);
			}
			executeQuery(connection, pstmt, ReadReadForUpdateQuery_0);

		}
		catch (SQLException e) {
			throw createResourceException(e, this.getClass());
		}
		finally {
			try {
				if(pstmt != null) {
					returnPreparedStatement(connection, pstmt);
				}
			}
			catch (SQLException ignored)
			{}
		}
	}
	/**
	 * initializeUpdateTemplates
	 */
	private void initializeUpdateTemplates() throws javax.resource.ResourceException {
		updateTemplateList = ItemBeanPartialUpdateQueryHelper.getUpdateTemplates();
	}
	private java.util.List updateTemplateList = null;
	/**
	 * PartialStore
	 */
	public void PartialStore(IndexedRecord inputRecord, Object connection, WSInteractionSpec interactionSpec) throws ResourceException {
		PreparedStatement pstmt = null;
		try {
			boolean[] changedFieldIndexes = interactionSpec.getChangedFieldsIndexes();
			if (updateTemplateList == null)
				initializeUpdateTemplates();
			{
				com.ibm.ws.ejbdeploy.JAuctionV60EJB.CLOUDSCAPE_V51_1.RdbRuntimeUpdateTemplate aTemplate = (com.ibm.ws.ejbdeploy.JAuctionV60EJB.CLOUDSCAPE_V51_1.RdbRuntimeUpdateTemplate) updateTemplateList.get(0);
				String updateQuery = aTemplate.nativeQuery(changedFieldIndexes);
				if (updateQuery != null){
					pstmt = prepareStatement(connection, updateQuery);

					int stmtIndex = 1;
					if (changedFieldIndexes[2])
					{
						// For column TITLE
						String tempString;


						tempString=(String)inputRecord.get(0);
						if(tempString != null){
							pstmt.setString(stmtIndex,tempString);
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.VARCHAR);
						stmtIndex++;

					}
					if (changedFieldIndexes[3])
					{
						// For column DESCRIPTION
						String tempString;


						tempString=(String)inputRecord.get(1);
						if(tempString != null){
							pstmt.setString(stmtIndex,tempString);
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.VARCHAR);
						stmtIndex++;

					}
					if (changedFieldIndexes[4])
					{
						// For column VALUE
						Integer tempInteger;


						tempInteger=(Integer)inputRecord.get(2);
						if(tempInteger != null){
							pstmt.setInt(stmtIndex,tempInteger.intValue());
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.INTEGER);
						stmtIndex++;

					}
					if (changedFieldIndexes[5])
					{
						// For column STARTINGBID
						Integer tempInteger;


						tempInteger=(Integer)inputRecord.get(3);
						if(tempInteger != null){
							pstmt.setInt(stmtIndex,tempInteger.intValue());
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.INTEGER);
						stmtIndex++;

					}
					if (changedFieldIndexes[6])
					{
						// For column IMAGEPATH
						String tempString;


						tempString=(String)inputRecord.get(4);
						if(tempString != null){
							pstmt.setString(stmtIndex,tempString);
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.VARCHAR);
						stmtIndex++;

					}
					if (changedFieldIndexes[7])
					{
						// For column IMAGESMALLPATH
						String tempString;


						tempString=(String)inputRecord.get(5);
						if(tempString != null){
							pstmt.setString(stmtIndex,tempString);
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.VARCHAR);
						stmtIndex++;

					}
					if (changedFieldIndexes[8])
					{
						// For column STARTBIDDING
						java.sql.Timestamp tempTimestamp;


						tempTimestamp=(java.sql.Timestamp)inputRecord.get(6);
						if(tempTimestamp != null){
							pstmt.setTimestamp(stmtIndex,tempTimestamp);
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.TIMESTAMP);
						stmtIndex++;

					}
					if (changedFieldIndexes[9])
					{
						// For column ENDBIDDING
						java.sql.Timestamp tempTimestamp;


						tempTimestamp=(java.sql.Timestamp)inputRecord.get(7);
						if(tempTimestamp != null){
							pstmt.setTimestamp(stmtIndex,tempTimestamp);
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.TIMESTAMP);
						stmtIndex++;

					}
					if (changedFieldIndexes[1])
					{
						// For column CATALOGNUMBER
						Integer tempInteger;


						tempInteger=(Integer)inputRecord.get(9);
						if(tempInteger != null){
							pstmt.setInt(stmtIndex,tempInteger.intValue());
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.INTEGER);
						stmtIndex++;

					}
					if (changedFieldIndexes[15])
					{
						// For column STATUS
						Integer tempInteger;


						tempInteger=(Integer)inputRecord.get(10);
						if(tempInteger != null){
							pstmt.setInt(stmtIndex,tempInteger.intValue());
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.INTEGER);
						stmtIndex++;

					}
					if (changedFieldIndexes[16])
					{
						// For column CATEGORY
						Integer tempInteger;


						tempInteger=(Integer)inputRecord.get(11);
						if(tempInteger != null){
							pstmt.setInt(stmtIndex,tempInteger.intValue());
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.INTEGER);
						stmtIndex++;

					}
					if (changedFieldIndexes[17])
					{
						// For column SELLERID
						Integer tempInteger;


						tempInteger=(Integer)inputRecord.get(12);
						if(tempInteger != null){
							pstmt.setInt(stmtIndex,tempInteger.intValue());
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.INTEGER);
						stmtIndex++;

					}
					//Now set the primary key columns
					{
						// For column ITEMID
						Integer tempInteger;


						tempInteger=(Integer)inputRecord.get(8);
						pstmt.setInt(stmtIndex,tempInteger.intValue());
							stmtIndex++;

					}
					if (executeUpdate(connection, pstmt, updateQuery)==0)
						throw createResourceException(new javax.ejb.NoSuchEntityException(), this.getClass());

				}
			}
		}
		catch (SQLException e) {
			throw createResourceException(e, this.getClass());
		}
		finally {
			try {
				if(pstmt != null) {
					returnPreparedStatement(connection, pstmt);
				}
			}
			catch (SQLException ignored)
			{}
		}
	}
	/**
	 * PartialStoreUsingOCC
	 */
	public void PartialStoreUsingOCC(IndexedRecord inputRecord, Object connection, WSInteractionSpec interactionSpec) throws ResourceException {
		PreparedStatement pstmt = null;
		try {
			boolean[] changedFieldIndexes = interactionSpec.getChangedFieldsIndexes();
			if (updateTemplateList == null)
				initializeUpdateTemplates();
			{
				com.ibm.ws.ejbdeploy.JAuctionV60EJB.CLOUDSCAPE_V51_1.RdbRuntimeUpdateTemplate aTemplate = (com.ibm.ws.ejbdeploy.JAuctionV60EJB.CLOUDSCAPE_V51_1.RdbRuntimeUpdateTemplate) updateTemplateList.get(0);
				String updateQuery = aTemplate.nativeQuery(changedFieldIndexes);
				if (updateQuery != null){
					pstmt = prepareStatement(connection, updateQuery);

					int stmtIndex = 1;
					if (changedFieldIndexes[2])
					{
						// For column TITLE
						String tempString;


						tempString=(String)inputRecord.get(0);
						if(tempString != null){
							pstmt.setString(stmtIndex,tempString);
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.VARCHAR);
						stmtIndex++;

					}
					if (changedFieldIndexes[3])
					{
						// For column DESCRIPTION
						String tempString;


						tempString=(String)inputRecord.get(1);
						if(tempString != null){
							pstmt.setString(stmtIndex,tempString);
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.VARCHAR);
						stmtIndex++;

					}
					if (changedFieldIndexes[4])
					{
						// For column VALUE
						Integer tempInteger;


						tempInteger=(Integer)inputRecord.get(2);
						if(tempInteger != null){
							pstmt.setInt(stmtIndex,tempInteger.intValue());
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.INTEGER);
						stmtIndex++;

					}
					if (changedFieldIndexes[5])
					{
						// For column STARTINGBID
						Integer tempInteger;


						tempInteger=(Integer)inputRecord.get(3);
						if(tempInteger != null){
							pstmt.setInt(stmtIndex,tempInteger.intValue());
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.INTEGER);
						stmtIndex++;

					}
					if (changedFieldIndexes[6])
					{
						// For column IMAGEPATH
						String tempString;


						tempString=(String)inputRecord.get(4);
						if(tempString != null){
							pstmt.setString(stmtIndex,tempString);
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.VARCHAR);
						stmtIndex++;

					}
					if (changedFieldIndexes[7])
					{
						// For column IMAGESMALLPATH
						String tempString;


						tempString=(String)inputRecord.get(5);
						if(tempString != null){
							pstmt.setString(stmtIndex,tempString);
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.VARCHAR);
						stmtIndex++;

					}
					if (changedFieldIndexes[8])
					{
						// For column STARTBIDDING
						java.sql.Timestamp tempTimestamp;


						tempTimestamp=(java.sql.Timestamp)inputRecord.get(6);
						if(tempTimestamp != null){
							pstmt.setTimestamp(stmtIndex,tempTimestamp);
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.TIMESTAMP);
						stmtIndex++;

					}
					if (changedFieldIndexes[9])
					{
						// For column ENDBIDDING
						java.sql.Timestamp tempTimestamp;


						tempTimestamp=(java.sql.Timestamp)inputRecord.get(7);
						if(tempTimestamp != null){
							pstmt.setTimestamp(stmtIndex,tempTimestamp);
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.TIMESTAMP);
						stmtIndex++;

					}
					if (changedFieldIndexes[1])
					{
						// For column CATALOGNUMBER
						Integer tempInteger;


						tempInteger=(Integer)inputRecord.get(9);
						if(tempInteger != null){
							pstmt.setInt(stmtIndex,tempInteger.intValue());
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.INTEGER);
						stmtIndex++;

					}
					if (changedFieldIndexes[15])
					{
						// For column STATUS
						Integer tempInteger;


						tempInteger=(Integer)inputRecord.get(10);
						if(tempInteger != null){
							pstmt.setInt(stmtIndex,tempInteger.intValue());
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.INTEGER);
						stmtIndex++;

					}
					if (changedFieldIndexes[16])
					{
						// For column CATEGORY
						Integer tempInteger;


						tempInteger=(Integer)inputRecord.get(11);
						if(tempInteger != null){
							pstmt.setInt(stmtIndex,tempInteger.intValue());
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.INTEGER);
						stmtIndex++;

					}
					if (changedFieldIndexes[17])
					{
						// For column SELLERID
						Integer tempInteger;


						tempInteger=(Integer)inputRecord.get(12);
						if(tempInteger != null){
							pstmt.setInt(stmtIndex,tempInteger.intValue());
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.INTEGER);
						stmtIndex++;

					}
					//Now set the primary key columns
					{
						// For column ITEMID
						Integer tempInteger;


						tempInteger=(Integer)inputRecord.get(8);
						pstmt.setInt(stmtIndex,tempInteger.intValue());
							stmtIndex++;

					}
					if (executeUpdate(connection, pstmt, updateQuery)==0)
						throw createResourceException(new javax.ejb.NoSuchEntityException(), this.getClass());

				}
			}
		}
		catch (SQLException e) {
			throw createResourceException(e, this.getClass());
		}
		finally {
			try {
				if(pstmt != null) {
					returnPreparedStatement(connection, pstmt);
				}
			}
			catch (SQLException ignored)
			{}
		}
	}
}
