package sample.websphere_deploy.CLOUDSCAPE_V51_1;

import com.ibm.websphere.rsadapter.WSInteractionSpec;
import javax.resource.ResourceException;
import javax.resource.cci.Record;
import javax.resource.cci.IndexedRecord;
import java.sql.*;

/**
 * RegistrationBeanFunctionSet_b8f336a8
 */
public class RegistrationBeanFunctionSet_b8f336a8 extends com.ibm.ws.rsadapter.cci.WSResourceAdapterBase implements com.ibm.websphere.rsadapter.DataAccessFunctionSet {
	private java.util.HashMap functionHash;
	private static String CreateQuery_0 = "INSERT INTO AUCTION.REGISTRATION (USERID, EMAIL, PASSWD, NAME, CARDTYPE, ACCTNUM, EXPIRY, SHIPPINGSAME, ACTIVE, RANK, SHIPPINGADDRESS, BILLINGADDRESS) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";
	/**
	 * Create
	 */
	public void Create(IndexedRecord inputRecord, Object connection, WSInteractionSpec interactionSpec) throws ResourceException {
		PreparedStatement pstmt = null;
		try {
			pstmt = prepareStatement(connection, CreateQuery_0);

			// For column USERID
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(0);
				if(tempInteger != null)
					pstmt.setInt(1,tempInteger.intValue());
				else
					pstmt.setNull(1,java.sql.Types.INTEGER);
			}
			// For column EMAIL
			{
				String tempString;


				tempString=(String)inputRecord.get(1);
				if(tempString != null)
					pstmt.setString(2,tempString);
				else
					pstmt.setNull(2,java.sql.Types.VARCHAR);
			}
			// For column PASSWD
			{
				String tempString;


				tempString=(String)inputRecord.get(2);
				if(tempString != null)
					pstmt.setString(3,tempString);
				else
					pstmt.setNull(3,java.sql.Types.CHAR);
			}
			// For column NAME
			{
				String tempString;


				tempString=(String)inputRecord.get(3);
				if(tempString != null)
					pstmt.setString(4,tempString);
				else
					pstmt.setNull(4,java.sql.Types.VARCHAR);
			}
			// For column CARDTYPE
			{
				String tempString;


				tempString=(String)inputRecord.get(4);
				if(tempString != null)
					pstmt.setString(5,tempString);
				else
					pstmt.setNull(5,java.sql.Types.VARCHAR);
			}
			// For column ACCTNUM
			{
				String tempString;


				tempString=(String)inputRecord.get(5);
				if(tempString != null)
					pstmt.setString(6,tempString);
				else
					pstmt.setNull(6,java.sql.Types.VARCHAR);
			}
			// For column EXPIRY
			{
				java.sql.Timestamp tempTimestamp;


				tempTimestamp=(java.sql.Timestamp)inputRecord.get(6);
				if(tempTimestamp != null)
					pstmt.setTimestamp(7,tempTimestamp);
				else
					pstmt.setNull(7,java.sql.Types.TIMESTAMP);
			}
			// For column SHIPPINGSAME
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(7);
				if(tempInteger != null)
					pstmt.setInt(8,tempInteger.intValue());
				else
					pstmt.setNull(8,java.sql.Types.INTEGER);
			}
			// For column ACTIVE
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(8);
				if(tempInteger != null)
					pstmt.setInt(9,tempInteger.intValue());
				else
					pstmt.setNull(9,java.sql.Types.INTEGER);
			}
			// For column RANK
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(9);
				if(tempInteger != null)
					pstmt.setInt(10,tempInteger.intValue());
				else
					pstmt.setNull(10,java.sql.Types.INTEGER);
			}
			// For column SHIPPINGADDRESS
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(10);
				if(tempInteger != null)
					pstmt.setInt(11,tempInteger.intValue());
				else
					pstmt.setNull(11,java.sql.Types.INTEGER);
			}
			// For column BILLINGADDRESS
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(11);
				if(tempInteger != null)
					pstmt.setInt(12,tempInteger.intValue());
				else
					pstmt.setNull(12,java.sql.Types.INTEGER);
			}
			if (executeUpdate(connection, pstmt, CreateQuery_0)==0)
				throw createResourceException(new javax.ejb.NoSuchEntityException(), this.getClass());

		}
		catch (SQLException e) {
			throw createResourceException(e, this.getClass());
		}
		finally {
			try {
				if(pstmt != null) {
					returnPreparedStatement(connection, pstmt);
				}
			}
			catch (SQLException ignored)
			{}
		}
	}
	private static String RemoveQuery_0 = "DELETE FROM AUCTION.REGISTRATION  WHERE USERID = ?";
	/**
	 * Remove
	 */
	public void Remove(IndexedRecord inputRecord, Object connection, WSInteractionSpec interactionSpec) throws ResourceException {
		PreparedStatement pstmt = null;
		try {
			pstmt = prepareStatement(connection, RemoveQuery_0);

			// For column USERID
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(0);
				if(tempInteger != null)
					pstmt.setInt(1,tempInteger.intValue());
				else
					pstmt.setNull(1,java.sql.Types.INTEGER);
			}
			if (executeUpdate(connection, pstmt, RemoveQuery_0)==0)
				throw createResourceException(new javax.ejb.NoSuchEntityException(), this.getClass());

		}
		catch (SQLException e) {
			throw createResourceException(e, this.getClass());
		}
		finally {
			try {
				if(pstmt != null) {
					returnPreparedStatement(connection, pstmt);
				}
			}
			catch (SQLException ignored)
			{}
		}
	}
	private static String StoreQuery_0 = "UPDATE AUCTION.REGISTRATION  SET EMAIL = ?, PASSWD = ?, NAME = ?, CARDTYPE = ?, ACCTNUM = ?, EXPIRY = ?, SHIPPINGSAME = ?, ACTIVE = ?, RANK = ?, SHIPPINGADDRESS = ?, BILLINGADDRESS = ? WHERE USERID = ?";
	/**
	 * Store
	 */
	public void Store(IndexedRecord inputRecord, Object connection, WSInteractionSpec interactionSpec) throws ResourceException {
		PreparedStatement pstmt = null;
		try {
			pstmt = prepareStatement(connection, StoreQuery_0);

			// For column USERID
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(0);
				if(tempInteger != null)
					pstmt.setInt(12,tempInteger.intValue());
				else
					pstmt.setNull(12,java.sql.Types.INTEGER);
			}
			// For column EMAIL
			{
				String tempString;


				tempString=(String)inputRecord.get(1);
				if(tempString != null)
					pstmt.setString(1,tempString);
				else
					pstmt.setNull(1,java.sql.Types.VARCHAR);
			}
			// For column PASSWD
			{
				String tempString;


				tempString=(String)inputRecord.get(2);
				if(tempString != null)
					pstmt.setString(2,tempString);
				else
					pstmt.setNull(2,java.sql.Types.CHAR);
			}
			// For column NAME
			{
				String tempString;


				tempString=(String)inputRecord.get(3);
				if(tempString != null)
					pstmt.setString(3,tempString);
				else
					pstmt.setNull(3,java.sql.Types.VARCHAR);
			}
			// For column CARDTYPE
			{
				String tempString;


				tempString=(String)inputRecord.get(4);
				if(tempString != null)
					pstmt.setString(4,tempString);
				else
					pstmt.setNull(4,java.sql.Types.VARCHAR);
			}
			// For column ACCTNUM
			{
				String tempString;


				tempString=(String)inputRecord.get(5);
				if(tempString != null)
					pstmt.setString(5,tempString);
				else
					pstmt.setNull(5,java.sql.Types.VARCHAR);
			}
			// For column EXPIRY
			{
				java.sql.Timestamp tempTimestamp;


				tempTimestamp=(java.sql.Timestamp)inputRecord.get(6);
				if(tempTimestamp != null)
					pstmt.setTimestamp(6,tempTimestamp);
				else
					pstmt.setNull(6,java.sql.Types.TIMESTAMP);
			}
			// For column SHIPPINGSAME
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(7);
				if(tempInteger != null)
					pstmt.setInt(7,tempInteger.intValue());
				else
					pstmt.setNull(7,java.sql.Types.INTEGER);
			}
			// For column ACTIVE
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(8);
				if(tempInteger != null)
					pstmt.setInt(8,tempInteger.intValue());
				else
					pstmt.setNull(8,java.sql.Types.INTEGER);
			}
			// For column RANK
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(9);
				if(tempInteger != null)
					pstmt.setInt(9,tempInteger.intValue());
				else
					pstmt.setNull(9,java.sql.Types.INTEGER);
			}
			// For column SHIPPINGADDRESS
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(10);
				if(tempInteger != null)
					pstmt.setInt(10,tempInteger.intValue());
				else
					pstmt.setNull(10,java.sql.Types.INTEGER);
			}
			// For column BILLINGADDRESS
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(11);
				if(tempInteger != null)
					pstmt.setInt(11,tempInteger.intValue());
				else
					pstmt.setNull(11,java.sql.Types.INTEGER);
			}
			if (executeUpdate(connection, pstmt, StoreQuery_0)==0)
				throw createResourceException(new javax.ejb.NoSuchEntityException(), this.getClass());

		}
		catch (SQLException e) {
			throw createResourceException(e, this.getClass());
		}
		finally {
			try {
				if(pstmt != null) {
					returnPreparedStatement(connection, pstmt);
				}
			}
			catch (SQLException ignored)
			{}
		}
	}
	private static String StoreOCCQuery_0 = "UPDATE AUCTION.REGISTRATION  SET EMAIL = ?, PASSWD = ?, NAME = ?, CARDTYPE = ?, ACCTNUM = ?, EXPIRY = ?, SHIPPINGSAME = ?, ACTIVE = ?, RANK = ?, SHIPPINGADDRESS = ?, BILLINGADDRESS = ? WHERE USERID = ? AND EMAIL = ? AND PASSWD = ? AND NAME = ? AND SHIPPINGSAME = ? AND ACTIVE = ? AND RANK = ?";
	/**
	 * StoreUsingOCC
	 */
	public void StoreUsingOCC(IndexedRecord inputRecord, Object connection, WSInteractionSpec interactionSpec) throws ResourceException {
		PreparedStatement pstmt = null;
		try {
			pstmt = prepareStatement(connection, StoreOCCQuery_0);

			// For column USERID
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(0);
				if(tempInteger != null)
					pstmt.setInt(12,tempInteger.intValue());
				else
					pstmt.setNull(12,java.sql.Types.INTEGER);
			}
			// For column EMAIL
			{
				String tempString;


				tempString=(String)inputRecord.get(1);
				if(tempString != null)
					pstmt.setString(1,tempString);
				else
					pstmt.setNull(1,java.sql.Types.VARCHAR);
			}
			// For column PASSWD
			{
				String tempString;


				tempString=(String)inputRecord.get(2);
				if(tempString != null)
					pstmt.setString(2,tempString);
				else
					pstmt.setNull(2,java.sql.Types.CHAR);
			}
			// For column NAME
			{
				String tempString;


				tempString=(String)inputRecord.get(3);
				if(tempString != null)
					pstmt.setString(3,tempString);
				else
					pstmt.setNull(3,java.sql.Types.VARCHAR);
			}
			// For column CARDTYPE
			{
				String tempString;


				tempString=(String)inputRecord.get(4);
				if(tempString != null)
					pstmt.setString(4,tempString);
				else
					pstmt.setNull(4,java.sql.Types.VARCHAR);
			}
			// For column ACCTNUM
			{
				String tempString;


				tempString=(String)inputRecord.get(5);
				if(tempString != null)
					pstmt.setString(5,tempString);
				else
					pstmt.setNull(5,java.sql.Types.VARCHAR);
			}
			// For column EXPIRY
			{
				java.sql.Timestamp tempTimestamp;


				tempTimestamp=(java.sql.Timestamp)inputRecord.get(6);
				if(tempTimestamp != null)
					pstmt.setTimestamp(6,tempTimestamp);
				else
					pstmt.setNull(6,java.sql.Types.TIMESTAMP);
			}
			// For column SHIPPINGSAME
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(7);
				if(tempInteger != null)
					pstmt.setInt(7,tempInteger.intValue());
				else
					pstmt.setNull(7,java.sql.Types.INTEGER);
			}
			// For column ACTIVE
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(8);
				if(tempInteger != null)
					pstmt.setInt(8,tempInteger.intValue());
				else
					pstmt.setNull(8,java.sql.Types.INTEGER);
			}
			// For column RANK
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(9);
				if(tempInteger != null)
					pstmt.setInt(9,tempInteger.intValue());
				else
					pstmt.setNull(9,java.sql.Types.INTEGER);
			}
			// For column SHIPPINGADDRESS
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(10);
				if(tempInteger != null)
					pstmt.setInt(10,tempInteger.intValue());
				else
					pstmt.setNull(10,java.sql.Types.INTEGER);
			}
			// For column BILLINGADDRESS
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(11);
				if(tempInteger != null)
					pstmt.setInt(11,tempInteger.intValue());
				else
					pstmt.setNull(11,java.sql.Types.INTEGER);
			}
			IndexedRecord oldRecord = interactionSpec.getOldRecord();
			// For column EMAIL
			{
				String tempString;


				tempString=(String)oldRecord.get(1);
				if(tempString != null)
					pstmt.setString(13,tempString);
				else
					pstmt.setNull(13,java.sql.Types.VARCHAR);
			}
			// For column PASSWD
			{
				String tempString;


				tempString=(String)oldRecord.get(2);
				if(tempString != null)
					pstmt.setString(14,tempString);
				else
					pstmt.setNull(14,java.sql.Types.CHAR);
			}
			// For column NAME
			{
				String tempString;


				tempString=(String)oldRecord.get(3);
				if(tempString != null)
					pstmt.setString(15,tempString);
				else
					pstmt.setNull(15,java.sql.Types.VARCHAR);
			}
			// For column SHIPPINGSAME
			{
				Integer tempInteger;


				tempInteger=(Integer)oldRecord.get(7);
				if(tempInteger != null)
					pstmt.setInt(16,tempInteger.intValue());
				else
					pstmt.setNull(16,java.sql.Types.INTEGER);
			}
			// For column ACTIVE
			{
				Integer tempInteger;


				tempInteger=(Integer)oldRecord.get(8);
				if(tempInteger != null)
					pstmt.setInt(17,tempInteger.intValue());
				else
					pstmt.setNull(17,java.sql.Types.INTEGER);
			}
			// For column RANK
			{
				Integer tempInteger;


				tempInteger=(Integer)oldRecord.get(9);
				if(tempInteger != null)
					pstmt.setInt(18,tempInteger.intValue());
				else
					pstmt.setNull(18,java.sql.Types.INTEGER);
			}
			if (executeUpdate(connection, pstmt, StoreOCCQuery_0)==0)
				throw createResourceException(new javax.ejb.NoSuchEntityException(), this.getClass());

		}
		catch (SQLException e) {
			throw createResourceException(e, this.getClass());
		}
		finally {
			try {
				if(pstmt != null) {
					returnPreparedStatement(connection, pstmt);
				}
			}
			catch (SQLException ignored)
			{}
		}
	}
	private static String FindByPrimaryKeyQuery_0 = " SELECT T1.USERID, T1.EMAIL, T1.PASSWD, T1.NAME, T1.CARDTYPE, T1.ACCTNUM, T1.EXPIRY, T1.SHIPPINGSAME, T1.ACTIVE, T1.RANK, T1.SHIPPINGADDRESS, T1.BILLINGADDRESS FROM AUCTION.REGISTRATION  T1 WHERE T1.USERID = ?";
	/**
	 * FindByPrimaryKey
	 */
	public javax.resource.cci.Record FindByPrimaryKey(IndexedRecord inputRecord, Object connection, WSInteractionSpec interactionSpec) throws ResourceException {
		PreparedStatement pstmt = null;
		ResultSet result=null;
		try {
			pstmt = prepareStatement(connection, FindByPrimaryKeyQuery_0);

			// For column USERID
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(0);
				if(tempInteger != null)
					pstmt.setInt(1,tempInteger.intValue());
				else
					pstmt.setNull(1,java.sql.Types.INTEGER);
			}
			result = executeQuery(connection, pstmt, FindByPrimaryKeyQuery_0);

		}
		catch (java.lang.Throwable e) {
			try {
				if(pstmt != null) {
					returnPreparedStatement(connection, pstmt);
				}
			}
			catch (SQLException ignored){}
			throw createResourceException(e, this.getClass());
		}
		return createCCIRecord(connection, result);
	}
	private static String FindByPrimaryKeyForUpdateQuery_0 = " SELECT T1.USERID, T1.EMAIL, T1.PASSWD, T1.NAME, T1.CARDTYPE, T1.ACCTNUM, T1.EXPIRY, T1.SHIPPINGSAME, T1.ACTIVE, T1.RANK, T1.SHIPPINGADDRESS, T1.BILLINGADDRESS FROM AUCTION.REGISTRATION  T1 WHERE T1.USERID = ? FOR UPDATE  OF EXPIRY";
	/**
	 * FindByPrimaryKey444Update
	 */
	public javax.resource.cci.Record FindByPrimaryKey444Update(IndexedRecord inputRecord, Object connection, WSInteractionSpec interactionSpec) throws ResourceException {
		PreparedStatement pstmt = null;
		ResultSet result=null;
		try {
			pstmt = prepareStatement(connection, FindByPrimaryKeyForUpdateQuery_0);

			// For column USERID
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(0);
				if(tempInteger != null)
					pstmt.setInt(1,tempInteger.intValue());
				else
					pstmt.setNull(1,java.sql.Types.INTEGER);
			}
			result = executeQuery(connection, pstmt, FindByPrimaryKeyForUpdateQuery_0);

		}
		catch (java.lang.Throwable e) {
			try {
				if(pstmt != null) {
					returnPreparedStatement(connection, pstmt);
				}
			}
			catch (SQLException ignored){}
			throw createResourceException(e, this.getClass());
		}
		return createCCIRecord(connection, result);
	}
	private static String findRegistrationByFk_shipaddressKey_LocalQuery_0 = " SELECT T1.USERID, T1.EMAIL, T1.PASSWD, T1.NAME, T1.CARDTYPE, T1.ACCTNUM, T1.EXPIRY, T1.SHIPPINGSAME, T1.ACTIVE, T1.RANK, T1.SHIPPINGADDRESS, T1.BILLINGADDRESS FROM AUCTION.REGISTRATION  T1 WHERE T1.SHIPPINGADDRESS = ?";
	/**
	 * findRegistrationByFk_shipaddressKey_Local
	 */
	public javax.resource.cci.Record findRegistrationByFk_shipaddressKey_Local(IndexedRecord inputRecord, Object connection, WSInteractionSpec interactionSpec) throws ResourceException {
		PreparedStatement pstmt = null;
		ResultSet result=null;
		try {
			pstmt = prepareStatement(connection, findRegistrationByFk_shipaddressKey_LocalQuery_0);

			// For column SHIPPINGADDRESS
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(0);
				if(tempInteger != null)
					pstmt.setInt(1,tempInteger.intValue());
				else
					pstmt.setNull(1,java.sql.Types.INTEGER);
			}
			result = executeQuery(connection, pstmt, findRegistrationByFk_shipaddressKey_LocalQuery_0);

		}
		catch (java.lang.Throwable e) {
			try {
				if(pstmt != null) {
					returnPreparedStatement(connection, pstmt);
				}
			}
			catch (SQLException ignored){}
			throw createResourceException(e, this.getClass());
		}
		return createCCIRecord(connection, result);
	}
	private static String findRegistrationByFk_shipaddressKey_LocalForUpdateQuery_0 = " SELECT T1.USERID, T1.EMAIL, T1.PASSWD, T1.NAME, T1.CARDTYPE, T1.ACCTNUM, T1.EXPIRY, T1.SHIPPINGSAME, T1.ACTIVE, T1.RANK, T1.SHIPPINGADDRESS, T1.BILLINGADDRESS FROM AUCTION.REGISTRATION  T1 WHERE T1.SHIPPINGADDRESS = ? FOR UPDATE  OF EXPIRY";
	/**
	 * findRegistrationByFk_shipaddressKey_Local444Update
	 */
	public javax.resource.cci.Record findRegistrationByFk_shipaddressKey_Local444Update(IndexedRecord inputRecord, Object connection, WSInteractionSpec interactionSpec) throws ResourceException {
		PreparedStatement pstmt = null;
		ResultSet result=null;
		try {
			pstmt = prepareStatement(connection, findRegistrationByFk_shipaddressKey_LocalForUpdateQuery_0);

			// For column SHIPPINGADDRESS
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(0);
				if(tempInteger != null)
					pstmt.setInt(1,tempInteger.intValue());
				else
					pstmt.setNull(1,java.sql.Types.INTEGER);
			}
			result = executeQuery(connection, pstmt, findRegistrationByFk_shipaddressKey_LocalForUpdateQuery_0);

		}
		catch (java.lang.Throwable e) {
			try {
				if(pstmt != null) {
					returnPreparedStatement(connection, pstmt);
				}
			}
			catch (SQLException ignored){}
			throw createResourceException(e, this.getClass());
		}
		return createCCIRecord(connection, result);
	}
	private static String findRegistration_1ByFk_billingaddressKey_LocalQuery_0 = " SELECT T1.USERID, T1.EMAIL, T1.PASSWD, T1.NAME, T1.CARDTYPE, T1.ACCTNUM, T1.EXPIRY, T1.SHIPPINGSAME, T1.ACTIVE, T1.RANK, T1.SHIPPINGADDRESS, T1.BILLINGADDRESS FROM AUCTION.REGISTRATION  T1 WHERE T1.BILLINGADDRESS = ?";
	/**
	 * findRegistration_1ByFk_billingaddressKey_Local
	 */
	public javax.resource.cci.Record findRegistration_1ByFk_billingaddressKey_Local(IndexedRecord inputRecord, Object connection, WSInteractionSpec interactionSpec) throws ResourceException {
		PreparedStatement pstmt = null;
		ResultSet result=null;
		try {
			pstmt = prepareStatement(connection, findRegistration_1ByFk_billingaddressKey_LocalQuery_0);

			// For column BILLINGADDRESS
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(0);
				if(tempInteger != null)
					pstmt.setInt(1,tempInteger.intValue());
				else
					pstmt.setNull(1,java.sql.Types.INTEGER);
			}
			result = executeQuery(connection, pstmt, findRegistration_1ByFk_billingaddressKey_LocalQuery_0);

		}
		catch (java.lang.Throwable e) {
			try {
				if(pstmt != null) {
					returnPreparedStatement(connection, pstmt);
				}
			}
			catch (SQLException ignored){}
			throw createResourceException(e, this.getClass());
		}
		return createCCIRecord(connection, result);
	}
	private static String findRegistration_1ByFk_billingaddressKey_LocalForUpdateQuery_0 = " SELECT T1.USERID, T1.EMAIL, T1.PASSWD, T1.NAME, T1.CARDTYPE, T1.ACCTNUM, T1.EXPIRY, T1.SHIPPINGSAME, T1.ACTIVE, T1.RANK, T1.SHIPPINGADDRESS, T1.BILLINGADDRESS FROM AUCTION.REGISTRATION  T1 WHERE T1.BILLINGADDRESS = ? FOR UPDATE  OF EXPIRY";
	/**
	 * findRegistration_1ByFk_billingaddressKey_Local444Update
	 */
	public javax.resource.cci.Record findRegistration_1ByFk_billingaddressKey_Local444Update(IndexedRecord inputRecord, Object connection, WSInteractionSpec interactionSpec) throws ResourceException {
		PreparedStatement pstmt = null;
		ResultSet result=null;
		try {
			pstmt = prepareStatement(connection, findRegistration_1ByFk_billingaddressKey_LocalForUpdateQuery_0);

			// For column BILLINGADDRESS
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(0);
				if(tempInteger != null)
					pstmt.setInt(1,tempInteger.intValue());
				else
					pstmt.setNull(1,java.sql.Types.INTEGER);
			}
			result = executeQuery(connection, pstmt, findRegistration_1ByFk_billingaddressKey_LocalForUpdateQuery_0);

		}
		catch (java.lang.Throwable e) {
			try {
				if(pstmt != null) {
					returnPreparedStatement(connection, pstmt);
				}
			}
			catch (SQLException ignored){}
			throw createResourceException(e, this.getClass());
		}
		return createCCIRecord(connection, result);
	}
	/**
	 * RegistrationBeanFunctionSet_b8f336a8
	 */
	public RegistrationBeanFunctionSet_b8f336a8() {
		functionHash=new java.util.HashMap(14);

		functionHash.put("Create",new Integer(0));
		functionHash.put("Remove",new Integer(1));
		functionHash.put("Store",new Integer(2));
		functionHash.put("StoreUsingOCC",new Integer(3));
		functionHash.put("FindByPrimaryKey",new Integer(4));
		functionHash.put("FindByPrimaryKey444Update",new Integer(5));
		functionHash.put("findRegistrationByFk_shipaddressKey_Local",new Integer(6));
		functionHash.put("findRegistrationByFk_shipaddressKey_Local444Update",new Integer(7));
		functionHash.put("findRegistration_1ByFk_billingaddressKey_Local",new Integer(8));
		functionHash.put("findRegistration_1ByFk_billingaddressKey_Local444Update",new Integer(9));
		functionHash.put("ReadReadChecking",new Integer(10));
		functionHash.put("ReadReadCheckingForUpdate",new Integer(11));
		functionHash.put("PartialStore",new Integer(12));
		functionHash.put("PartialStoreUsingOCC",new Integer(13));
	}
	/**
	 * execute
	 */
	public Record execute(WSInteractionSpec interactionSpec, IndexedRecord inputRecord, Object connection) throws javax.resource.ResourceException {
		String functionName=interactionSpec.getFunctionName();
		Record outputRecord=null;
		int functionIndex=((Integer)functionHash.get(functionName)).intValue();

		switch (functionIndex) {
		case 0:
			Create(inputRecord,connection,interactionSpec);
			break;
		case 1:
			Remove(inputRecord,connection,interactionSpec);
			break;
		case 2:
			Store(inputRecord,connection,interactionSpec);
			break;
		case 3:
			StoreUsingOCC(inputRecord,connection,interactionSpec);
			break;
		case 4:
			outputRecord=FindByPrimaryKey(inputRecord,connection,interactionSpec);
			break;
		case 5:
			outputRecord=FindByPrimaryKey444Update(inputRecord,connection,interactionSpec);
			break;
		case 6:
			outputRecord=findRegistrationByFk_shipaddressKey_Local(inputRecord,connection,interactionSpec);
			break;
		case 7:
			outputRecord=findRegistrationByFk_shipaddressKey_Local444Update(inputRecord,connection,interactionSpec);
			break;
		case 8:
			outputRecord=findRegistration_1ByFk_billingaddressKey_Local(inputRecord,connection,interactionSpec);
			break;
		case 9:
			outputRecord=findRegistration_1ByFk_billingaddressKey_Local444Update(inputRecord,connection,interactionSpec);
			break;
		case 10:
			ReadReadChecking(inputRecord,connection,interactionSpec);
			break;
		case 11:
			ReadReadCheckingForUpdate(inputRecord,connection,interactionSpec);
			break;
		case 12:
			PartialStore(inputRecord,connection,interactionSpec);
			break;
		case 13:
			PartialStoreUsingOCC(inputRecord,connection,interactionSpec);
			break;
		}
		return outputRecord;
	}
	private static String ReadReadQuery_0 = " SELECT 1 FROM AUCTION.REGISTRATION  T1 WHERE T1.USERID = ? AND T1.EMAIL = ? AND T1.PASSWD = ? AND T1.NAME = ? AND T1.SHIPPINGSAME = ? AND T1.ACTIVE = ? AND T1.RANK = ?";
	/**
	 * ReadReadChecking
	 */
	public void ReadReadChecking(IndexedRecord inputRecord, Object connection, WSInteractionSpec interactionSpec) throws ResourceException {
		PreparedStatement pstmt = null;
		try {
			pstmt = prepareStatement(connection, ReadReadQuery_0);

			// For column USERID
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(0);
				if(tempInteger != null)
					pstmt.setInt(1,tempInteger.intValue());
				else
					pstmt.setNull(1,java.sql.Types.INTEGER);
			}
			// For column EMAIL
			{
				String tempString;


				tempString=(String)inputRecord.get(1);
				if(tempString != null)
					pstmt.setString(2,tempString);
				else
					pstmt.setNull(2,java.sql.Types.VARCHAR);
			}
			// For column PASSWD
			{
				String tempString;


				tempString=(String)inputRecord.get(2);
				if(tempString != null)
					pstmt.setString(3,tempString);
				else
					pstmt.setNull(3,java.sql.Types.CHAR);
			}
			// For column NAME
			{
				String tempString;


				tempString=(String)inputRecord.get(3);
				if(tempString != null)
					pstmt.setString(4,tempString);
				else
					pstmt.setNull(4,java.sql.Types.VARCHAR);
			}
			// For column SHIPPINGSAME
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(4);
				if(tempInteger != null)
					pstmt.setInt(5,tempInteger.intValue());
				else
					pstmt.setNull(5,java.sql.Types.INTEGER);
			}
			// For column ACTIVE
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(5);
				if(tempInteger != null)
					pstmt.setInt(6,tempInteger.intValue());
				else
					pstmt.setNull(6,java.sql.Types.INTEGER);
			}
			// For column RANK
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(6);
				if(tempInteger != null)
					pstmt.setInt(7,tempInteger.intValue());
				else
					pstmt.setNull(7,java.sql.Types.INTEGER);
			}
			executeQuery(connection, pstmt, ReadReadQuery_0);

		}
		catch (SQLException e) {
			throw createResourceException(e, this.getClass());
		}
		finally {
			try {
				if(pstmt != null) {
					returnPreparedStatement(connection, pstmt);
				}
			}
			catch (SQLException ignored)
			{}
		}
	}
	private static String ReadReadForUpdateQuery_0 = " SELECT 1 FROM AUCTION.REGISTRATION  T1 WHERE T1.USERID = ? AND T1.EMAIL = ? AND T1.PASSWD = ? AND T1.NAME = ? AND T1.SHIPPINGSAME = ? AND T1.ACTIVE = ? AND T1.RANK = ? FOR UPDATE  OF EXPIRY";
	/**
	 * ReadReadCheckingForUpdate
	 */
	public void ReadReadCheckingForUpdate(IndexedRecord inputRecord, Object connection, WSInteractionSpec interactionSpec) throws ResourceException {
		PreparedStatement pstmt = null;
		try {
			pstmt = prepareStatement(connection, ReadReadForUpdateQuery_0);

			// For column USERID
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(0);
				if(tempInteger != null)
					pstmt.setInt(1,tempInteger.intValue());
				else
					pstmt.setNull(1,java.sql.Types.INTEGER);
			}
			// For column EMAIL
			{
				String tempString;


				tempString=(String)inputRecord.get(1);
				if(tempString != null)
					pstmt.setString(2,tempString);
				else
					pstmt.setNull(2,java.sql.Types.VARCHAR);
			}
			// For column PASSWD
			{
				String tempString;


				tempString=(String)inputRecord.get(2);
				if(tempString != null)
					pstmt.setString(3,tempString);
				else
					pstmt.setNull(3,java.sql.Types.CHAR);
			}
			// For column NAME
			{
				String tempString;


				tempString=(String)inputRecord.get(3);
				if(tempString != null)
					pstmt.setString(4,tempString);
				else
					pstmt.setNull(4,java.sql.Types.VARCHAR);
			}
			// For column SHIPPINGSAME
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(4);
				if(tempInteger != null)
					pstmt.setInt(5,tempInteger.intValue());
				else
					pstmt.setNull(5,java.sql.Types.INTEGER);
			}
			// For column ACTIVE
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(5);
				if(tempInteger != null)
					pstmt.setInt(6,tempInteger.intValue());
				else
					pstmt.setNull(6,java.sql.Types.INTEGER);
			}
			// For column RANK
			{
				Integer tempInteger;


				tempInteger=(Integer)inputRecord.get(6);
				if(tempInteger != null)
					pstmt.setInt(7,tempInteger.intValue());
				else
					pstmt.setNull(7,java.sql.Types.INTEGER);
			}
			executeQuery(connection, pstmt, ReadReadForUpdateQuery_0);

		}
		catch (SQLException e) {
			throw createResourceException(e, this.getClass());
		}
		finally {
			try {
				if(pstmt != null) {
					returnPreparedStatement(connection, pstmt);
				}
			}
			catch (SQLException ignored)
			{}
		}
	}
	/**
	 * initializeUpdateTemplates
	 */
	private void initializeUpdateTemplates() throws javax.resource.ResourceException {
		updateTemplateList = RegistrationBeanPartialUpdateQueryHelper.getUpdateTemplates();
	}
	private java.util.List updateTemplateList = null;
	/**
	 * PartialStore
	 */
	public void PartialStore(IndexedRecord inputRecord, Object connection, WSInteractionSpec interactionSpec) throws ResourceException {
		PreparedStatement pstmt = null;
		try {
			boolean[] changedFieldIndexes = interactionSpec.getChangedFieldsIndexes();
			if (updateTemplateList == null)
				initializeUpdateTemplates();
			{
				com.ibm.ws.ejbdeploy.JAuctionV60EJB.CLOUDSCAPE_V51_1.RdbRuntimeUpdateTemplate aTemplate = (com.ibm.ws.ejbdeploy.JAuctionV60EJB.CLOUDSCAPE_V51_1.RdbRuntimeUpdateTemplate) updateTemplateList.get(0);
				String updateQuery = aTemplate.nativeQuery(changedFieldIndexes);
				if (updateQuery != null){
					pstmt = prepareStatement(connection, updateQuery);

					int stmtIndex = 1;
					if (changedFieldIndexes[1])
					{
						// For column EMAIL
						String tempString;


						tempString=(String)inputRecord.get(1);
						if(tempString != null){
							pstmt.setString(stmtIndex,tempString);
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.VARCHAR);
						stmtIndex++;

					}
					if (changedFieldIndexes[2])
					{
						// For column PASSWD
						String tempString;


						tempString=(String)inputRecord.get(2);
						if(tempString != null){
							pstmt.setString(stmtIndex,tempString);
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.CHAR);
						stmtIndex++;

					}
					if (changedFieldIndexes[3])
					{
						// For column NAME
						String tempString;


						tempString=(String)inputRecord.get(3);
						if(tempString != null){
							pstmt.setString(stmtIndex,tempString);
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.VARCHAR);
						stmtIndex++;

					}
					if (changedFieldIndexes[4])
					{
						// For column CARDTYPE
						String tempString;


						tempString=(String)inputRecord.get(4);
						if(tempString != null){
							pstmt.setString(stmtIndex,tempString);
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.VARCHAR);
						stmtIndex++;

					}
					if (changedFieldIndexes[5])
					{
						// For column ACCTNUM
						String tempString;


						tempString=(String)inputRecord.get(5);
						if(tempString != null){
							pstmt.setString(stmtIndex,tempString);
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.VARCHAR);
						stmtIndex++;

					}
					if (changedFieldIndexes[6])
					{
						// For column EXPIRY
						java.sql.Timestamp tempTimestamp;


						tempTimestamp=(java.sql.Timestamp)inputRecord.get(6);
						if(tempTimestamp != null){
							pstmt.setTimestamp(stmtIndex,tempTimestamp);
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.TIMESTAMP);
						stmtIndex++;

					}
					if (changedFieldIndexes[7])
					{
						// For column SHIPPINGSAME
						Integer tempInteger;


						tempInteger=(Integer)inputRecord.get(7);
						if(tempInteger != null){
							pstmt.setInt(stmtIndex,tempInteger.intValue());
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.INTEGER);
						stmtIndex++;

					}
					if (changedFieldIndexes[8])
					{
						// For column ACTIVE
						Integer tempInteger;


						tempInteger=(Integer)inputRecord.get(8);
						if(tempInteger != null){
							pstmt.setInt(stmtIndex,tempInteger.intValue());
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.INTEGER);
						stmtIndex++;

					}
					if (changedFieldIndexes[9])
					{
						// For column RANK
						Integer tempInteger;


						tempInteger=(Integer)inputRecord.get(9);
						if(tempInteger != null){
							pstmt.setInt(stmtIndex,tempInteger.intValue());
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.INTEGER);
						stmtIndex++;

					}
					if (changedFieldIndexes[15])
					{
						// For column SHIPPINGADDRESS
						Integer tempInteger;


						tempInteger=(Integer)inputRecord.get(10);
						if(tempInteger != null){
							pstmt.setInt(stmtIndex,tempInteger.intValue());
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.INTEGER);
						stmtIndex++;

					}
					if (changedFieldIndexes[16])
					{
						// For column BILLINGADDRESS
						Integer tempInteger;


						tempInteger=(Integer)inputRecord.get(11);
						if(tempInteger != null){
							pstmt.setInt(stmtIndex,tempInteger.intValue());
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.INTEGER);
						stmtIndex++;

					}
					//Now set the primary key columns
					{
						// For column USERID
						Integer tempInteger;


						tempInteger=(Integer)inputRecord.get(0);
						pstmt.setInt(stmtIndex,tempInteger.intValue());
							stmtIndex++;

					}
					if (executeUpdate(connection, pstmt, updateQuery)==0)
						throw createResourceException(new javax.ejb.NoSuchEntityException(), this.getClass());

				}
			}
		}
		catch (SQLException e) {
			throw createResourceException(e, this.getClass());
		}
		finally {
			try {
				if(pstmt != null) {
					returnPreparedStatement(connection, pstmt);
				}
			}
			catch (SQLException ignored)
			{}
		}
	}
	/**
	 * PartialStoreUsingOCC
	 */
	public void PartialStoreUsingOCC(IndexedRecord inputRecord, Object connection, WSInteractionSpec interactionSpec) throws ResourceException {
		PreparedStatement pstmt = null;
		try {
			boolean[] changedFieldIndexes = interactionSpec.getChangedFieldsIndexes();
			if (updateTemplateList == null)
				initializeUpdateTemplates();
			{
				com.ibm.ws.ejbdeploy.JAuctionV60EJB.CLOUDSCAPE_V51_1.RdbRuntimeUpdateTemplate aTemplate = (com.ibm.ws.ejbdeploy.JAuctionV60EJB.CLOUDSCAPE_V51_1.RdbRuntimeUpdateTemplate) updateTemplateList.get(0);
				IndexedRecord oldRecord = interactionSpec.getOldRecord();
				Object[] oldValues = new Object[6];
				oldValues[0] = oldRecord.get(1);
				oldValues[1] = oldRecord.get(2);
				oldValues[2] = oldRecord.get(3);
				oldValues[3] = oldRecord.get(7);
				oldValues[4] = oldRecord.get(8);
				oldValues[5] = oldRecord.get(9);
				String updateQuery = aTemplate.nativeOptimisticQuery(changedFieldIndexes);
				if (updateQuery != null){
					pstmt = prepareStatement(connection, updateQuery);

					int stmtIndex = 1;
					if (changedFieldIndexes[1])
					{
						// For column EMAIL
						String tempString;


						tempString=(String)inputRecord.get(1);
						if(tempString != null){
							pstmt.setString(stmtIndex,tempString);
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.VARCHAR);
						stmtIndex++;

					}
					if (changedFieldIndexes[2])
					{
						// For column PASSWD
						String tempString;


						tempString=(String)inputRecord.get(2);
						if(tempString != null){
							pstmt.setString(stmtIndex,tempString);
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.CHAR);
						stmtIndex++;

					}
					if (changedFieldIndexes[3])
					{
						// For column NAME
						String tempString;


						tempString=(String)inputRecord.get(3);
						if(tempString != null){
							pstmt.setString(stmtIndex,tempString);
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.VARCHAR);
						stmtIndex++;

					}
					if (changedFieldIndexes[4])
					{
						// For column CARDTYPE
						String tempString;


						tempString=(String)inputRecord.get(4);
						if(tempString != null){
							pstmt.setString(stmtIndex,tempString);
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.VARCHAR);
						stmtIndex++;

					}
					if (changedFieldIndexes[5])
					{
						// For column ACCTNUM
						String tempString;


						tempString=(String)inputRecord.get(5);
						if(tempString != null){
							pstmt.setString(stmtIndex,tempString);
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.VARCHAR);
						stmtIndex++;

					}
					if (changedFieldIndexes[6])
					{
						// For column EXPIRY
						java.sql.Timestamp tempTimestamp;


						tempTimestamp=(java.sql.Timestamp)inputRecord.get(6);
						if(tempTimestamp != null){
							pstmt.setTimestamp(stmtIndex,tempTimestamp);
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.TIMESTAMP);
						stmtIndex++;

					}
					if (changedFieldIndexes[7])
					{
						// For column SHIPPINGSAME
						Integer tempInteger;


						tempInteger=(Integer)inputRecord.get(7);
						if(tempInteger != null){
							pstmt.setInt(stmtIndex,tempInteger.intValue());
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.INTEGER);
						stmtIndex++;

					}
					if (changedFieldIndexes[8])
					{
						// For column ACTIVE
						Integer tempInteger;


						tempInteger=(Integer)inputRecord.get(8);
						if(tempInteger != null){
							pstmt.setInt(stmtIndex,tempInteger.intValue());
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.INTEGER);
						stmtIndex++;

					}
					if (changedFieldIndexes[9])
					{
						// For column RANK
						Integer tempInteger;


						tempInteger=(Integer)inputRecord.get(9);
						if(tempInteger != null){
							pstmt.setInt(stmtIndex,tempInteger.intValue());
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.INTEGER);
						stmtIndex++;

					}
					if (changedFieldIndexes[15])
					{
						// For column SHIPPINGADDRESS
						Integer tempInteger;


						tempInteger=(Integer)inputRecord.get(10);
						if(tempInteger != null){
							pstmt.setInt(stmtIndex,tempInteger.intValue());
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.INTEGER);
						stmtIndex++;

					}
					if (changedFieldIndexes[16])
					{
						// For column BILLINGADDRESS
						Integer tempInteger;


						tempInteger=(Integer)inputRecord.get(11);
						if(tempInteger != null){
							pstmt.setInt(stmtIndex,tempInteger.intValue());
						}
						else
							pstmt.setNull(stmtIndex,java.sql.Types.INTEGER);
						stmtIndex++;

					}
					//Now set the primary key columns
					{
						// For column USERID
						Integer tempInteger;


						tempInteger=(Integer)inputRecord.get(0);
						pstmt.setInt(stmtIndex,tempInteger.intValue());
							stmtIndex++;

					}
					// optimistic predicate columns
					{
						// For column EMAIL
						String tempString;


						tempString=(String)oldValues[0];
						if(tempString != null){
							pstmt.setString(stmtIndex,tempString);
							stmtIndex++;
						}

					}
					{
						// For column PASSWD
						String tempString;


						tempString=(String)oldValues[1];
						if(tempString != null){
							pstmt.setString(stmtIndex,tempString);
							stmtIndex++;
						}

					}
					{
						// For column NAME
						String tempString;


						tempString=(String)oldValues[2];
						if(tempString != null){
							pstmt.setString(stmtIndex,tempString);
							stmtIndex++;
						}

					}
					{
						// For column SHIPPINGSAME
						Integer tempInteger;


						tempInteger=(Integer)oldValues[3];
						if(tempInteger != null){
							pstmt.setInt(stmtIndex,tempInteger.intValue());
							stmtIndex++;
						}

					}
					{
						// For column ACTIVE
						Integer tempInteger;


						tempInteger=(Integer)oldValues[4];
						if(tempInteger != null){
							pstmt.setInt(stmtIndex,tempInteger.intValue());
							stmtIndex++;
						}

					}
					{
						// For column RANK
						Integer tempInteger;


						tempInteger=(Integer)oldValues[5];
						if(tempInteger != null){
							pstmt.setInt(stmtIndex,tempInteger.intValue());
							stmtIndex++;
						}

					}
					if (executeUpdate(connection, pstmt, updateQuery)==0)
						throw createResourceException(new javax.ejb.NoSuchEntityException(), this.getClass());

				}
			}
		}
		catch (SQLException e) {
			throw createResourceException(e, this.getClass());
		}
		finally {
			try {
				if(pstmt != null) {
					returnPreparedStatement(connection, pstmt);
				}
			}
			catch (SQLException ignored)
			{}
		}
	}
}
