package sample;

/**
 * Remote interface for sample.AuctionSystemFacadeBean bean.
 */
public interface AuctionSystemFacade extends javax.ejb.EJBObject {

	public sample.sdo.CategorySDO[] getAllCategorySDOObjects()
			throws com.ibm.websphere.sbf.exceptions.FindException,
			java.rmi.RemoteException;

	public sample.sdo.CategorySDO getCategorySDOByKey(
			java.lang.Integer primaryKey)
			throws com.ibm.websphere.sbf.exceptions.FindException,
			java.rmi.RemoteException;

	public sample.sdo.CategorySDO createCategorySDO(sample.sdo.CategorySDO data)
			throws com.ibm.websphere.sbf.exceptions.CreateException,
			java.rmi.RemoteException;

	public void updateCategorySDO(sample.sdo.CategorySDO data)
			throws com.ibm.websphere.sbf.exceptions.UpdateException,
			java.rmi.RemoteException;

	public void applyCategorySDORootChanges(sample.sdo.CategorySDORoot root)
			throws com.ibm.websphere.sbf.exceptions.ApplyRootChangesFailedException,
			java.rmi.RemoteException;

	public sample.sdo.CategorySDORoot getCategorySDORoot()
			throws com.ibm.websphere.sbf.exceptions.FindException,
			java.rmi.RemoteException;

	public sample.sdo.CategoryLiteSDO[] getAllCategoryLiteSDOObjects()
			throws com.ibm.websphere.sbf.exceptions.FindException,
			java.rmi.RemoteException;

	public sample.sdo.CategoryLiteSDO getCategoryLiteSDOByKey(
			java.lang.Integer primaryKey)
			throws com.ibm.websphere.sbf.exceptions.FindException,
			java.rmi.RemoteException;

	public sample.sdo.CategoryLiteSDORoot getCategoryLiteSDORoot()
			throws com.ibm.websphere.sbf.exceptions.FindException,
			java.rmi.RemoteException;

	public sample.sdo.StatesSDO getStatesSDOByKey(java.lang.Integer primaryKey)
			throws com.ibm.websphere.sbf.exceptions.FindException,
			java.rmi.RemoteException;

	public sample.sdo.StatesSDO createStatesSDO(sample.sdo.StatesSDO data)
			throws com.ibm.websphere.sbf.exceptions.CreateException,
			java.rmi.RemoteException;

	public sample.sdo.StatusSDO[] getAllStatusSDOObjects()
			throws com.ibm.websphere.sbf.exceptions.FindException,
			java.rmi.RemoteException;

	public sample.sdo.StatusSDO getStatusSDOByKey(java.lang.Integer primaryKey)
			throws com.ibm.websphere.sbf.exceptions.FindException,
			java.rmi.RemoteException;

	public sample.sdo.StatusSDO createStatusSDO(sample.sdo.StatusSDO data)
			throws com.ibm.websphere.sbf.exceptions.CreateException,
			java.rmi.RemoteException;

	public void updateStatusSDO(sample.sdo.StatusSDO data)
			throws com.ibm.websphere.sbf.exceptions.UpdateException,
			java.rmi.RemoteException;

	public void applyStatusSDORootChanges(sample.sdo.StatusSDORoot root)
			throws com.ibm.websphere.sbf.exceptions.ApplyRootChangesFailedException,
			java.rmi.RemoteException;

	public sample.sdo.StatusSDORoot getStatusSDORoot()
			throws com.ibm.websphere.sbf.exceptions.FindException,
			java.rmi.RemoteException;

	public sample.sdo.StatesSDO[] getAllStatesSDOObjects()
			throws com.ibm.websphere.sbf.exceptions.FindException,
			java.rmi.RemoteException;

	public void updateStatesSDO(sample.sdo.StatesSDO data)
			throws com.ibm.websphere.sbf.exceptions.UpdateException,
			java.rmi.RemoteException;

	public void deleteStatesSDO(sample.sdo.StatesSDO data)
			throws com.ibm.websphere.sbf.exceptions.DeleteException,
			java.rmi.RemoteException;

	public void applyStatesSDORootChanges(sample.sdo.StatesSDORoot root)
			throws com.ibm.websphere.sbf.exceptions.ApplyRootChangesFailedException,
			java.rmi.RemoteException;

	public sample.sdo.StatesSDORoot getStatesSDORoot()
			throws com.ibm.websphere.sbf.exceptions.FindException,
			java.rmi.RemoteException;
}
