package sample;

public class UserFacadeBeanUtil {

	private static Object lookupHome(java.util.Hashtable environment,
			String jndiName, Class narrowTo)
			throws javax.naming.NamingException {
		// Obtain initial context
		javax.naming.InitialContext initialContext = new javax.naming.InitialContext(
				environment);
		try {
			Object objRef = initialContext.lookup(jndiName);
			// only narrow if necessary
			if (java.rmi.Remote.class.isAssignableFrom(narrowTo))
				return javax.rmi.PortableRemoteObject.narrow(objRef, narrowTo);
			else
				return objRef;
		} finally {
			initialContext.close();
		}
	}

	public static sample.UserFacadeHome getHome()
			throws javax.naming.NamingException {

		return (sample.UserFacadeHome) lookupHome(null,
				sample.UserFacadeHome.COMP_NAME, sample.UserFacadeHome.class);

	}

	public static sample.UserFacadeHome getHome(java.util.Hashtable environment)
			throws javax.naming.NamingException {

		return (sample.UserFacadeHome) lookupHome(environment,
				sample.UserFacadeHome.COMP_NAME, sample.UserFacadeHome.class);

	}

	public static sample.UserFacadeLocalHome getLocalHome()
			throws javax.naming.NamingException {

		return (sample.UserFacadeLocalHome) lookupHome(null,
				sample.UserFacadeLocalHome.COMP_NAME,
				sample.UserFacadeLocalHome.class);

	}

}