package sample;

/**
 * Local interface for sample.UserFacadeBean bean.
 */
public interface UserFacadeLocal extends javax.ejb.EJBLocalObject {

	public sample.sdo.UserSDO[] getAllUserSDOObjects()
			throws com.ibm.websphere.sbf.exceptions.FindException;

	public sample.sdo.UserSDO getUserSDOByKey(java.lang.Integer primaryKey)
			throws com.ibm.websphere.sbf.exceptions.FindException;

	public sample.sdo.UserSDO createUserSDO(sample.sdo.UserSDO data)
			throws com.ibm.websphere.sbf.exceptions.CreateException;

	public void updateUserSDO(sample.sdo.UserSDO data)
			throws com.ibm.websphere.sbf.exceptions.UpdateException;

	public void applyUserSDORootChanges(sample.sdo.UserSDORoot root)
			throws com.ibm.websphere.sbf.exceptions.ApplyRootChangesFailedException;

	public sample.sdo.UserSDORoot getUserSDORoot()
			throws com.ibm.websphere.sbf.exceptions.FindException;

	public sample.sdo.LiteUserSDO[] getAllLiteUserSDOObjects()
			throws com.ibm.websphere.sbf.exceptions.FindException;

	public sample.sdo.LiteUserSDO getLiteUserSDOByKey(
			java.lang.Integer primaryKey)
			throws com.ibm.websphere.sbf.exceptions.FindException;

	public sample.sdo.LiteUserSDORoot getLiteUserSDORoot()
			throws com.ibm.websphere.sbf.exceptions.FindException;

	public sample.sdo.BidderSDO[] getAllBidderSDOObjects()
			throws com.ibm.websphere.sbf.exceptions.FindException;

	public sample.sdo.BidSDO getBidSDOByKey(java.lang.Integer primaryKey)
			throws com.ibm.websphere.sbf.exceptions.FindException;

	public sample.sdo.BidderSDO getBidderSDOByKey(java.lang.Integer primaryKey)
			throws com.ibm.websphere.sbf.exceptions.FindException;

	public sample.sdo.BidderSDORoot getBidderSDORoot()
			throws com.ibm.websphere.sbf.exceptions.FindException;

	public sample.sdo.SellerSDO[] getAllSellerSDOObjects()
			throws com.ibm.websphere.sbf.exceptions.FindException;

	public sample.sdo.SellerSDO getSellerSDOByKey(java.lang.Integer primaryKey)
			throws com.ibm.websphere.sbf.exceptions.FindException;

	public sample.sdo.SellerSDORoot getSellerSDORoot()
			throws com.ibm.websphere.sbf.exceptions.FindException;

	public sample.sdo.BidSDO[] getAllBidSDOObjects()
			throws com.ibm.websphere.sbf.exceptions.FindException;

	public void updateBidSDO(sample.sdo.BidSDO data)
			throws com.ibm.websphere.sbf.exceptions.UpdateException;

	public void deleteBidSDO(sample.sdo.BidSDO data)
			throws com.ibm.websphere.sbf.exceptions.DeleteException;

	public void applyBidSDORootChanges(sample.sdo.BidSDORoot root)
			throws com.ibm.websphere.sbf.exceptions.ApplyRootChangesFailedException;

	public sample.sdo.BidSDORoot getBidSDORoot()
			throws com.ibm.websphere.sbf.exceptions.FindException;

	public sample.sdo.SellerItemSDO[] getAllSellerItemSDOObjects()
			throws com.ibm.websphere.sbf.exceptions.FindException;

	public sample.sdo.SellerItemSDO getSellerItemSDOByKey(
			java.lang.Integer primaryKey)
			throws com.ibm.websphere.sbf.exceptions.FindException;

	public sample.sdo.SellerItemSDO createSellerItemSDO(
			sample.sdo.SellerItemSDO data)
			throws com.ibm.websphere.sbf.exceptions.CreateException;

	public void updateSellerItemSDO(sample.sdo.SellerItemSDO data)
			throws com.ibm.websphere.sbf.exceptions.UpdateException;

	public void deleteSellerItemSDO(sample.sdo.SellerItemSDO data)
			throws com.ibm.websphere.sbf.exceptions.DeleteException;

	public void applySellerItemSDORootChanges(sample.sdo.SellerItemSDORoot root)
			throws com.ibm.websphere.sbf.exceptions.ApplyRootChangesFailedException;

	public sample.sdo.SellerItemSDORoot getSellerItemSDORoot()
			throws com.ibm.websphere.sbf.exceptions.FindException;

	public sample.sdo.BidItemSDO[] getAllBidItemSDOObjects()
			throws com.ibm.websphere.sbf.exceptions.FindException;

	public sample.sdo.BidItemSDO getBidItemSDOByKey(java.lang.Integer primaryKey)
			throws com.ibm.websphere.sbf.exceptions.FindException;

	public sample.sdo.BidItemSDORoot getBidItemSDORoot()
			throws com.ibm.websphere.sbf.exceptions.FindException;

	public void applyFindActiveUsersChanges(sample.sdo.FindActiveUsers root)
			throws com.ibm.websphere.sbf.exceptions.ApplyRootChangesFailedException;

	public void applyFindHighestBidChanges(sample.sdo.FindHighestBid root)
			throws com.ibm.websphere.sbf.exceptions.ApplyRootChangesFailedException;

	public sample.sdo.LiteUserSDO[] getFindActiveUsers()
			throws com.ibm.websphere.sbf.exceptions.FindException;

	public sample.sdo.BidSDO getFindHighestBid(java.lang.Integer itemId)
			throws com.ibm.websphere.sbf.exceptions.FindException;

	public sample.sdo.SellerItemSDO[] getCategoryItems(
			java.lang.Integer categoryId)
			throws com.ibm.websphere.sbf.exceptions.FindException;

	public sample.sdo.BidItemSDO[] getItems(java.lang.String searchParam,
			java.lang.Integer maxPrice, java.lang.Integer orderbyIndex)
			throws com.ibm.websphere.sbf.exceptions.FindException;

	public sample.sdo.UserSDO createDefaultUserSDO()
			throws com.ibm.websphere.sbf.exceptions.FindException;

	public sample.sdo.SellerItemSDO createItem(java.lang.Integer userId,
			java.lang.Integer categoryId, java.lang.String title,
			java.lang.String description, java.lang.Integer startingBid,
			java.lang.Integer value, java.util.Date startBidding,
			java.util.Date endBidding, java.lang.String imagePath,
			java.lang.String imageSmallPath)
			throws com.ibm.websphere.sbf.exceptions.CreateException,
			com.ibm.websphere.sbf.exceptions.FindException;

	public sample.sdo.UserSDO getUser(java.lang.String email,
			java.lang.String password)
			throws com.ibm.websphere.sbf.exceptions.FindException;

	public boolean isAdminUser(java.lang.Integer userId)
			throws com.ibm.websphere.sbf.exceptions.FindException;

	public java.lang.Integer createBid(java.lang.Integer userId,
			java.lang.Integer itemId, java.lang.Integer currentBid)
			throws com.ibm.websphere.sbf.exceptions.FindException;

	public void activateUser(java.lang.Integer userId)
			throws com.ibm.websphere.sbf.exceptions.FindException;

	public void deActivateUser(java.lang.Integer userId)
			throws com.ibm.websphere.sbf.exceptions.FindException;
}
