package sample;
/**
 * Key class for Entity Bean: Item
 */
public class ItemKey implements java.io.Serializable {
	static final long serialVersionUID = 3206093459760846163L;
	/**
	 * Implementation field for persistent attribute: itemid
	 */
	public java.lang.Integer itemid;
	/**
	 * Creates an empty key for Entity Bean: Item
	 */
	public ItemKey() {
	}
	/**
	 * Creates a key for Entity Bean: Item
	 */
	public ItemKey(java.lang.Integer itemid) {
		this.itemid = itemid;
	}
	/**
	 * Returns true if both keys are equal.
	 */
	public boolean equals(java.lang.Object otherKey) {
		if (otherKey instanceof sample.ItemKey) {
			sample.ItemKey o = (sample.ItemKey) otherKey;
			return ((this.itemid.equals(o.itemid)));
		}
		return false;
	}
	/**
	 * Returns the hash code for the key.
	 */
	public int hashCode() {
		return (itemid.hashCode());
	}
}