package pagecode;

import javax.ejb.CreateException;
import javax.faces.component.html.HtmlCommandLink;
import javax.faces.component.html.HtmlForm;
import javax.faces.component.html.HtmlInputText;
import javax.faces.component.html.HtmlOutputText;

import sample.AuctionSystemFacadeLocal;
import sample.AuctionSystemFacadeLocalHome;
import sample.sdo.CategoryLiteSDO;

import com.ibm.etools.service.locator.ServiceLocatorManager;
import com.ibm.faces.component.html.HtmlScriptCollector;
import pagecode.BrowseParams;
import javax.faces.component.html.HtmlDataTable;
import javax.faces.component.UIColumn;
import javax.faces.component.UINamingContainer;
import com.ibm.faces.component.html.HtmlCommandExButton;
public class Categorylist extends PageCodeBase {

	/** Page Code JSF UI Fields
	 * @pcElementClass tag
	 */
	protected HtmlScriptCollector scriptCollectorCat1;
	/** Page Code JSF UI Fields
	 * @pcElementClass tag
	 */
	protected HtmlOutputText text1;
	/** Page Code JSF UI Fields
	 * @pcElementClass tag
	 */
	protected HtmlInputText keywords;
	/** Page Code JSF UI Fields
	 * @pcElementClass tag
	 */
	protected HtmlForm form1;
	/** Page Code JSF UI Fields
	 * @pcElementClass tag
	 */
	protected HtmlCommandLink link1;
	/** Page Code JSF UI Fields
	 * @pcElementClass tag
	 */
	protected HtmlForm catlistform;
    /** Page Code Data Fields
     * @pcElementClass data
     */
    protected AuctionSystemFacadeLocal auctionSystemFacadeLocal;
	/** Page Code Data Fields
	 * @pcElementClass data
	 */
	protected BrowseParams browseParams;
    private final static String STATIC_AuctionSystemFacadeLocalHome_REF_NAME = "ejb/AuctionSystemFacade";
    private final static Class STATIC_AuctionSystemFacadeLocalHome_CLASS = AuctionSystemFacadeLocalHome.class;
    /** 
     */
    protected CategoryLiteSDO[] auctionSystemFacadeLocalGetAllCategoryLiteSDOObjectsResultBean;
	protected HtmlDataTable datatable;
	protected UIColumn column1;
	protected HtmlOutputText textCatHeader;
	protected HtmlOutputText catname;
	protected HtmlCommandLink catlistlink;
	protected UINamingContainer searchview;
	protected HtmlCommandExButton searchbutton;
	/** Page Code Data Fields
	 * @pcElementClass data
	 */
	protected HtmlScriptCollector getScriptCollectorCat1() {
		if (scriptCollectorCat1 == null) {
			scriptCollectorCat1 = (HtmlScriptCollector) findComponentInRoot("scriptCollectorCat1");
		}
		return scriptCollectorCat1;
	}
    /** Page Code Data Getters
     * @pcElementClass data
     */
    public void setAuctionSystemFacadeLocal(
            AuctionSystemFacadeLocal auctionSystemFacadeLocal) {
        this.auctionSystemFacadeLocal = auctionSystemFacadeLocal;
    }
	/** Page Code Data Getters
	 * @managed-bean true
	 * @pcElementClass data
	 */
	public BrowseParams getBrowseParams() {
		if (browseParams == null) {
			browseParams = (BrowseParams) getFacesContext().getApplication()
					.createValueBinding("#{browseParams}").getValue(
							getFacesContext());
		}
		return browseParams;
	}
	/** Page Code Data Getters
	 * @pcElementClass data
	 */
	public void setBrowseParams(BrowseParams browseParams) {
		this.browseParams = browseParams;
	}
    /** Page Code Data Getters
     * Page Code Data Getters
     * @pcElementClass data
     * @beanType EJB_Session_Bean
     * @methodEntry id=getAllCategoryLiteSDOObjects()/resultBean=1/action=1
     */
    public sample.AuctionSystemFacadeLocal getAuctionSystemFacadeLocal() {

        AuctionSystemFacadeLocalHome anAuctionSystemFacadeLocalHome = (AuctionSystemFacadeLocalHome) ServiceLocatorManager
                .getLocalHome(STATIC_AuctionSystemFacadeLocalHome_REF_NAME,
                        STATIC_AuctionSystemFacadeLocalHome_CLASS);
        try {
            if (anAuctionSystemFacadeLocalHome != null)
                return anAuctionSystemFacadeLocalHome.create();
        } catch (CreateException ce) {
            ce.printStackTrace();
        }
        return null;
    }
	/** Page Code JSF UI Getters
	 * @pcElementClass tag
	 */
	protected HtmlOutputText getText1() {
		if (text1 == null) {
			text1 = (HtmlOutputText) findComponentInRoot("text1");
		}
		return text1;
	}
	/** Page Code JSF UI Getters
	 * @pcElementClass tag
	 */
	protected HtmlInputText getKeywords() {
		if (keywords == null) {
			keywords = (HtmlInputText) findComponentInRoot("keywords");
		}
		return keywords;
	}
	/** Page Code JSF UI Getters
	 * @pcElementClass tag
	 */
	protected HtmlForm getForm1() {
		if (form1 == null) {
			form1 = (HtmlForm) findComponentInRoot("form1");
		}
		return form1;
	}
	/** Page Code JSF UI Getters
	 * @pcElementClass tag
	 */
	protected HtmlCommandLink getLink1() {
		if (link1 == null) {
			link1 = (HtmlCommandLink) findComponentInRoot("link1");
		}
		return link1;
	}
	/** Page Code JSF UI Getters
	 * @pcElementClass tag
	 */
	protected HtmlForm getCatlistform() {
		if (catlistform == null) {
			catlistform = (HtmlForm) findComponentInRoot("catlistform");
		}
		return catlistform;
	}


    /** 
     * @resultBean id=1
     */
    public CategoryLiteSDO[] getAuctionSystemFacadeLocalGetAllCategoryLiteSDOObjectsResultBean() {
        if(auctionSystemFacadeLocalGetAllCategoryLiteSDOObjectsResultBean == null) {
            doAuctionSystemFacadeLocalGetAllCategoryLiteSDOObjectsAction();
        }
        return auctionSystemFacadeLocalGetAllCategoryLiteSDOObjectsResultBean;
    }
    /** 
     * @action id=1
     */
    public String doAuctionSystemFacadeLocalGetAllCategoryLiteSDOObjectsAction() {
        try {
            auctionSystemFacadeLocalGetAllCategoryLiteSDOObjectsResultBean = getAuctionSystemFacadeLocal()
                    .getAllCategoryLiteSDOObjects();
        } catch (Exception e) {
            logException(e);
        }
        return null;
    }
  
    public String doSearchAction() {
    	getFacesContext().getViewRoot().getAttributes().remove("categorysearch");
    	getRequestScope().put("rebuilditemlist", new Object());
        return "search";
    }
	
	public String doCatlistlinkAction() {
    	getRequestScope().put("categorysearch", new Object());
    	getRequestScope().put("rebuilditemlist", new Object());
		return "search";
	}
	protected HtmlDataTable getDatatable() {
		if (datatable == null) {
			datatable = (HtmlDataTable) findComponentInRoot("datatable");
		}
		return datatable;
	}
	protected UIColumn getColumn1() {
		if (column1 == null) {
			column1 = (UIColumn) findComponentInRoot("column1");
		}
		return column1;
	}
	protected HtmlOutputText getTextCatHeader() {
		if (textCatHeader == null) {
			textCatHeader = (HtmlOutputText) findComponentInRoot("textCatHeader");
		}
		return textCatHeader;
	}
	protected HtmlOutputText getCatname() {
		if (catname == null) {
			catname = (HtmlOutputText) findComponentInRoot("catname");
		}
		return catname;
	}
	protected HtmlCommandLink getCatlistlink() {
		if (catlistlink == null) {
			catlistlink = (HtmlCommandLink) findComponentInRoot("catlistlink");
		}
		return catlistlink;
	}
	protected UINamingContainer getSearchview() {
		if (searchview == null) {
			searchview = (UINamingContainer) findComponentInRoot("searchview");
		}
		return searchview;
	}
	protected HtmlCommandExButton getSearchbutton() {
		if (searchbutton == null) {
			searchbutton = (HtmlCommandExButton) findComponentInRoot("searchbutton");
		}
		return searchbutton;
	}
}