package com.ibm.oiddemo;
/**
 * Bean implementation class for Enterprise Bean: OIDvalue
 */
public abstract class OIDvalueBean implements javax.ejb.EntityBean {

	private javax.ejb.EntityContext myEntityCtx;
	/**
	 * getEntityContext
	 */
	public javax.ejb.EntityContext getEntityContext() {
		return myEntityCtx;
	}
	/**
	 * setEntityContext
	 */
	public void setEntityContext(javax.ejb.EntityContext ctx) {
		myEntityCtx = ctx;
	}
	/**
	 * unsetEntityContext
	 */
	public void unsetEntityContext() {
		myEntityCtx = null;
	}
	/**
	 * ejbCreate
	 */
	public java.lang.String ejbCreate(java.lang.String type)
		throws javax.ejb.CreateException {
		setType(type);
		return null;
	}
	/**
	 * ejbPostCreate
	 */
	public void ejbPostCreate(java.lang.String type)
		throws javax.ejb.CreateException {
	}
	/**
	 * ejbActivate
	 */
	public void ejbActivate() {
	}
	/**
	 * ejbLoad
	 */
	public void ejbLoad() {
	}
	/**
	 * ejbPassivate
	 */
	public void ejbPassivate() {
	}
	/**
	 * ejbRemove
	 */
	public void ejbRemove() throws javax.ejb.RemoveException {
	}
	/**
	 * ejbStore
	 */
	public void ejbStore() {
	}
	public Integer increment() {
		return increment(1);
	}
	public Integer increment(int blockSize) {
		Integer next;
		Integer current = getNextOID();
		if (current == null)
			next = new Integer(blockSize);
		else
			next = new Integer(current.intValue() + blockSize);
		setNextOID(next);
		return next;
	}
	/**
	 * Get accessor for persistent attribute: type
	 */
	public abstract java.lang.String getType();
	/**
	 * Set accessor for persistent attribute: type
	 */
	public abstract void setType(java.lang.String newType);
	/**
	 * Get accessor for persistent attribute: nextOID
	 */
	public abstract java.lang.Integer getNextOID();
	/**
	 * Set accessor for persistent attribute: nextOID
	 */
	public abstract void setNextOID(java.lang.Integer newNextOID);
}
