package sample;
/**
 * @ws.sbf.session-facade
 * 	name="AuctionSystemFacade"
 * 	value-objects="CategorySDO CategoryLiteSDO"
 * @ws.sdo.value-object
 * 	name="CategorySDO"
 * 	read-only="false"
 * @ws.sdo.value-object
 * 	name="CategoryLiteSDO"
 * 	read-only="true"
 * Bean implementation class for Enterprise Bean: Category
 */
public abstract class CategoryBean implements javax.ejb.EntityBean {
	private javax.ejb.EntityContext myEntityCtx;
	/**
	 * setEntityContext
	 */
	public void setEntityContext(javax.ejb.EntityContext ctx) {
		myEntityCtx = ctx;
	}
	/**
	 * getEntityContext
	 */
	public javax.ejb.EntityContext getEntityContext() {
		return myEntityCtx;
	}
	/**
	 * unsetEntityContext
	 */
	public void unsetEntityContext() {
		myEntityCtx = null;
	}
	/**
	 * ejbCreate
	 */
	public sample.CategoryKey ejbCreate(java.lang.Integer catid)
		throws javax.ejb.CreateException {
		setCatid(catid);
		return null;
	}
	/**
	 * ejbPostCreate
	 */
	public void ejbPostCreate(java.lang.Integer catid)
		throws javax.ejb.CreateException {
	}
	/**
	 * ejbActivate
	 */
	public void ejbActivate() {
	}
	/**
	 * ejbLoad
	 */
	public void ejbLoad() {
	}
	/**
	 * ejbPassivate
	 */
	public void ejbPassivate() {
	}
	/**
	 * ejbRemove
	 */
	public void ejbRemove() throws javax.ejb.RemoveException {
	}
	/**
	 * ejbStore
	 */
	public void ejbStore() {
	}
	/**
	 * ejbCreate method for a CMP entity bean.
	 */
	public sample.CategoryKey ejbCreate(
		java.lang.Integer catid,
		java.lang.String catname,
		java.lang.String description) throws javax.ejb.CreateException {
		setCatid(catid);
		setCatname(catname);
		setDescription(description);
		return null;
	}
	/**
	 * ejbPostCreate
	 */
	public void ejbPostCreate(
		java.lang.Integer catid,
		java.lang.String catname,
		java.lang.String description) throws javax.ejb.CreateException {
	}
	/**
	 * Get accessor for persistent attribute: catid
	 * @ws.sdo.value-object
	 * 	match="CategorySDO"
	 */
	public abstract java.lang.Integer getCatid();
	/**
	 * Set accessor for persistent attribute: catid
	 */
	public abstract void setCatid(java.lang.Integer newCatid);
	/**
	 * Get accessor for persistent attribute: catname
	 * @ws.sdo.value-object
	 * 	match="CategorySDO"
	 */
	public abstract java.lang.String getCatname();
	/**
	 * Set accessor for persistent attribute: catname
	 */
	public abstract void setCatname(java.lang.String newCatname);
	/**
	 * Get accessor for persistent attribute: description
	 * @ws.sdo.value-object
	 * 	match="CategorySDO"
	 */
	public abstract java.lang.String getDescription();
	/**
	 * Set accessor for persistent attribute: description
	 */
	public abstract void setDescription(java.lang.String newDescription);
	/**
	 * This method was generated for supporting the relationship role named item.
	 * It will be deleted/edited when the relationship is deleted/edited.
	 * @ws.sdo.value-object
	 * 	match="CategorySDO"
	 * 	target-value-object="SellerItemSDO"
	 * 	contained="false" 
	 */
	public abstract java.util.Collection getItem();
	/**
	 * This method was generated for supporting the relationship role named item.
	 * It will be deleted/edited when the relationship is deleted/edited.
	 */
	public abstract void setItem(java.util.Collection anItem);
}