package sample;

import com.ibm.ws.ejbpersistence.beanextensions.*;
import com.ibm.websphere.cpmi.*;
import sample.websphere_deploy.AddressBeanCacheEntry_4e876f37;

/**
 * Bean implementation class for Enterprise Bean: Address
 */
public class ConcreteAddress_4e876f37 extends sample.AddressBean implements javax.ejb.EntityBean, ConcreteBeanWithLink, ConcreteBeanWithForwardLink {
	static final long serialVersionUID = 61;
	/**
	 * setEntityContext
	 */
	public void setEntityContext(javax.ejb.EntityContext ctx) {
		super.setEntityContext(ctx);
		instanceExtension.setEntityContext(ctx);
	}
	/**
	 * unsetEntityContext
	 */
	public void unsetEntityContext() {
		super.unsetEntityContext();
		instanceExtension.unsetEntityContext();
	}
	/**
	 * ejbActivate
	 */
	public void ejbActivate() {
			super.ejbActivate();
			instanceExtension.ejbActivate();
	}
	/**
	 * ejbLoad
	 */
	public void ejbLoad() {
		instanceExtension.ejbLoad();
	}
	/**
	 * ejbPassivate
	 */
	public void ejbPassivate() {
		super.ejbPassivate();
		instanceExtension.ejbPassivate();
	}
	/**
	 * ejbRemove
	 */
	public void ejbRemove() throws javax.ejb.RemoveException {
		super.ejbRemove();
		instanceExtension.ejbRemove();
	}
	/**
	 * ejbStore
	 */
	public void ejbStore() {
		super.ejbStore();
		instanceExtension.ejbStore();
	}
	private ConcreteBeanInstanceExtension instanceExtension;
	private AddressBeanCacheEntry_4e876f37 dataCacheEntry;
	/**
	 * _WSCB_getInstanceInfo
	 */
	public PMConcreteBeanInstanceInfo _WSCB_getInstanceInfo() {
			return instanceExtension;
	}
	/**
	 * ConcreteAddress_4e876f37
	 */
	public ConcreteAddress_4e876f37() {
		super();
		instanceExtension = ConcreteBeanInstanceExtensionFactory.getInstance(this);
	}
	/**
	 * getInjector
	 */
	private sample.websphere_deploy.AddressBeanInjector_4e876f37 getInjector() {
		return (sample.websphere_deploy.AddressBeanInjector_4e876f37)instanceExtension.getInjector();
	}
	/**
	 * hydrate
	 */
	public void hydrate(Object inRecord) {
		dataCacheEntry = (sample.websphere_deploy.AddressBeanCacheEntry_4e876f37) inRecord;
		super.ejbLoad();
	}
	/**
	 * resetCMP
	 */
	public void resetCMP() {
			dataCacheEntry = null;
	}
	/**
	 * resetCMR
	 */
	public void resetCMR() {
			registrationLink = null;
			registration_1Link = null;
			fk_stateLink = null;
	}
	/**
	 * ejbFindByPrimaryKey
	 */
	public sample.AddressKey ejbFindByPrimaryKey(sample.AddressKey primaryKey) throws javax.ejb.FinderException {
		return (sample.AddressKey)instanceExtension.ejbFindByPrimaryKey(primaryKey);
	}
	/**
	 * ejbFindByPrimaryKey
	 */
	public Object ejbFindByPrimaryKey(java.lang.Object pk) throws javax.ejb.FinderException {
		return ejbFindByPrimaryKey((sample.AddressKey)pk);
	}
	/**
	 * ejbFindByPrimaryKeyForCMR_Local
	 */
	public sample.AddressKey ejbFindByPrimaryKeyForCMR_Local(sample.AddressKey pk) throws javax.ejb.FinderException {
		return (sample.AddressKey)instanceExtension.ejbFindByPrimaryKey(pk);
	}
	/**
	 * ejbCreate
	 */
	public sample.AddressKey ejbCreate(java.lang.Integer addressid) throws javax.ejb.CreateException {
		dataCacheEntry = (AddressBeanCacheEntry_4e876f37) instanceExtension.createDataCacheEntry();
		 super.ejbCreate(addressid);
		return (sample.AddressKey)instanceExtension.ejbCreate();
	}
	/**
	 * ejbPostCreate
	 */
	public void ejbPostCreate(java.lang.Integer addressid) throws javax.ejb.CreateException {
		super.ejbPostCreate(addressid);
		instanceExtension.ejbPostCreate();
	}
	/**
	 * ejbCreate
	 */
	public sample.AddressKey ejbCreate(java.lang.Integer addressid, java.lang.String street, java.lang.String city, java.lang.String zip, java.lang.String phonenum, sample.StatesLocal argFk_state) throws javax.ejb.CreateException {
		dataCacheEntry = (AddressBeanCacheEntry_4e876f37) instanceExtension.createDataCacheEntry();
		 super.ejbCreate(addressid, street, city, zip, phonenum, argFk_state);
		return (sample.AddressKey)instanceExtension.ejbCreate();
	}
	/**
	 * ejbPostCreate
	 */
	public void ejbPostCreate(java.lang.Integer addressid, java.lang.String street, java.lang.String city, java.lang.String zip, java.lang.String phonenum, sample.StatesLocal argFk_state) throws javax.ejb.CreateException {
		super.ejbPostCreate(addressid, street, city, zip, phonenum, argFk_state);
		instanceExtension.ejbPostCreate();
	}
	/**
	 * createPrimaryKey
	 */
	public Object createPrimaryKey() {
		sample.AddressKey pk = new sample.AddressKey();
		pk.addressid = getAddressid();
		return pk;
	}
	/**
	 * getNumberOfFields
	 */
	public int getNumberOfFields() {
		return 9;
	}
	/**
	 * getLink
	 */
	public com.ibm.ws.ejbpersistence.associations.AssociationLink getLink(java.lang.String name) {
		if (name.equals("registration")) return getRegistrationLink();
		if (name.equals("registration_1")) return getRegistration_1Link();
		if (name.equals("fk_state")) return getFk_stateLink();
		return null;
	}
	/**
	 * executeFinderForLink
	 */
	public java.lang.Object executeFinderForLink(java.lang.String name, java.lang.Object key) throws javax.ejb.FinderException {
		if (name.equals("registration")){
			sample.websphere_deploy.RegistrationBeanInternalLocalHome_b8f336a8 home = (sample.websphere_deploy.RegistrationBeanInternalLocalHome_b8f336a8)instanceExtension.getHomeForLink("registration");
		  return home.findRegistrationByFk_shipaddressKey_Local((sample.AddressKey)key);
		}
		if (name.equals("registration_1")){
			sample.websphere_deploy.RegistrationBeanInternalLocalHome_b8f336a8 home = (sample.websphere_deploy.RegistrationBeanInternalLocalHome_b8f336a8)instanceExtension.getHomeForLink("registration_1");
		  return home.findRegistration_1ByFk_billingaddressKey_Local((sample.AddressKey)key);
		}
		if (name.equals("fk_state")){
			sample.websphere_deploy.StatesBeanInternalLocalHome_80232f8f home = (sample.websphere_deploy.StatesBeanInternalLocalHome_80232f8f)instanceExtension.getHomeForLink("fk_state");
		  return home.findByPrimaryKeyForCMR((sample.StatesKey)key);
		}
		return null;
	}
	/**
	 * getRegistration
	 */
	public java.util.Collection getRegistration() {
		return (java.util.Collection)getRegistrationLink().getValue();
	}
	/**
	 * setRegistration
	 */
	public void setRegistration(java.util.Collection value) {
		getRegistrationLink().setValue(value);
	}
	/**
	 * getRegistrationLink
	 */
	private com.ibm.ws.ejbpersistence.associations.AssociationLink getRegistrationLink() {
		if (registrationLink == null) 
		registrationLink = instanceExtension.createLink("registration",null,6);
		return registrationLink;
	}
	private com.ibm.ws.ejbpersistence.associations.AssociationLink registrationLink;
	/**
	 * ejbFindFk_shipaddressByRegistrationKey_Local
	 */
	public sample.AddressKey ejbFindFk_shipaddressByRegistrationKey_Local(sample.RegistrationKey key) throws javax.ejb.FinderException {
		Object[] result = instanceExtension.getAssociatedKeys("registration",key);
		if (result!=null )  return (sample.AddressKey) result[0];
		javax.resource.cci.IndexedRecord record = instanceExtension.getInputRecord("findFk_shipaddressByRegistrationKey_Local");
		getInjector().findFk_shipaddressByRegistrationKey_Local(key, record);
		return (sample.AddressKey) instanceExtension.executeFind("findFk_shipaddressByRegistrationKey_Local", record);
	}
	/**
	 * getRegistration_1
	 */
	public java.util.Collection getRegistration_1() {
		return (java.util.Collection)getRegistration_1Link().getValue();
	}
	/**
	 * setRegistration_1
	 */
	public void setRegistration_1(java.util.Collection value) {
		getRegistration_1Link().setValue(value);
	}
	/**
	 * getRegistration_1Link
	 */
	private com.ibm.ws.ejbpersistence.associations.AssociationLink getRegistration_1Link() {
		if (registration_1Link == null) 
		registration_1Link = instanceExtension.createLink("registration_1",null,7);
		return registration_1Link;
	}
	private com.ibm.ws.ejbpersistence.associations.AssociationLink registration_1Link;
	/**
	 * ejbFindFk_billingaddressByRegistration_1Key_Local
	 */
	public sample.AddressKey ejbFindFk_billingaddressByRegistration_1Key_Local(sample.RegistrationKey key) throws javax.ejb.FinderException {
		Object[] result = instanceExtension.getAssociatedKeys("registration_1",key);
		if (result!=null )  return (sample.AddressKey) result[0];
		javax.resource.cci.IndexedRecord record = instanceExtension.getInputRecord("findFk_billingaddressByRegistration_1Key_Local");
		getInjector().findFk_billingaddressByRegistration_1Key_Local(key, record);
		return (sample.AddressKey) instanceExtension.executeFind("findFk_billingaddressByRegistration_1Key_Local", record);
	}
	/**
	 * getFk_state
	 */
	public sample.StatesLocal getFk_state() {
		return (sample.StatesLocal)getFk_stateLink().getValue();
	}
	/**
	 * setFk_state
	 */
	public void setFk_state(sample.StatesLocal value) {
		getFk_stateLink().setValue(value);
	}
	/**
	 * getFk_stateKey
	 */
	public sample.StatesKey getFk_stateKey() {
		if (fk_stateLink == null) return dataCacheEntry.getFk_stateKey();
		return (sample.StatesKey) fk_stateLink.getKey();
	}
	/**
	 * getFk_stateLink
	 */
	private com.ibm.ws.ejbpersistence.associations.AssociationLink getFk_stateLink() {
		if (fk_stateLink == null) 
		fk_stateLink = instanceExtension.createLink("fk_state",dataCacheEntry.getFk_stateKey(),8);
		return fk_stateLink;
	}
	private com.ibm.ws.ejbpersistence.associations.AssociationLink fk_stateLink;
	/**
	 * ejbFindFk_stateAddressInverseByFk_stateKey_Local
	 */
	public java.util.Collection ejbFindFk_stateAddressInverseByFk_stateKey_Local(sample.StatesKey key) throws javax.ejb.FinderException {
		Object[] result = instanceExtension.getAssociatedKeys("fk_state",key);
		if (result!=null )  return (java.util.Collection) result[0];
		javax.resource.cci.IndexedRecord record = instanceExtension.getInputRecord("findFk_stateAddressInverseByFk_stateKey_Local");
		getInjector().findFk_stateAddressInverseByFk_stateKey_Local(key, record);
		return (java.util.Collection) instanceExtension.executeFind("findFk_stateAddressInverseByFk_stateKey_Local", record);
	}
	/**
	 * refreshForeignKey
	 */
	public void refreshForeignKey() {
		if (fk_stateLink != null) 
		dataCacheEntry.setFk_stateKey((sample.StatesKey) fk_stateLink.getKey());
	}
	/**
	 * getOCCColumn
	 */
	public long getOCCColumn() {
		return dataCacheEntry.getOCCColumn();
	}
	/**
	 * Get accessor for persistent attribute: addressid
	 */
	public java.lang.Integer getAddressid() {
		return dataCacheEntry.getAddressid();
	}
	/**
	 * Set accessor for persistent attribute: addressid
	 */
	public void setAddressid(java.lang.Integer newAddressid) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(0,getAddressid(),newAddressid);
		else
			instanceExtension.markDirty(0);
		dataCacheEntry.setAddressid(newAddressid);
	}
	/**
	 * Get accessor for persistent attribute: street
	 */
	public java.lang.String getStreet() {
		return dataCacheEntry.getStreet();
	}
	/**
	 * Set accessor for persistent attribute: street
	 */
	public void setStreet(java.lang.String newStreet) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(1,getStreet(),newStreet);
		else
			instanceExtension.markDirty(1);
		dataCacheEntry.setStreet(newStreet);
	}
	/**
	 * Get accessor for persistent attribute: city
	 */
	public java.lang.String getCity() {
		return dataCacheEntry.getCity();
	}
	/**
	 * Set accessor for persistent attribute: city
	 */
	public void setCity(java.lang.String newCity) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(2,getCity(),newCity);
		else
			instanceExtension.markDirty(2);
		dataCacheEntry.setCity(newCity);
	}
	/**
	 * Get accessor for persistent attribute: zip
	 */
	public java.lang.String getZip() {
		return dataCacheEntry.getZip();
	}
	/**
	 * Set accessor for persistent attribute: zip
	 */
	public void setZip(java.lang.String newZip) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(3,getZip(),newZip);
		else
			instanceExtension.markDirty(3);
		dataCacheEntry.setZip(newZip);
	}
	/**
	 * Get accessor for persistent attribute: phonenum
	 */
	public java.lang.String getPhonenum() {
		return dataCacheEntry.getPhonenum();
	}
	/**
	 * Set accessor for persistent attribute: phonenum
	 */
	public void setPhonenum(java.lang.String newPhonenum) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(4,getPhonenum(),newPhonenum);
		else
			instanceExtension.markDirty(4);
		dataCacheEntry.setPhonenum(newPhonenum);
	}
	/**
	 * Get accessor for persistent attribute: fk_state_stateid
	 */
	public java.lang.Integer getFk_state_stateid() {
		return dataCacheEntry.getFk_state_stateid();
	}
	/**
	 * Set accessor for persistent attribute: fk_state_stateid
	 */
	public void setFk_state_stateid(java.lang.Integer newFk_state_stateid) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(5,getFk_state_stateid(),newFk_state_stateid);
		else
			instanceExtension.markDirty(5);
		dataCacheEntry.setFk_state_stateid(newFk_state_stateid);
	}
}
