package sample;

import com.ibm.ws.ejbpersistence.beanextensions.*;
import com.ibm.websphere.cpmi.*;
import sample.websphere_deploy.RegistrationBeanCacheEntry_b8f336a8;

/**
 * Bean implementation class for Enterprise Bean: Registration
 */
public class ConcreteRegistration_b8f336a8 extends sample.RegistrationBean implements javax.ejb.EntityBean, ConcreteBeanWithLink, ConcreteBeanWithForwardLink {
	static final long serialVersionUID = 61;
	/**
	 * setEntityContext
	 */
	public void setEntityContext(javax.ejb.EntityContext ctx) {
		super.setEntityContext(ctx);
		instanceExtension.setEntityContext(ctx);
	}
	/**
	 * unsetEntityContext
	 */
	public void unsetEntityContext() {
		super.unsetEntityContext();
		instanceExtension.unsetEntityContext();
	}
	/**
	 * ejbActivate
	 */
	public void ejbActivate() {
			super.ejbActivate();
			instanceExtension.ejbActivate();
	}
	/**
	 * ejbLoad
	 */
	public void ejbLoad() {
		instanceExtension.ejbLoad();
	}
	/**
	 * ejbPassivate
	 */
	public void ejbPassivate() {
		super.ejbPassivate();
		instanceExtension.ejbPassivate();
	}
	/**
	 * ejbRemove
	 */
	public void ejbRemove() throws javax.ejb.RemoveException {
		super.ejbRemove();
		instanceExtension.ejbRemove();
	}
	/**
	 * ejbStore
	 */
	public void ejbStore() {
		super.ejbStore();
		instanceExtension.ejbStore();
	}
	private ConcreteBeanInstanceExtension instanceExtension;
	private RegistrationBeanCacheEntry_b8f336a8 dataCacheEntry;
	/**
	 * _WSCB_getInstanceInfo
	 */
	public PMConcreteBeanInstanceInfo _WSCB_getInstanceInfo() {
			return instanceExtension;
	}
	/**
	 * ConcreteRegistration_b8f336a8
	 */
	public ConcreteRegistration_b8f336a8() {
		super();
		instanceExtension = ConcreteBeanInstanceExtensionFactory.getInstance(this);
	}
	/**
	 * getInjector
	 */
	private sample.websphere_deploy.RegistrationBeanInjector_b8f336a8 getInjector() {
		return (sample.websphere_deploy.RegistrationBeanInjector_b8f336a8)instanceExtension.getInjector();
	}
	/**
	 * hydrate
	 */
	public void hydrate(Object inRecord) {
		dataCacheEntry = (sample.websphere_deploy.RegistrationBeanCacheEntry_b8f336a8) inRecord;
		super.ejbLoad();
	}
	/**
	 * resetCMP
	 */
	public void resetCMP() {
			dataCacheEntry = null;
	}
	/**
	 * resetCMR
	 */
	public void resetCMR() {
			accountspayableLink = null;
			bidLink = null;
			sale_1Link = null;
			fk_shipaddressLink = null;
			fk_billingaddressLink = null;
			sellerItemLink = null;
	}
	/**
	 * ejbFindByPrimaryKey
	 */
	public sample.RegistrationKey ejbFindByPrimaryKey(sample.RegistrationKey primaryKey) throws javax.ejb.FinderException {
		return (sample.RegistrationKey)instanceExtension.ejbFindByPrimaryKey(primaryKey);
	}
	/**
	 * ejbFindByPrimaryKey
	 */
	public Object ejbFindByPrimaryKey(java.lang.Object pk) throws javax.ejb.FinderException {
		return ejbFindByPrimaryKey((sample.RegistrationKey)pk);
	}
	/**
	 * ejbFindByPrimaryKeyForCMR_Local
	 */
	public sample.RegistrationKey ejbFindByPrimaryKeyForCMR_Local(sample.RegistrationKey pk) throws javax.ejb.FinderException {
		return (sample.RegistrationKey)instanceExtension.ejbFindByPrimaryKey(pk);
	}
	/**
	 * ejbCreate
	 */
	public sample.RegistrationKey ejbCreate(java.lang.Integer userid) throws javax.ejb.CreateException {
		dataCacheEntry = (RegistrationBeanCacheEntry_b8f336a8) instanceExtension.createDataCacheEntry();
		 super.ejbCreate(userid);
		return (sample.RegistrationKey)instanceExtension.ejbCreate();
	}
	/**
	 * ejbPostCreate
	 */
	public void ejbPostCreate(java.lang.Integer userid) throws javax.ejb.CreateException {
		super.ejbPostCreate(userid);
		instanceExtension.ejbPostCreate();
	}
	/**
	 * ejbCreate
	 */
	public sample.RegistrationKey ejbCreate(java.lang.Integer userid, java.lang.String email, java.lang.String passwd, java.lang.String name, java.lang.Integer shippingsame, java.lang.Integer active, java.lang.Integer rank, sample.AddressLocal argFk_shipaddress, sample.AddressLocal argFk_billingaddress) throws javax.ejb.CreateException {
		dataCacheEntry = (RegistrationBeanCacheEntry_b8f336a8) instanceExtension.createDataCacheEntry();
		 super.ejbCreate(userid, email, passwd, name, shippingsame, active, rank, argFk_shipaddress, argFk_billingaddress);
		return (sample.RegistrationKey)instanceExtension.ejbCreate();
	}
	/**
	 * ejbPostCreate
	 */
	public void ejbPostCreate(java.lang.Integer userid, java.lang.String email, java.lang.String passwd, java.lang.String name, java.lang.Integer shippingsame, java.lang.Integer active, java.lang.Integer rank, sample.AddressLocal argFk_shipaddress, sample.AddressLocal argFk_billingaddress) throws javax.ejb.CreateException {
		super.ejbPostCreate(userid, email, passwd, name, shippingsame, active, rank, argFk_shipaddress, argFk_billingaddress);
		instanceExtension.ejbPostCreate();
	}
	/**
	 * createPrimaryKey
	 */
	public Object createPrimaryKey() {
		sample.RegistrationKey pk = new sample.RegistrationKey();
		pk.userid = getUserid();
		return pk;
	}
	/**
	 * getNumberOfFields
	 */
	public int getNumberOfFields() {
		return 18;
	}
	/**
	 * getLink
	 */
	public com.ibm.ws.ejbpersistence.associations.AssociationLink getLink(java.lang.String name) {
		if (name.equals("accountspayable")) return getAccountspayableLink();
		if (name.equals("bid")) return getBidLink();
		if (name.equals("sale_1")) return getSale_1Link();
		if (name.equals("fk_shipaddress")) return getFk_shipaddressLink();
		if (name.equals("fk_billingaddress")) return getFk_billingaddressLink();
		if (name.equals("sellerItem")) return getSellerItemLink();
		return null;
	}
	/**
	 * executeFinderForLink
	 */
	public java.lang.Object executeFinderForLink(java.lang.String name, java.lang.Object key) throws javax.ejb.FinderException {
		if (name.equals("accountspayable")){
			sample.websphere_deploy.AccountspayableBeanInternalLocalHome_8d675d30 home = (sample.websphere_deploy.AccountspayableBeanInternalLocalHome_8d675d30)instanceExtension.getHomeForLink("accountspayable");
		  return home.findAccountspayableByFk_useridKey_Local((sample.RegistrationKey)key);
		}
		if (name.equals("bid")){
			sample.websphere_deploy.BidBeanInternalLocalHome_8ca62fbb home = (sample.websphere_deploy.BidBeanInternalLocalHome_8ca62fbb)instanceExtension.getHomeForLink("bid");
		  return home.findBidByFk_bidderidKey_Local((sample.RegistrationKey)key);
		}
		if (name.equals("sale_1")){
			sample.websphere_deploy.SaleBeanInternalLocalHome_ee886d21 home = (sample.websphere_deploy.SaleBeanInternalLocalHome_ee886d21)instanceExtension.getHomeForLink("sale_1");
		  return home.findSale_1ByFk_buyeridKey_Local((sample.RegistrationKey)key);
		}
		if (name.equals("fk_shipaddress")){
			sample.websphere_deploy.AddressBeanInternalLocalHome_4e876f37 home = (sample.websphere_deploy.AddressBeanInternalLocalHome_4e876f37)instanceExtension.getHomeForLink("fk_shipaddress");
		  return home.findByPrimaryKeyForCMR((sample.AddressKey)key);
		}
		if (name.equals("fk_billingaddress")){
			sample.websphere_deploy.AddressBeanInternalLocalHome_4e876f37 home = (sample.websphere_deploy.AddressBeanInternalLocalHome_4e876f37)instanceExtension.getHomeForLink("fk_billingaddress");
		  return home.findByPrimaryKeyForCMR((sample.AddressKey)key);
		}
		if (name.equals("sellerItem")){
			sample.websphere_deploy.ItemBeanInternalLocalHome_2a12784e home = (sample.websphere_deploy.ItemBeanInternalLocalHome_2a12784e)instanceExtension.getHomeForLink("sellerItem");
		  return home.findSellerItemByItemSellerKey_Local((sample.RegistrationKey)key);
		}
		return null;
	}
	/**
	 * getAccountspayable
	 */
	public java.util.Collection getAccountspayable() {
		return (java.util.Collection)getAccountspayableLink().getValue();
	}
	/**
	 * setAccountspayable
	 */
	public void setAccountspayable(java.util.Collection value) {
		getAccountspayableLink().setValue(value);
	}
	/**
	 * getAccountspayableLink
	 */
	private com.ibm.ws.ejbpersistence.associations.AssociationLink getAccountspayableLink() {
		if (accountspayableLink == null) 
		accountspayableLink = instanceExtension.createLink("accountspayable",null,12);
		return accountspayableLink;
	}
	private com.ibm.ws.ejbpersistence.associations.AssociationLink accountspayableLink;
	/**
	 * ejbFindFk_useridByAccountspayableKey_Local
	 */
	public sample.RegistrationKey ejbFindFk_useridByAccountspayableKey_Local(sample.AccountspayableKey key) throws javax.ejb.FinderException {
		Object[] result = instanceExtension.getAssociatedKeys("accountspayable",key);
		if (result!=null )  return (sample.RegistrationKey) result[0];
		javax.resource.cci.IndexedRecord record = instanceExtension.getInputRecord("findFk_useridByAccountspayableKey_Local");
		getInjector().findFk_useridByAccountspayableKey_Local(key, record);
		return (sample.RegistrationKey) instanceExtension.executeFind("findFk_useridByAccountspayableKey_Local", record);
	}
	/**
	 * getBid
	 */
	public java.util.Collection getBid() {
		return (java.util.Collection)getBidLink().getValue();
	}
	/**
	 * setBid
	 */
	public void setBid(java.util.Collection value) {
		getBidLink().setValue(value);
	}
	/**
	 * getBidLink
	 */
	private com.ibm.ws.ejbpersistence.associations.AssociationLink getBidLink() {
		if (bidLink == null) 
		bidLink = instanceExtension.createLink("bid",null,13);
		return bidLink;
	}
	private com.ibm.ws.ejbpersistence.associations.AssociationLink bidLink;
	/**
	 * ejbFindFk_bidderidByBidKey_Local
	 */
	public sample.RegistrationKey ejbFindFk_bidderidByBidKey_Local(sample.BidKey key) throws javax.ejb.FinderException {
		Object[] result = instanceExtension.getAssociatedKeys("bid",key);
		if (result!=null )  return (sample.RegistrationKey) result[0];
		javax.resource.cci.IndexedRecord record = instanceExtension.getInputRecord("findFk_bidderidByBidKey_Local");
		getInjector().findFk_bidderidByBidKey_Local(key, record);
		return (sample.RegistrationKey) instanceExtension.executeFind("findFk_bidderidByBidKey_Local", record);
	}
	/**
	 * getSale_1
	 */
	public java.util.Collection getSale_1() {
		return (java.util.Collection)getSale_1Link().getValue();
	}
	/**
	 * setSale_1
	 */
	public void setSale_1(java.util.Collection value) {
		getSale_1Link().setValue(value);
	}
	/**
	 * getSale_1Link
	 */
	private com.ibm.ws.ejbpersistence.associations.AssociationLink getSale_1Link() {
		if (sale_1Link == null) 
		sale_1Link = instanceExtension.createLink("sale_1",null,14);
		return sale_1Link;
	}
	private com.ibm.ws.ejbpersistence.associations.AssociationLink sale_1Link;
	/**
	 * ejbFindFk_buyeridBySale_1Key_Local
	 */
	public sample.RegistrationKey ejbFindFk_buyeridBySale_1Key_Local(sample.SaleKey key) throws javax.ejb.FinderException {
		Object[] result = instanceExtension.getAssociatedKeys("sale_1",key);
		if (result!=null )  return (sample.RegistrationKey) result[0];
		javax.resource.cci.IndexedRecord record = instanceExtension.getInputRecord("findFk_buyeridBySale_1Key_Local");
		getInjector().findFk_buyeridBySale_1Key_Local(key, record);
		return (sample.RegistrationKey) instanceExtension.executeFind("findFk_buyeridBySale_1Key_Local", record);
	}
	/**
	 * getFk_shipaddress
	 */
	public sample.AddressLocal getFk_shipaddress() {
		return (sample.AddressLocal)getFk_shipaddressLink().getValue();
	}
	/**
	 * setFk_shipaddress
	 */
	public void setFk_shipaddress(sample.AddressLocal value) {
		getFk_shipaddressLink().setValue(value);
	}
	/**
	 * getFk_shipaddressKey
	 */
	public sample.AddressKey getFk_shipaddressKey() {
		if (fk_shipaddressLink == null) return dataCacheEntry.getFk_shipaddressKey();
		return (sample.AddressKey) fk_shipaddressLink.getKey();
	}
	/**
	 * getFk_shipaddressLink
	 */
	private com.ibm.ws.ejbpersistence.associations.AssociationLink getFk_shipaddressLink() {
		if (fk_shipaddressLink == null) 
		fk_shipaddressLink = instanceExtension.createLink("fk_shipaddress",dataCacheEntry.getFk_shipaddressKey(),15);
		return fk_shipaddressLink;
	}
	private com.ibm.ws.ejbpersistence.associations.AssociationLink fk_shipaddressLink;
	/**
	 * ejbFindRegistrationByFk_shipaddressKey_Local
	 */
	public java.util.Collection ejbFindRegistrationByFk_shipaddressKey_Local(sample.AddressKey key) throws javax.ejb.FinderException {
		Object[] result = instanceExtension.getAssociatedKeys("fk_shipaddress",key);
		if (result!=null )  return (java.util.Collection) result[0];
		javax.resource.cci.IndexedRecord record = instanceExtension.getInputRecord("findRegistrationByFk_shipaddressKey_Local");
		getInjector().findRegistrationByFk_shipaddressKey_Local(key, record);
		return (java.util.Collection) instanceExtension.executeFind("findRegistrationByFk_shipaddressKey_Local", record);
	}
	/**
	 * getFk_billingaddress
	 */
	public sample.AddressLocal getFk_billingaddress() {
		return (sample.AddressLocal)getFk_billingaddressLink().getValue();
	}
	/**
	 * setFk_billingaddress
	 */
	public void setFk_billingaddress(sample.AddressLocal value) {
		getFk_billingaddressLink().setValue(value);
	}
	/**
	 * getFk_billingaddressKey
	 */
	public sample.AddressKey getFk_billingaddressKey() {
		if (fk_billingaddressLink == null) return dataCacheEntry.getFk_billingaddressKey();
		return (sample.AddressKey) fk_billingaddressLink.getKey();
	}
	/**
	 * getFk_billingaddressLink
	 */
	private com.ibm.ws.ejbpersistence.associations.AssociationLink getFk_billingaddressLink() {
		if (fk_billingaddressLink == null) 
		fk_billingaddressLink = instanceExtension.createLink("fk_billingaddress",dataCacheEntry.getFk_billingaddressKey(),16);
		return fk_billingaddressLink;
	}
	private com.ibm.ws.ejbpersistence.associations.AssociationLink fk_billingaddressLink;
	/**
	 * ejbFindRegistration_1ByFk_billingaddressKey_Local
	 */
	public java.util.Collection ejbFindRegistration_1ByFk_billingaddressKey_Local(sample.AddressKey key) throws javax.ejb.FinderException {
		Object[] result = instanceExtension.getAssociatedKeys("fk_billingaddress",key);
		if (result!=null )  return (java.util.Collection) result[0];
		javax.resource.cci.IndexedRecord record = instanceExtension.getInputRecord("findRegistration_1ByFk_billingaddressKey_Local");
		getInjector().findRegistration_1ByFk_billingaddressKey_Local(key, record);
		return (java.util.Collection) instanceExtension.executeFind("findRegistration_1ByFk_billingaddressKey_Local", record);
	}
	/**
	 * getSellerItem
	 */
	public java.util.Collection getSellerItem() {
		return (java.util.Collection)getSellerItemLink().getValue();
	}
	/**
	 * setSellerItem
	 */
	public void setSellerItem(java.util.Collection value) {
		getSellerItemLink().setValue(value);
	}
	/**
	 * getSellerItemLink
	 */
	private com.ibm.ws.ejbpersistence.associations.AssociationLink getSellerItemLink() {
		if (sellerItemLink == null) 
		sellerItemLink = instanceExtension.createLink("sellerItem",null,17);
		return sellerItemLink;
	}
	private com.ibm.ws.ejbpersistence.associations.AssociationLink sellerItemLink;
	/**
	 * ejbFindItemSellerBySellerItemKey_Local
	 */
	public sample.RegistrationKey ejbFindItemSellerBySellerItemKey_Local(sample.ItemKey key) throws javax.ejb.FinderException {
		Object[] result = instanceExtension.getAssociatedKeys("sellerItem",key);
		if (result!=null )  return (sample.RegistrationKey) result[0];
		javax.resource.cci.IndexedRecord record = instanceExtension.getInputRecord("findItemSellerBySellerItemKey_Local");
		getInjector().findItemSellerBySellerItemKey_Local(key, record);
		return (sample.RegistrationKey) instanceExtension.executeFind("findItemSellerBySellerItemKey_Local", record);
	}
	/**
	 * refreshForeignKey
	 */
	public void refreshForeignKey() {
		if (fk_shipaddressLink != null) 
		dataCacheEntry.setFk_shipaddressKey((sample.AddressKey) fk_shipaddressLink.getKey());
		if (fk_billingaddressLink != null) 
		dataCacheEntry.setFk_billingaddressKey((sample.AddressKey) fk_billingaddressLink.getKey());
	}
	/**
	 * getOCCColumn
	 */
	public long getOCCColumn() {
		return dataCacheEntry.getOCCColumn();
	}
	/**
	 * Get accessor for persistent attribute: userid
	 */
	public java.lang.Integer getUserid() {
		return dataCacheEntry.getUserid();
	}
	/**
	 * Set accessor for persistent attribute: userid
	 */
	public void setUserid(java.lang.Integer newUserid) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(0,getUserid(),newUserid);
		else
			instanceExtension.markDirty(0);
		dataCacheEntry.setUserid(newUserid);
	}
	/**
	 * Get accessor for persistent attribute: email
	 */
	public java.lang.String getEmail() {
		return dataCacheEntry.getEmail();
	}
	/**
	 * Set accessor for persistent attribute: email
	 */
	public void setEmail(java.lang.String newEmail) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(1,getEmail(),newEmail);
		else
			instanceExtension.markDirty(1);
		dataCacheEntry.setEmail(newEmail);
	}
	/**
	 * Get accessor for persistent attribute: passwd
	 */
	public java.lang.String getPasswd() {
		return dataCacheEntry.getPasswd();
	}
	/**
	 * Set accessor for persistent attribute: passwd
	 */
	public void setPasswd(java.lang.String newPasswd) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(2,getPasswd(),newPasswd);
		else
			instanceExtension.markDirty(2);
		dataCacheEntry.setPasswd(newPasswd);
	}
	/**
	 * Get accessor for persistent attribute: name
	 */
	public java.lang.String getName() {
		return dataCacheEntry.getName();
	}
	/**
	 * Set accessor for persistent attribute: name
	 */
	public void setName(java.lang.String newName) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(3,getName(),newName);
		else
			instanceExtension.markDirty(3);
		dataCacheEntry.setName(newName);
	}
	/**
	 * Get accessor for persistent attribute: cardtype
	 */
	public java.lang.String getCardtype() {
		return dataCacheEntry.getCardtype();
	}
	/**
	 * Set accessor for persistent attribute: cardtype
	 */
	public void setCardtype(java.lang.String newCardtype) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(4,getCardtype(),newCardtype);
		else
			instanceExtension.markDirty(4);
		dataCacheEntry.setCardtype(newCardtype);
	}
	/**
	 * Get accessor for persistent attribute: acctnum
	 */
	public java.lang.String getAcctnum() {
		return dataCacheEntry.getAcctnum();
	}
	/**
	 * Set accessor for persistent attribute: acctnum
	 */
	public void setAcctnum(java.lang.String newAcctnum) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(5,getAcctnum(),newAcctnum);
		else
			instanceExtension.markDirty(5);
		dataCacheEntry.setAcctnum(newAcctnum);
	}
	/**
	 * Get accessor for persistent attribute: expiry
	 */
	public java.sql.Timestamp getExpiry() {
		return dataCacheEntry.getExpiry();
	}
	/**
	 * Set accessor for persistent attribute: expiry
	 */
	public void setExpiry(java.sql.Timestamp newExpiry) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(6,getExpiry(),newExpiry);
		else
			instanceExtension.markDirty(6);
		dataCacheEntry.setExpiry(newExpiry);
	}
	/**
	 * Get accessor for persistent attribute: shippingsame
	 */
	public java.lang.Integer getShippingsame() {
		return dataCacheEntry.getShippingsame();
	}
	/**
	 * Set accessor for persistent attribute: shippingsame
	 */
	public void setShippingsame(java.lang.Integer newShippingsame) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(7,getShippingsame(),newShippingsame);
		else
			instanceExtension.markDirty(7);
		dataCacheEntry.setShippingsame(newShippingsame);
	}
	/**
	 * Get accessor for persistent attribute: active
	 */
	public java.lang.Integer getActive() {
		return dataCacheEntry.getActive();
	}
	/**
	 * Set accessor for persistent attribute: active
	 */
	public void setActive(java.lang.Integer newActive) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(8,getActive(),newActive);
		else
			instanceExtension.markDirty(8);
		dataCacheEntry.setActive(newActive);
	}
	/**
	 * Get accessor for persistent attribute: rank
	 */
	public java.lang.Integer getRank() {
		return dataCacheEntry.getRank();
	}
	/**
	 * Set accessor for persistent attribute: rank
	 */
	public void setRank(java.lang.Integer newRank) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(9,getRank(),newRank);
		else
			instanceExtension.markDirty(9);
		dataCacheEntry.setRank(newRank);
	}
	/**
	 * Get accessor for persistent attribute: fk_shipaddress_addressid
	 */
	public java.lang.Integer getFk_shipaddress_addressid() {
		return dataCacheEntry.getFk_shipaddress_addressid();
	}
	/**
	 * Set accessor for persistent attribute: fk_shipaddress_addressid
	 */
	public void setFk_shipaddress_addressid(java.lang.Integer newFk_shipaddress_addressid) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(10,getFk_shipaddress_addressid(),newFk_shipaddress_addressid);
		else
			instanceExtension.markDirty(10);
		dataCacheEntry.setFk_shipaddress_addressid(newFk_shipaddress_addressid);
	}
	/**
	 * Get accessor for persistent attribute: fk_billingaddress_addressid
	 */
	public java.lang.Integer getFk_billingaddress_addressid() {
		return dataCacheEntry.getFk_billingaddress_addressid();
	}
	/**
	 * Set accessor for persistent attribute: fk_billingaddress_addressid
	 */
	public void setFk_billingaddress_addressid(java.lang.Integer newFk_billingaddress_addressid) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(11,getFk_billingaddress_addressid(),newFk_billingaddress_addressid);
		else
			instanceExtension.markDirty(11);
		dataCacheEntry.setFk_billingaddress_addressid(newFk_billingaddress_addressid);
	}
}
