package sample;

import com.ibm.ws.ejbpersistence.beanextensions.*;
import com.ibm.websphere.cpmi.*;
import sample.websphere_deploy.SaleBeanCacheEntry_ee886d21;

/**
 * Bean implementation class for Enterprise Bean: Sale
 */
public class ConcreteSale_ee886d21 extends sample.SaleBean implements javax.ejb.EntityBean, ConcreteBeanWithLink, ConcreteBeanWithForwardLink {
	static final long serialVersionUID = 61;
	/**
	 * setEntityContext
	 */
	public void setEntityContext(javax.ejb.EntityContext ctx) {
		super.setEntityContext(ctx);
		instanceExtension.setEntityContext(ctx);
	}
	/**
	 * unsetEntityContext
	 */
	public void unsetEntityContext() {
		super.unsetEntityContext();
		instanceExtension.unsetEntityContext();
	}
	/**
	 * ejbActivate
	 */
	public void ejbActivate() {
			super.ejbActivate();
			instanceExtension.ejbActivate();
	}
	/**
	 * ejbLoad
	 */
	public void ejbLoad() {
		instanceExtension.ejbLoad();
	}
	/**
	 * ejbPassivate
	 */
	public void ejbPassivate() {
		super.ejbPassivate();
		instanceExtension.ejbPassivate();
	}
	/**
	 * ejbRemove
	 */
	public void ejbRemove() throws javax.ejb.RemoveException {
		super.ejbRemove();
		instanceExtension.ejbRemove();
	}
	/**
	 * ejbStore
	 */
	public void ejbStore() {
		super.ejbStore();
		instanceExtension.ejbStore();
	}
	private ConcreteBeanInstanceExtension instanceExtension;
	private SaleBeanCacheEntry_ee886d21 dataCacheEntry;
	/**
	 * _WSCB_getInstanceInfo
	 */
	public PMConcreteBeanInstanceInfo _WSCB_getInstanceInfo() {
			return instanceExtension;
	}
	/**
	 * ConcreteSale_ee886d21
	 */
	public ConcreteSale_ee886d21() {
		super();
		instanceExtension = ConcreteBeanInstanceExtensionFactory.getInstance(this);
	}
	/**
	 * getInjector
	 */
	private sample.websphere_deploy.SaleBeanInjector_ee886d21 getInjector() {
		return (sample.websphere_deploy.SaleBeanInjector_ee886d21)instanceExtension.getInjector();
	}
	/**
	 * hydrate
	 */
	public void hydrate(Object inRecord) {
		dataCacheEntry = (sample.websphere_deploy.SaleBeanCacheEntry_ee886d21) inRecord;
		super.ejbLoad();
	}
	/**
	 * resetCMP
	 */
	public void resetCMP() {
			dataCacheEntry = null;
	}
	/**
	 * resetCMR
	 */
	public void resetCMR() {
			fk_buyeridLink = null;
			fk_itemidLink = null;
	}
	/**
	 * ejbFindByPrimaryKey
	 */
	public sample.SaleKey ejbFindByPrimaryKey(sample.SaleKey primaryKey) throws javax.ejb.FinderException {
		return (sample.SaleKey)instanceExtension.ejbFindByPrimaryKey(primaryKey);
	}
	/**
	 * ejbFindByPrimaryKey
	 */
	public Object ejbFindByPrimaryKey(java.lang.Object pk) throws javax.ejb.FinderException {
		return ejbFindByPrimaryKey((sample.SaleKey)pk);
	}
	/**
	 * ejbFindByPrimaryKeyForCMR_Local
	 */
	public sample.SaleKey ejbFindByPrimaryKeyForCMR_Local(sample.SaleKey pk) throws javax.ejb.FinderException {
		return (sample.SaleKey)instanceExtension.ejbFindByPrimaryKey(pk);
	}
	/**
	 * ejbCreate
	 */
	public sample.SaleKey ejbCreate(java.lang.Integer saleid) throws javax.ejb.CreateException {
		dataCacheEntry = (SaleBeanCacheEntry_ee886d21) instanceExtension.createDataCacheEntry();
		 super.ejbCreate(saleid);
		return (sample.SaleKey)instanceExtension.ejbCreate();
	}
	/**
	 * ejbPostCreate
	 */
	public void ejbPostCreate(java.lang.Integer saleid) throws javax.ejb.CreateException {
		super.ejbPostCreate(saleid);
		instanceExtension.ejbPostCreate();
	}
	/**
	 * ejbCreate
	 */
	public sample.SaleKey ejbCreate(java.lang.Integer saleid, java.lang.Integer delivered, java.lang.Integer paid, java.sql.Timestamp datestarted, sample.RegistrationLocal argFk_sellerid, sample.ItemLocal argFk_itemid) throws javax.ejb.CreateException {
		dataCacheEntry = (SaleBeanCacheEntry_ee886d21) instanceExtension.createDataCacheEntry();
		 super.ejbCreate(saleid, delivered, paid, datestarted, argFk_sellerid, argFk_itemid);
		return (sample.SaleKey)instanceExtension.ejbCreate();
	}
	/**
	 * ejbPostCreate
	 */
	public void ejbPostCreate(java.lang.Integer saleid, java.lang.Integer delivered, java.lang.Integer paid, java.sql.Timestamp datestarted, sample.RegistrationLocal argFk_sellerid, sample.ItemLocal argFk_itemid) throws javax.ejb.CreateException {
		super.ejbPostCreate(saleid, delivered, paid, datestarted, argFk_sellerid, argFk_itemid);
		instanceExtension.ejbPostCreate();
	}
	/**
	 * createPrimaryKey
	 */
	public Object createPrimaryKey() {
		sample.SaleKey pk = new sample.SaleKey();
		pk.saleid = getSaleid();
		return pk;
	}
	/**
	 * getNumberOfFields
	 */
	public int getNumberOfFields() {
		return 11;
	}
	/**
	 * getLink
	 */
	public com.ibm.ws.ejbpersistence.associations.AssociationLink getLink(java.lang.String name) {
		if (name.equals("fk_buyerid")) return getFk_buyeridLink();
		if (name.equals("fk_itemid")) return getFk_itemidLink();
		return null;
	}
	/**
	 * executeFinderForLink
	 */
	public java.lang.Object executeFinderForLink(java.lang.String name, java.lang.Object key) throws javax.ejb.FinderException {
		if (name.equals("fk_buyerid")){
			sample.websphere_deploy.RegistrationBeanInternalLocalHome_b8f336a8 home = (sample.websphere_deploy.RegistrationBeanInternalLocalHome_b8f336a8)instanceExtension.getHomeForLink("fk_buyerid");
		  return home.findByPrimaryKeyForCMR((sample.RegistrationKey)key);
		}
		if (name.equals("fk_itemid")){
			sample.websphere_deploy.ItemBeanInternalLocalHome_2a12784e home = (sample.websphere_deploy.ItemBeanInternalLocalHome_2a12784e)instanceExtension.getHomeForLink("fk_itemid");
		  return home.findByPrimaryKeyForCMR((sample.ItemKey)key);
		}
		return null;
	}
	/**
	 * getFk_buyerid
	 */
	public sample.RegistrationLocal getFk_buyerid() {
		return (sample.RegistrationLocal)getFk_buyeridLink().getValue();
	}
	/**
	 * setFk_buyerid
	 */
	public void setFk_buyerid(sample.RegistrationLocal value) {
		getFk_buyeridLink().setValue(value);
	}
	/**
	 * getFk_buyeridKey
	 */
	public sample.RegistrationKey getFk_buyeridKey() {
		if (fk_buyeridLink == null) return dataCacheEntry.getFk_buyeridKey();
		return (sample.RegistrationKey) fk_buyeridLink.getKey();
	}
	/**
	 * getFk_buyeridLink
	 */
	private com.ibm.ws.ejbpersistence.associations.AssociationLink getFk_buyeridLink() {
		if (fk_buyeridLink == null) 
		fk_buyeridLink = instanceExtension.createLink("fk_buyerid",dataCacheEntry.getFk_buyeridKey(),9);
		return fk_buyeridLink;
	}
	private com.ibm.ws.ejbpersistence.associations.AssociationLink fk_buyeridLink;
	/**
	 * ejbFindSale_1ByFk_buyeridKey_Local
	 */
	public java.util.Collection ejbFindSale_1ByFk_buyeridKey_Local(sample.RegistrationKey key) throws javax.ejb.FinderException {
		Object[] result = instanceExtension.getAssociatedKeys("fk_buyerid",key);
		if (result!=null )  return (java.util.Collection) result[0];
		javax.resource.cci.IndexedRecord record = instanceExtension.getInputRecord("findSale_1ByFk_buyeridKey_Local");
		getInjector().findSale_1ByFk_buyeridKey_Local(key, record);
		return (java.util.Collection) instanceExtension.executeFind("findSale_1ByFk_buyeridKey_Local", record);
	}
	/**
	 * getFk_itemid
	 */
	public sample.ItemLocal getFk_itemid() {
		return (sample.ItemLocal)getFk_itemidLink().getValue();
	}
	/**
	 * setFk_itemid
	 */
	public void setFk_itemid(sample.ItemLocal value) {
		getFk_itemidLink().setValue(value);
	}
	/**
	 * getFk_itemidKey
	 */
	public sample.ItemKey getFk_itemidKey() {
		if (fk_itemidLink == null) return dataCacheEntry.getFk_itemidKey();
		return (sample.ItemKey) fk_itemidLink.getKey();
	}
	/**
	 * getFk_itemidLink
	 */
	private com.ibm.ws.ejbpersistence.associations.AssociationLink getFk_itemidLink() {
		if (fk_itemidLink == null) 
		fk_itemidLink = instanceExtension.createLink("fk_itemid",dataCacheEntry.getFk_itemidKey(),10);
		return fk_itemidLink;
	}
	private com.ibm.ws.ejbpersistence.associations.AssociationLink fk_itemidLink;
	/**
	 * ejbFindSaleByFk_itemidKey_Local
	 */
	public java.util.Collection ejbFindSaleByFk_itemidKey_Local(sample.ItemKey key) throws javax.ejb.FinderException {
		Object[] result = instanceExtension.getAssociatedKeys("fk_itemid",key);
		if (result!=null )  return (java.util.Collection) result[0];
		javax.resource.cci.IndexedRecord record = instanceExtension.getInputRecord("findSaleByFk_itemidKey_Local");
		getInjector().findSaleByFk_itemidKey_Local(key, record);
		return (java.util.Collection) instanceExtension.executeFind("findSaleByFk_itemidKey_Local", record);
	}
	/**
	 * refreshForeignKey
	 */
	public void refreshForeignKey() {
		if (fk_buyeridLink != null) 
		dataCacheEntry.setFk_buyeridKey((sample.RegistrationKey) fk_buyeridLink.getKey());
		if (fk_itemidLink != null) 
		dataCacheEntry.setFk_itemidKey((sample.ItemKey) fk_itemidLink.getKey());
	}
	/**
	 * getOCCColumn
	 */
	public long getOCCColumn() {
		return dataCacheEntry.getOCCColumn();
	}
	/**
	 * Get accessor for persistent attribute: saleid
	 */
	public java.lang.Integer getSaleid() {
		return dataCacheEntry.getSaleid();
	}
	/**
	 * Set accessor for persistent attribute: saleid
	 */
	public void setSaleid(java.lang.Integer newSaleid) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(0,getSaleid(),newSaleid);
		else
			instanceExtension.markDirty(0);
		dataCacheEntry.setSaleid(newSaleid);
	}
	/**
	 * Get accessor for persistent attribute: amount
	 */
	public java.lang.Integer getAmount() {
		return dataCacheEntry.getAmount();
	}
	/**
	 * Set accessor for persistent attribute: amount
	 */
	public void setAmount(java.lang.Integer newAmount) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(1,getAmount(),newAmount);
		else
			instanceExtension.markDirty(1);
		dataCacheEntry.setAmount(newAmount);
	}
	/**
	 * Get accessor for persistent attribute: credittrans
	 */
	public java.lang.Integer getCredittrans() {
		return dataCacheEntry.getCredittrans();
	}
	/**
	 * Set accessor for persistent attribute: credittrans
	 */
	public void setCredittrans(java.lang.Integer newCredittrans) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(2,getCredittrans(),newCredittrans);
		else
			instanceExtension.markDirty(2);
		dataCacheEntry.setCredittrans(newCredittrans);
	}
	/**
	 * Get accessor for persistent attribute: deliveryorderid
	 */
	public java.lang.String getDeliveryorderid() {
		return dataCacheEntry.getDeliveryorderid();
	}
	/**
	 * Set accessor for persistent attribute: deliveryorderid
	 */
	public void setDeliveryorderid(java.lang.String newDeliveryorderid) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(3,getDeliveryorderid(),newDeliveryorderid);
		else
			instanceExtension.markDirty(3);
		dataCacheEntry.setDeliveryorderid(newDeliveryorderid);
	}
	/**
	 * Get accessor for persistent attribute: delivered
	 */
	public java.lang.Integer getDelivered() {
		return dataCacheEntry.getDelivered();
	}
	/**
	 * Set accessor for persistent attribute: delivered
	 */
	public void setDelivered(java.lang.Integer newDelivered) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(4,getDelivered(),newDelivered);
		else
			instanceExtension.markDirty(4);
		dataCacheEntry.setDelivered(newDelivered);
	}
	/**
	 * Get accessor for persistent attribute: paid
	 */
	public java.lang.Integer getPaid() {
		return dataCacheEntry.getPaid();
	}
	/**
	 * Set accessor for persistent attribute: paid
	 */
	public void setPaid(java.lang.Integer newPaid) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(5,getPaid(),newPaid);
		else
			instanceExtension.markDirty(5);
		dataCacheEntry.setPaid(newPaid);
	}
	/**
	 * Get accessor for persistent attribute: datestarted
	 */
	public java.sql.Timestamp getDatestarted() {
		return dataCacheEntry.getDatestarted();
	}
	/**
	 * Set accessor for persistent attribute: datestarted
	 */
	public void setDatestarted(java.sql.Timestamp newDatestarted) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(6,getDatestarted(),newDatestarted);
		else
			instanceExtension.markDirty(6);
		dataCacheEntry.setDatestarted(newDatestarted);
	}
	/**
	 * Get accessor for persistent attribute: fk_buyerid_userid
	 */
	public java.lang.Integer getFk_buyerid_userid() {
		return dataCacheEntry.getFk_buyerid_userid();
	}
	/**
	 * Set accessor for persistent attribute: fk_buyerid_userid
	 */
	public void setFk_buyerid_userid(java.lang.Integer newFk_buyerid_userid) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(7,getFk_buyerid_userid(),newFk_buyerid_userid);
		else
			instanceExtension.markDirty(7);
		dataCacheEntry.setFk_buyerid_userid(newFk_buyerid_userid);
	}
	/**
	 * Get accessor for persistent attribute: fk_itemid_itemid
	 */
	public java.lang.Integer getFk_itemid_itemid() {
		return dataCacheEntry.getFk_itemid_itemid();
	}
	/**
	 * Set accessor for persistent attribute: fk_itemid_itemid
	 */
	public void setFk_itemid_itemid(java.lang.Integer newFk_itemid_itemid) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(8,getFk_itemid_itemid(),newFk_itemid_itemid);
		else
			instanceExtension.markDirty(8);
		dataCacheEntry.setFk_itemid_itemid(newFk_itemid_itemid);
	}
}
