package sample;

import com.ibm.ws.ejbpersistence.beanextensions.*;
import com.ibm.websphere.cpmi.*;
import sample.websphere_deploy.StatesBeanCacheEntry_80232f8f;

/**
 * Bean implementation class for Enterprise Bean: States
 */
public class ConcreteStates_80232f8f extends sample.StatesBean implements javax.ejb.EntityBean, ConcreteBeanWithLink {
	static final long serialVersionUID = 61;
	/**
	 * setEntityContext
	 */
	public void setEntityContext(javax.ejb.EntityContext ctx) {
		super.setEntityContext(ctx);
		instanceExtension.setEntityContext(ctx);
	}
	/**
	 * unsetEntityContext
	 */
	public void unsetEntityContext() {
		super.unsetEntityContext();
		instanceExtension.unsetEntityContext();
	}
	/**
	 * ejbActivate
	 */
	public void ejbActivate() {
			super.ejbActivate();
			instanceExtension.ejbActivate();
	}
	/**
	 * ejbLoad
	 */
	public void ejbLoad() {
		instanceExtension.ejbLoad();
	}
	/**
	 * ejbPassivate
	 */
	public void ejbPassivate() {
		super.ejbPassivate();
		instanceExtension.ejbPassivate();
	}
	/**
	 * ejbRemove
	 */
	public void ejbRemove() throws javax.ejb.RemoveException {
		super.ejbRemove();
		instanceExtension.ejbRemove();
	}
	/**
	 * ejbStore
	 */
	public void ejbStore() {
		super.ejbStore();
		instanceExtension.ejbStore();
	}
	private ConcreteBeanInstanceExtension instanceExtension;
	private StatesBeanCacheEntry_80232f8f dataCacheEntry;
	/**
	 * _WSCB_getInstanceInfo
	 */
	public PMConcreteBeanInstanceInfo _WSCB_getInstanceInfo() {
			return instanceExtension;
	}
	/**
	 * ConcreteStates_80232f8f
	 */
	public ConcreteStates_80232f8f() {
		super();
		instanceExtension = ConcreteBeanInstanceExtensionFactory.getInstance(this);
	}
	/**
	 * getInjector
	 */
	private sample.websphere_deploy.StatesBeanInjector_80232f8f getInjector() {
		return (sample.websphere_deploy.StatesBeanInjector_80232f8f)instanceExtension.getInjector();
	}
	/**
	 * hydrate
	 */
	public void hydrate(Object inRecord) {
		dataCacheEntry = (sample.websphere_deploy.StatesBeanCacheEntry_80232f8f) inRecord;
		super.ejbLoad();
	}
	/**
	 * resetCMP
	 */
	public void resetCMP() {
			dataCacheEntry = null;
	}
	/**
	 * resetCMR
	 */
	public void resetCMR() {
			fk_stateAddressInverseLink = null;
	}
	/**
	 * ejbFindByPrimaryKey
	 */
	public sample.StatesKey ejbFindByPrimaryKey(sample.StatesKey primaryKey) throws javax.ejb.FinderException {
		return (sample.StatesKey)instanceExtension.ejbFindByPrimaryKey(primaryKey);
	}
	/**
	 * ejbFindByPrimaryKey
	 */
	public Object ejbFindByPrimaryKey(java.lang.Object pk) throws javax.ejb.FinderException {
		return ejbFindByPrimaryKey((sample.StatesKey)pk);
	}
	/**
	 * ejbFindByPrimaryKeyForCMR_Local
	 */
	public sample.StatesKey ejbFindByPrimaryKeyForCMR_Local(sample.StatesKey pk) throws javax.ejb.FinderException {
		return (sample.StatesKey)instanceExtension.ejbFindByPrimaryKey(pk);
	}
	/**
	 * ejbCreate
	 */
	public sample.StatesKey ejbCreate(java.lang.Integer stateid) throws javax.ejb.CreateException {
		dataCacheEntry = (StatesBeanCacheEntry_80232f8f) instanceExtension.createDataCacheEntry();
		 super.ejbCreate(stateid);
		return (sample.StatesKey)instanceExtension.ejbCreate();
	}
	/**
	 * ejbPostCreate
	 */
	public void ejbPostCreate(java.lang.Integer stateid) throws javax.ejb.CreateException {
		super.ejbPostCreate(stateid);
		instanceExtension.ejbPostCreate();
	}
	/**
	 * createPrimaryKey
	 */
	public Object createPrimaryKey() {
		sample.StatesKey pk = new sample.StatesKey();
		pk.stateid = getStateid();
		return pk;
	}
	/**
	 * getNumberOfFields
	 */
	public int getNumberOfFields() {
		return 4;
	}
	/**
	 * getLink
	 */
	public com.ibm.ws.ejbpersistence.associations.AssociationLink getLink(java.lang.String name) {
		if (name.equals("fk_stateAddressInverse")) return getFk_stateAddressInverseLink();
		return null;
	}
	/**
	 * executeFinderForLink
	 */
	public java.lang.Object executeFinderForLink(java.lang.String name, java.lang.Object key) throws javax.ejb.FinderException {
		if (name.equals("fk_stateAddressInverse")){
			sample.websphere_deploy.AddressBeanInternalLocalHome_4e876f37 home = (sample.websphere_deploy.AddressBeanInternalLocalHome_4e876f37)instanceExtension.getHomeForLink("fk_stateAddressInverse");
		  return home.findFk_stateAddressInverseByFk_stateKey_Local((sample.StatesKey)key);
		}
		return null;
	}
	/**
	 * getFk_stateAddressInverseLink
	 */
	private com.ibm.ws.ejbpersistence.associations.AssociationLink getFk_stateAddressInverseLink() {
		if (fk_stateAddressInverseLink == null) 
		fk_stateAddressInverseLink = instanceExtension.createLink("fk_stateAddressInverse",null,3);
		return fk_stateAddressInverseLink;
	}
	private com.ibm.ws.ejbpersistence.associations.AssociationLink fk_stateAddressInverseLink;
	/**
	 * ejbFindFk_stateByFk_stateAddressInverseKey_Local
	 */
	public sample.StatesKey ejbFindFk_stateByFk_stateAddressInverseKey_Local(sample.AddressKey key) throws javax.ejb.FinderException {
		Object[] result = instanceExtension.getAssociatedKeys("fk_stateAddressInverse",key);
		if (result!=null )  return (sample.StatesKey) result[0];
		javax.resource.cci.IndexedRecord record = instanceExtension.getInputRecord("findFk_stateByFk_stateAddressInverseKey_Local");
		getInjector().findFk_stateByFk_stateAddressInverseKey_Local(key, record);
		return (sample.StatesKey) instanceExtension.executeFind("findFk_stateByFk_stateAddressInverseKey_Local", record);
	}
	/**
	 * getOCCColumn
	 */
	public long getOCCColumn() {
		return dataCacheEntry.getOCCColumn();
	}
	/**
	 * Get accessor for persistent attribute: stateid
	 */
	public java.lang.Integer getStateid() {
		return dataCacheEntry.getStateid();
	}
	/**
	 * Set accessor for persistent attribute: stateid
	 */
	public void setStateid(java.lang.Integer newStateid) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(0,getStateid(),newStateid);
		else
			instanceExtension.markDirty(0);
		dataCacheEntry.setStateid(newStateid);
	}
	/**
	 * Get accessor for persistent attribute: shortname
	 */
	public java.lang.String getShortname() {
		return dataCacheEntry.getShortname();
	}
	/**
	 * Set accessor for persistent attribute: shortname
	 */
	public void setShortname(java.lang.String newShortname) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(1,getShortname(),newShortname);
		else
			instanceExtension.markDirty(1);
		dataCacheEntry.setShortname(newShortname);
	}
	/**
	 * Get accessor for persistent attribute: fullname
	 */
	public java.lang.String getFullname() {
		return dataCacheEntry.getFullname();
	}
	/**
	 * Set accessor for persistent attribute: fullname
	 */
	public void setFullname(java.lang.String newFullname) {
		if (instanceExtension.needValuesOnMarkDirty())
			instanceExtension.markDirty(2,getFullname(),newFullname);
		else
			instanceExtension.markDirty(2);
		dataCacheEntry.setFullname(newFullname);
	}
}
