package sample;

import com.ibm.ejs.container.*;

/**
 * EJSCMPBidHomeBean_8ca62fbb
 */
public class EJSCMPBidHomeBean_8ca62fbb extends EJSHome {
	static final long serialVersionUID = 61;
	/**
	 * EJSCMPBidHomeBean_8ca62fbb
	 */
	public EJSCMPBidHomeBean_8ca62fbb() throws java.rmi.RemoteException {
		super();	}
	/**
	 * create_Local
	 */
	public sample.BidLocal create_Local(java.lang.Integer bidAmount, java.lang.Integer maxBid, java.lang.Integer idIncrement) throws javax.ejb.CreateException, java.rmi.RemoteException {
		BeanO beanO = null;
		sample.BidLocal result = null;
		boolean createFailed = false;
		boolean preCreateFlag = false;
		try {
			beanO = super.createBeanO();
			sample.BidBean bean = (sample.BidBean) beanO.getEnterpriseBean();
			preCreateFlag = super.preEjbCreate(beanO);
			bean.ejbCreate(bidAmount, maxBid, idIncrement);
			Object ejsKey = keyFromBean(bean);
			result = (sample.BidLocal) super.postCreate_Local(beanO, ejsKey, true);
			bean.ejbPostCreate(bidAmount, maxBid, idIncrement);
			super.afterPostCreate(beanO, ejsKey);
		}
		catch (javax.ejb.CreateException ex) {
			createFailed = true;
			throw ex;
		} catch (java.rmi.RemoteException ex) {
			createFailed = true;
			throw ex;
		} catch (Throwable ex) {
			createFailed = true;
			throw new CreateFailureException(ex);
		} finally {
			if(preCreateFlag && !createFailed)
				super.afterPostCreateCompletion(beanO);
			if (createFailed) {
				super.createFailure(beanO);
			}
		}
		return result;
	}
	/**
	 * findByPrimaryKey_Local
	 */
	public sample.BidLocal findByPrimaryKey_Local(sample.BidKey primaryKey) throws javax.ejb.FinderException, java.rmi.RemoteException {
		return (sample.BidLocal)super.activateBean_Local(primaryKey);
	}
	/**
	 * create_Local
	 */
	public sample.BidLocal create_Local(java.lang.Integer bidid) throws javax.ejb.CreateException, java.rmi.RemoteException {
		BeanO beanO = null;
		sample.BidLocal result = null;
		boolean createFailed = false;
		boolean preCreateFlag = false;
		try {
			beanO = super.createBeanO();
			sample.BidBean bean = (sample.BidBean) beanO.getEnterpriseBean();
			preCreateFlag = super.preEjbCreate(beanO);
			bean.ejbCreate(bidid);
			Object ejsKey = keyFromBean(bean);
			result = (sample.BidLocal) super.postCreate_Local(beanO, ejsKey, true);
			bean.ejbPostCreate(bidid);
			super.afterPostCreate(beanO, ejsKey);
		}
		catch (javax.ejb.CreateException ex) {
			createFailed = true;
			throw ex;
		} catch (java.rmi.RemoteException ex) {
			createFailed = true;
			throw ex;
		} catch (Throwable ex) {
			createFailed = true;
			throw new CreateFailureException(ex);
		} finally {
			if(preCreateFlag && !createFailed)
				super.afterPostCreateCompletion(beanO);
			if (createFailed) {
				super.createFailure(beanO);
			}
		}
		return result;
	}
	/**
	 * create_Local
	 */
	public sample.BidLocal create_Local(java.lang.Integer bidid, java.lang.Integer currentbid, sample.RegistrationLocal argFk_bidderid, sample.ItemLocal argFk_itemtypeid) throws javax.ejb.CreateException, java.rmi.RemoteException {
		BeanO beanO = null;
		sample.BidLocal result = null;
		boolean createFailed = false;
		boolean preCreateFlag = false;
		try {
			beanO = super.createBeanO();
			sample.BidBean bean = (sample.BidBean) beanO.getEnterpriseBean();
			preCreateFlag = super.preEjbCreate(beanO);
			bean.ejbCreate(bidid, currentbid, argFk_bidderid, argFk_itemtypeid);
			Object ejsKey = keyFromBean(bean);
			result = (sample.BidLocal) super.postCreate_Local(beanO, ejsKey, true);
			bean.ejbPostCreate(bidid, currentbid, argFk_bidderid, argFk_itemtypeid);
			super.afterPostCreate(beanO, ejsKey);
		}
		catch (javax.ejb.CreateException ex) {
			createFailed = true;
			throw ex;
		} catch (java.rmi.RemoteException ex) {
			createFailed = true;
			throw ex;
		} catch (Throwable ex) {
			createFailed = true;
			throw new CreateFailureException(ex);
		} finally {
			if(preCreateFlag && !createFailed)
				super.afterPostCreateCompletion(beanO);
			if (createFailed) {
				super.createFailure(beanO);
			}
		}
		return result;
	}
	/**
	 * findBidByFk_bidderidKey_Local
	 */
	public java.util.Collection findBidByFk_bidderidKey_Local(sample.RegistrationKey key) throws javax.ejb.FinderException, java.rmi.RemoteException {
		java.util.Collection result = null;
		EntityBeanO beanO = null;

		try {
			beanO = super.getFinderEntityBeanO();
			sample.ConcreteBid_8ca62fbb bean = (sample.ConcreteBid_8ca62fbb) beanO.getEnterpriseBean();
			java.util.Collection pKeys = bean.ejbFindBidByFk_bidderidKey_Local(key);
			result = super.getCMP20Collection_Local(pKeys);
			super.releaseFinderEntityBeanO(beanO);
			beanO = null;
		}
		catch (javax.ejb.FinderException finderEx) {
			super.releaseFinderEntityBeanO(beanO);
			beanO = null;
			throw finderEx;
		}
		finally {
			if (beanO != null )
				super.discardFinderEntityBeanO(beanO);
		}
		return result;
	}
	/**
	 * findBidByFk_itemidKey_Local
	 */
	public java.util.Collection findBidByFk_itemidKey_Local(sample.ItemKey key) throws javax.ejb.FinderException, java.rmi.RemoteException {
		java.util.Collection result = null;
		EntityBeanO beanO = null;

		try {
			beanO = super.getFinderEntityBeanO();
			sample.ConcreteBid_8ca62fbb bean = (sample.ConcreteBid_8ca62fbb) beanO.getEnterpriseBean();
			java.util.Collection pKeys = bean.ejbFindBidByFk_itemidKey_Local(key);
			result = super.getCMP20Collection_Local(pKeys);
			super.releaseFinderEntityBeanO(beanO);
			beanO = null;
		}
		catch (javax.ejb.FinderException finderEx) {
			super.releaseFinderEntityBeanO(beanO);
			beanO = null;
			throw finderEx;
		}
		finally {
			if (beanO != null )
				super.discardFinderEntityBeanO(beanO);
		}
		return result;
	}
	/**
	 * keyFromBean
	 */
	public Object keyFromBean(javax.ejb.EntityBean generalEJB) {
		sample.ConcreteBid_8ca62fbb tmpEJB = (sample.ConcreteBid_8ca62fbb) generalEJB;
		sample.BidKey keyClass = new sample.BidKey();
		keyClass.bidid = tmpEJB.getBidid();
		return keyClass;
	}
	/**
	 * keyFromFields
	 */
	public sample.BidKey keyFromFields(java.lang.Integer f0) {
		sample.BidKey keyClass = new sample.BidKey();
		keyClass.bidid = f0;
		return keyClass;
	}
}
