package sample;

import com.ibm.ejs.container.*;

/**
 * EJSCMPSaleHomeBean_ee886d21
 */
public class EJSCMPSaleHomeBean_ee886d21 extends EJSHome {
	static final long serialVersionUID = 61;
	/**
	 * EJSCMPSaleHomeBean_ee886d21
	 */
	public EJSCMPSaleHomeBean_ee886d21() throws java.rmi.RemoteException {
		super();	}
	/**
	 * create_Local
	 */
	public sample.SaleLocal create_Local(java.lang.Integer saleid) throws javax.ejb.CreateException, java.rmi.RemoteException {
		BeanO beanO = null;
		sample.SaleLocal result = null;
		boolean createFailed = false;
		boolean preCreateFlag = false;
		try {
			beanO = super.createBeanO();
			sample.SaleBean bean = (sample.SaleBean) beanO.getEnterpriseBean();
			preCreateFlag = super.preEjbCreate(beanO);
			bean.ejbCreate(saleid);
			Object ejsKey = keyFromBean(bean);
			result = (sample.SaleLocal) super.postCreate_Local(beanO, ejsKey, true);
			bean.ejbPostCreate(saleid);
			super.afterPostCreate(beanO, ejsKey);
		}
		catch (javax.ejb.CreateException ex) {
			createFailed = true;
			throw ex;
		} catch (java.rmi.RemoteException ex) {
			createFailed = true;
			throw ex;
		} catch (Throwable ex) {
			createFailed = true;
			throw new CreateFailureException(ex);
		} finally {
			if(preCreateFlag && !createFailed)
				super.afterPostCreateCompletion(beanO);
			if (createFailed) {
				super.createFailure(beanO);
			}
		}
		return result;
	}
	/**
	 * findByPrimaryKey_Local
	 */
	public sample.SaleLocal findByPrimaryKey_Local(sample.SaleKey primaryKey) throws javax.ejb.FinderException, java.rmi.RemoteException {
		return (sample.SaleLocal)super.activateBean_Local(primaryKey);
	}
	/**
	 * create_Local
	 */
	public sample.SaleLocal create_Local(java.lang.Integer saleid, java.lang.Integer delivered, java.lang.Integer paid, java.sql.Timestamp datestarted, sample.RegistrationLocal argFk_sellerid, sample.ItemLocal argFk_itemid) throws javax.ejb.CreateException, java.rmi.RemoteException {
		BeanO beanO = null;
		sample.SaleLocal result = null;
		boolean createFailed = false;
		boolean preCreateFlag = false;
		try {
			beanO = super.createBeanO();
			sample.SaleBean bean = (sample.SaleBean) beanO.getEnterpriseBean();
			preCreateFlag = super.preEjbCreate(beanO);
			bean.ejbCreate(saleid, delivered, paid, datestarted, argFk_sellerid, argFk_itemid);
			Object ejsKey = keyFromBean(bean);
			result = (sample.SaleLocal) super.postCreate_Local(beanO, ejsKey, true);
			bean.ejbPostCreate(saleid, delivered, paid, datestarted, argFk_sellerid, argFk_itemid);
			super.afterPostCreate(beanO, ejsKey);
		}
		catch (javax.ejb.CreateException ex) {
			createFailed = true;
			throw ex;
		} catch (java.rmi.RemoteException ex) {
			createFailed = true;
			throw ex;
		} catch (Throwable ex) {
			createFailed = true;
			throw new CreateFailureException(ex);
		} finally {
			if(preCreateFlag && !createFailed)
				super.afterPostCreateCompletion(beanO);
			if (createFailed) {
				super.createFailure(beanO);
			}
		}
		return result;
	}
	/**
	 * findSale_1ByFk_buyeridKey_Local
	 */
	public java.util.Collection findSale_1ByFk_buyeridKey_Local(sample.RegistrationKey key) throws javax.ejb.FinderException, java.rmi.RemoteException {
		java.util.Collection result = null;
		EntityBeanO beanO = null;

		try {
			beanO = super.getFinderEntityBeanO();
			sample.ConcreteSale_ee886d21 bean = (sample.ConcreteSale_ee886d21) beanO.getEnterpriseBean();
			java.util.Collection pKeys = bean.ejbFindSale_1ByFk_buyeridKey_Local(key);
			result = super.getCMP20Collection_Local(pKeys);
			super.releaseFinderEntityBeanO(beanO);
			beanO = null;
		}
		catch (javax.ejb.FinderException finderEx) {
			super.releaseFinderEntityBeanO(beanO);
			beanO = null;
			throw finderEx;
		}
		finally {
			if (beanO != null )
				super.discardFinderEntityBeanO(beanO);
		}
		return result;
	}
	/**
	 * findSaleByFk_itemidKey_Local
	 */
	public java.util.Collection findSaleByFk_itemidKey_Local(sample.ItemKey key) throws javax.ejb.FinderException, java.rmi.RemoteException {
		java.util.Collection result = null;
		EntityBeanO beanO = null;

		try {
			beanO = super.getFinderEntityBeanO();
			sample.ConcreteSale_ee886d21 bean = (sample.ConcreteSale_ee886d21) beanO.getEnterpriseBean();
			java.util.Collection pKeys = bean.ejbFindSaleByFk_itemidKey_Local(key);
			result = super.getCMP20Collection_Local(pKeys);
			super.releaseFinderEntityBeanO(beanO);
			beanO = null;
		}
		catch (javax.ejb.FinderException finderEx) {
			super.releaseFinderEntityBeanO(beanO);
			beanO = null;
			throw finderEx;
		}
		finally {
			if (beanO != null )
				super.discardFinderEntityBeanO(beanO);
		}
		return result;
	}
	/**
	 * keyFromBean
	 */
	public Object keyFromBean(javax.ejb.EntityBean generalEJB) {
		sample.ConcreteSale_ee886d21 tmpEJB = (sample.ConcreteSale_ee886d21) generalEJB;
		sample.SaleKey keyClass = new sample.SaleKey();
		keyClass.saleid = tmpEJB.getSaleid();
		return keyClass;
	}
	/**
	 * keyFromFields
	 */
	public sample.SaleKey keyFromFields(java.lang.Integer f0) {
		sample.SaleKey keyClass = new sample.SaleKey();
		keyClass.saleid = f0;
		return keyClass;
	}
}
