package sample;
/**
 * @ws.sdo.value-object name="SaleSDO" read-only="true"
 * Bean implementation class for Enterprise Bean: Sale
  */
public abstract class SaleBean implements javax.ejb.EntityBean {
	private javax.ejb.EntityContext myEntityCtx;
	/**
	 * setEntityContext
	 */
	public void setEntityContext(javax.ejb.EntityContext ctx) {
		myEntityCtx = ctx;
	}
	/**
	 * getEntityContext
	 */
	public javax.ejb.EntityContext getEntityContext() {
		return myEntityCtx;
	}
	/**
	 * unsetEntityContext
	 */
	public void unsetEntityContext() {
		myEntityCtx = null;
	}
	/**
	 * ejbCreate
	 */
	public sample.SaleKey ejbCreate(java.lang.Integer saleid)
		throws javax.ejb.CreateException {
		setSaleid(saleid);
		return null;
	}
	/**
	 * ejbPostCreate
	 */
	public void ejbPostCreate(java.lang.Integer saleid)
		throws javax.ejb.CreateException {
	}
	/**
	 * ejbActivate
	 */
	public void ejbActivate() {
	}
	/**
	 * ejbLoad
	 */
	public void ejbLoad() {
	}
	/**
	 * ejbPassivate
	 */
	public void ejbPassivate() {
	}
	/**
	 * ejbRemove
	 */
	public void ejbRemove() throws javax.ejb.RemoveException {
	}
	/**
	 * ejbStore
	 */
	public void ejbStore() {
	}
	/**
	 * ejbCreate method for a CMP entity bean.
	 */
	public sample.SaleKey ejbCreate(
		java.lang.Integer saleid,
		java.lang.Integer delivered,
		java.lang.Integer paid,
		java.sql.Timestamp datestarted,
		sample.RegistrationLocal argFk_sellerid,
		sample.ItemLocal argFk_itemid) throws javax.ejb.CreateException {
		setSaleid(saleid);
		setDelivered(delivered);
		setPaid(paid);
		setDatestarted(datestarted);
		return null;
	}
	/**
	 * ejbPostCreate
	 */
	public void ejbPostCreate(
		java.lang.Integer saleid,
		java.lang.Integer delivered,
		java.lang.Integer paid,
		java.sql.Timestamp datestarted,
		sample.RegistrationLocal argFk_sellerid,
		sample.ItemLocal argFk_itemid) throws javax.ejb.CreateException {
		setFk_itemid(argFk_itemid);
	}
	/**
	 * Get accessor for persistent attribute: saleid
	 */
	public abstract java.lang.Integer getSaleid();
	/**
	 * Set accessor for persistent attribute: saleid
	 */
	public abstract void setSaleid(java.lang.Integer newSaleid);
	/**
	 * Get accessor for persistent attribute: amount
	 */
	public abstract java.lang.Integer getAmount();
	/**
	 * Set accessor for persistent attribute: amount
	 */
	public abstract void setAmount(java.lang.Integer newAmount);
	/**
	 * Get accessor for persistent attribute: credittrans
	 */
	public abstract java.lang.Integer getCredittrans();
	/**
	 * Set accessor for persistent attribute: credittrans
	 */
	public abstract void setCredittrans(java.lang.Integer newCredittrans);
	/**
	 * Get accessor for persistent attribute: deliveryorderid
	 */
	public abstract java.lang.String getDeliveryorderid();
	/**
	 * Set accessor for persistent attribute: deliveryorderid
	 */
	public abstract void setDeliveryorderid(java.lang.String newDeliveryorderid);
	/**
	 * Get accessor for persistent attribute: delivered
	 */
	public abstract java.lang.Integer getDelivered();
	/**
	 * Set accessor for persistent attribute: delivered
	 */
	public abstract void setDelivered(java.lang.Integer newDelivered);
	/**
	 * Get accessor for persistent attribute: paid
	 */
	public abstract java.lang.Integer getPaid();
	/**
	 * Set accessor for persistent attribute: paid
	 */
	public abstract void setPaid(java.lang.Integer newPaid);
	/**
	 * Get accessor for persistent attribute: datestarted
	 */
	public abstract java.sql.Timestamp getDatestarted();
	/**
	 * Set accessor for persistent attribute: datestarted
	 */
	public abstract void setDatestarted(java.sql.Timestamp newDatestarted);
	/**
	 * This method was generated for supporting the relationship role named fk_itemid.
	 * It will be deleted/edited when the relationship is deleted/edited.
	 */
	public abstract sample.ItemLocal getFk_itemid();
	/**
	 * This method was generated for supporting the relationship role named fk_itemid.
	 * It will be deleted/edited when the relationship is deleted/edited.
	 */
	public abstract void setFk_itemid(sample.ItemLocal aFk_itemid);
	/**
	 * This method was generated for supporting the relationship role named fk_buyerid.
	 * It will be deleted/edited when the relationship is deleted/edited.
	 */
	public abstract sample.RegistrationLocal getFk_buyerid();
	/**
	 * This method was generated for supporting the relationship role named fk_buyerid.
	 * It will be deleted/edited when the relationship is deleted/edited.
	 */
	public abstract void setFk_buyerid(sample.RegistrationLocal aFk_buyerid);
}