package sample;
/**
 * @ws.sbf.session-facade
 * 	match="AuctionSystemFacade"
 * 	value-objects="StatusSDO"
 * @ws.sdo.value-object
 * 	name="StatusSDO"
 * 	read-only="false"
 * Bean implementation class for Enterprise Bean: Status
 */
public abstract class StatusBean implements javax.ejb.EntityBean {
	private javax.ejb.EntityContext myEntityCtx;
	/**
	 * setEntityContext
	 */
	public void setEntityContext(javax.ejb.EntityContext ctx) {
		myEntityCtx = ctx;
	}
	/**
	 * getEntityContext
	 */
	public javax.ejb.EntityContext getEntityContext() {
		return myEntityCtx;
	}
	/**
	 * unsetEntityContext
	 */
	public void unsetEntityContext() {
		myEntityCtx = null;
	}
	/**
	 * ejbCreate
	 */
	public sample.StatusKey ejbCreate(java.lang.Integer statusid)
		throws javax.ejb.CreateException {
		setStatusid(statusid);
		return null;
	}
	/**
	 * ejbPostCreate
	 */
	public void ejbPostCreate(java.lang.Integer statusid)
		throws javax.ejb.CreateException {
	}
	/**
	 * ejbActivate
	 */
	public void ejbActivate() {
	}
	/**
	 * ejbLoad
	 */
	public void ejbLoad() {
	}
	/**
	 * ejbPassivate
	 */
	public void ejbPassivate() {
	}
	/**
	 * ejbRemove
	 */
	public void ejbRemove() throws javax.ejb.RemoveException {
	}
	/**
	 * ejbStore
	 */
	public void ejbStore() {
	}
	/**
	 * ejbCreate method for a CMP entity bean.
	 */
	public sample.StatusKey ejbCreate(
		java.lang.Integer statusid,
		java.lang.String name,
		java.lang.String description) throws javax.ejb.CreateException {
		setStatusid(statusid);
		setName(name);
		setDescription(description);
		return null;
	}
	/**
	 * ejbPostCreate
	 */
	public void ejbPostCreate(
		java.lang.Integer statusid,
		java.lang.String name,
		java.lang.String description) throws javax.ejb.CreateException {
	}
	/**
	 * @ws.sdo.value-object
	 * 	match="StatusSDO"
	 * Get accessor for persistent attribute: statusid
	 */
	public abstract java.lang.Integer getStatusid();
	/**
	 * Set accessor for persistent attribute: statusid
	 */
	public abstract void setStatusid(java.lang.Integer newStatusid);
	/**
	 * @ws.sdo.value-object
	 * 	match="StatusSDO"
	 * Get accessor for persistent attribute: name
	 */
	public abstract java.lang.String getName();
	/**
	 * Set accessor for persistent attribute: name
	 */
	public abstract void setName(java.lang.String newName);
	/**
	 * @ws.sdo.value-object
	 * 	match="StatusSDO"
	 * Get accessor for persistent attribute: description
	 */
	public abstract java.lang.String getDescription();
	/**
	 * Set accessor for persistent attribute: description
	 */
	public abstract void setDescription(java.lang.String newDescription);
}