package sample;

public class AuctionSystemFacadeBeanUtil {

	private static Object lookupHome(java.util.Hashtable environment,
			String jndiName, Class narrowTo)
			throws javax.naming.NamingException {
		// Obtain initial context
		javax.naming.InitialContext initialContext = new javax.naming.InitialContext(
				environment);
		try {
			Object objRef = initialContext.lookup(jndiName);
			// only narrow if necessary
			if (java.rmi.Remote.class.isAssignableFrom(narrowTo))
				return javax.rmi.PortableRemoteObject.narrow(objRef, narrowTo);
			else
				return objRef;
		} finally {
			initialContext.close();
		}
	}

	public static sample.AuctionSystemFacadeHome getHome()
			throws javax.naming.NamingException {

		return (sample.AuctionSystemFacadeHome) lookupHome(null,
				sample.AuctionSystemFacadeHome.COMP_NAME,
				sample.AuctionSystemFacadeHome.class);

	}

	public static sample.AuctionSystemFacadeHome getHome(
			java.util.Hashtable environment)
			throws javax.naming.NamingException {

		return (sample.AuctionSystemFacadeHome) lookupHome(environment,
				sample.AuctionSystemFacadeHome.COMP_NAME,
				sample.AuctionSystemFacadeHome.class);

	}

	public static sample.AuctionSystemFacadeLocalHome getLocalHome()
			throws javax.naming.NamingException {

		return (sample.AuctionSystemFacadeLocalHome) lookupHome(null,
				sample.AuctionSystemFacadeLocalHome.COMP_NAME,
				sample.AuctionSystemFacadeLocalHome.class);

	}

}