

/**
 * <copyright>
 * </copyright>
 *
 * $Id: SellerItemSDOImpl.java,v 1.11 2004/10/11 03:05:44 nmakin Exp $
 */
package sample.sdo.impl;


import java.sql.Timestamp;
import java.util.Date;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EStructuralFeature;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.sdo.impl.EDataObjectImpl;

import sample.sdo.CategorySDO;
import sample.sdo.SdoPackage;
import sample.sdo.SellerItemSDO;
import sample.sdo.SellerItemSDORoot;
import sample.sdo.SellerSDO;
import sample.sdo.StatusSDO;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Seller Item SDO</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link sample.sdo.impl.SellerItemSDOImpl#getCatalognumber <em>Catalognumber</em>}</li>
 *   <li>{@link sample.sdo.impl.SellerItemSDOImpl#getTitle <em>Title</em>}</li>
 *   <li>{@link sample.sdo.impl.SellerItemSDOImpl#getDescription <em>Description</em>}</li>
 *   <li>{@link sample.sdo.impl.SellerItemSDOImpl#getValue <em>Value</em>}</li>
 *   <li>{@link sample.sdo.impl.SellerItemSDOImpl#getStartingbid <em>Startingbid</em>}</li>
 *   <li>{@link sample.sdo.impl.SellerItemSDOImpl#getImagepath <em>Imagepath</em>}</li>
 *   <li>{@link sample.sdo.impl.SellerItemSDOImpl#getImagesmallpath <em>Imagesmallpath</em>}</li>
 *   <li>{@link sample.sdo.impl.SellerItemSDOImpl#getStartbidding <em>Startbidding</em>}</li>
 *   <li>{@link sample.sdo.impl.SellerItemSDOImpl#getEndbidding <em>Endbidding</em>}</li>
 *   <li>{@link sample.sdo.impl.SellerItemSDOImpl#getFk_itemstatus <em>Fk itemstatus</em>}</li>
 *   <li>{@link sample.sdo.impl.SellerItemSDOImpl#getCategory <em>Category</em>}</li>
 *   <li>{@link sample.sdo.impl.SellerItemSDOImpl#getItemid <em>Itemid</em>}</li>
 *   <li>{@link sample.sdo.impl.SellerItemSDOImpl#getItemSeller <em>Item Seller</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class SellerItemSDOImpl extends EDataObjectImpl implements SellerItemSDO
{

  /**
   * The default value of the '{@link #getCatalognumber() <em>Catalognumber</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getCatalognumber()
   * @generated
   * @ordered
   */

  protected static final Integer CATALOGNUMBER_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getCatalognumber() <em>Catalognumber</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getCatalognumber()
   * @generated
   * @ordered
   */
  protected Integer catalognumber = CATALOGNUMBER_EDEFAULT;


  /**
   * The default value of the '{@link #getTitle() <em>Title</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getTitle()
   * @generated
   * @ordered
   */

  protected static final String TITLE_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getTitle() <em>Title</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getTitle()
   * @generated
   * @ordered
   */
  protected String title = TITLE_EDEFAULT;


  /**
   * The default value of the '{@link #getDescription() <em>Description</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getDescription()
   * @generated
   * @ordered
   */

  protected static final String DESCRIPTION_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getDescription() <em>Description</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getDescription()
   * @generated
   * @ordered
   */
  protected String description = DESCRIPTION_EDEFAULT;


  /**
   * The default value of the '{@link #getValue() <em>Value</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getValue()
   * @generated
   * @ordered
   */

  protected static final Integer VALUE_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getValue() <em>Value</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getValue()
   * @generated
   * @ordered
   */
  protected Integer value = VALUE_EDEFAULT;


  /**
   * The default value of the '{@link #getStartingbid() <em>Startingbid</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getStartingbid()
   * @generated
   * @ordered
   */

  protected static final Integer STARTINGBID_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getStartingbid() <em>Startingbid</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getStartingbid()
   * @generated
   * @ordered
   */
  protected Integer startingbid = STARTINGBID_EDEFAULT;


  /**
   * The default value of the '{@link #getImagepath() <em>Imagepath</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getImagepath()
   * @generated
   * @ordered
   */

  protected static final String IMAGEPATH_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getImagepath() <em>Imagepath</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getImagepath()
   * @generated
   * @ordered
   */
  protected String imagepath = IMAGEPATH_EDEFAULT;


  /**
   * The default value of the '{@link #getImagesmallpath() <em>Imagesmallpath</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getImagesmallpath()
   * @generated
   * @ordered
   */

  protected static final String IMAGESMALLPATH_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getImagesmallpath() <em>Imagesmallpath</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getImagesmallpath()
   * @generated
   * @ordered
   */
  protected String imagesmallpath = IMAGESMALLPATH_EDEFAULT;


  /**
   * The default value of the '{@link #getStartbidding() <em>Startbidding</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getStartbidding()
   * @generated
   * @ordered
   */

  protected static final Timestamp STARTBIDDING_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getStartbidding() <em>Startbidding</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getStartbidding()
   * @generated
   * @ordered
   */
  protected Timestamp startbidding = STARTBIDDING_EDEFAULT;


  /**
   * The default value of the '{@link #getEndbidding() <em>Endbidding</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getEndbidding()
   * @generated
   * @ordered
   */

  protected static final Timestamp ENDBIDDING_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getEndbidding() <em>Endbidding</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getEndbidding()
   * @generated
   * @ordered
   */
  protected Timestamp endbidding = ENDBIDDING_EDEFAULT;


  /**
   * The cached value of the '{@link #getFk_itemstatus() <em>Fk itemstatus</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getFk_itemstatus()
   * @generated
   * @ordered
   */
  protected StatusSDO fk_itemstatus = null;


  /**
   * The cached value of the '{@link #getCategory() <em>Category</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getCategory()
   * @generated
   * @ordered
   */
  protected CategorySDO category = null;


  /**
   * The default value of the '{@link #getItemid() <em>Itemid</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getItemid()
   * @generated
   * @ordered
   */

  protected static final Integer ITEMID_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getItemid() <em>Itemid</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getItemid()
   * @generated
   * @ordered
   */
  protected Integer itemid = ITEMID_EDEFAULT;


  /**
   * The cached value of the '{@link #getItemSeller() <em>Item Seller</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getItemSeller()
   * @generated
   * @ordered
   */
  protected SellerSDO itemSeller = null;

  protected String smallImageType;
  protected Byte[] smallImageBytes;
  protected String imageType;
  protected Byte[] imageBytes;  
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected SellerItemSDOImpl()
  {
    super();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected EClass eStaticClass()
  {
    return SdoPackage.eINSTANCE.getSellerItemSDO();
  }

  	
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Integer getCatalognumber()
  {
    return catalognumber;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setCatalognumber(Integer newCatalognumber)
  {
    Integer oldCatalognumber = catalognumber;
    catalognumber = newCatalognumber;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, SdoPackage.SELLER_ITEM_SDO__CATALOGNUMBER, oldCatalognumber, catalognumber));
  }

  	
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getTitle()
  {
    return title;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setTitle(String newTitle)
  {
    String oldTitle = title;
    title = newTitle;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, SdoPackage.SELLER_ITEM_SDO__TITLE, oldTitle, title));
  }

  	
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getDescription()
  {
    return description;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setDescription(String newDescription)
  {
    String oldDescription = description;
    description = newDescription;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, SdoPackage.SELLER_ITEM_SDO__DESCRIPTION, oldDescription, description));
  }

  	
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Integer getValue()
  {
    return value;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setValue(Integer newValue)
  {
    Integer oldValue = value;
    value = newValue;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, SdoPackage.SELLER_ITEM_SDO__VALUE, oldValue, value));
  }

  	
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Integer getStartingbid()
  {
    return startingbid;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setStartingbid(Integer newStartingbid)
  {
    Integer oldStartingbid = startingbid;
    startingbid = newStartingbid;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, SdoPackage.SELLER_ITEM_SDO__STARTINGBID, oldStartingbid, startingbid));
  }

  	
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getImagepath()
  {
    return imagepath;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setImagepath(String newImagepath)
  {
    String oldImagepath = imagepath;
    imagepath = newImagepath;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, SdoPackage.SELLER_ITEM_SDO__IMAGEPATH, oldImagepath, imagepath));
  }

  	
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getImagesmallpath()
  {
    return imagesmallpath;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setImagesmallpath(String newImagesmallpath)
  {
    String oldImagesmallpath = imagesmallpath;
    imagesmallpath = newImagesmallpath;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, SdoPackage.SELLER_ITEM_SDO__IMAGESMALLPATH, oldImagesmallpath, imagesmallpath));
  }

  	
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Timestamp getStartbidding()
  {
    return startbidding;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setStartbidding(Timestamp newStartbidding)
  {
    Timestamp oldStartbidding = startbidding;
    startbidding = newStartbidding;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, SdoPackage.SELLER_ITEM_SDO__STARTBIDDING, oldStartbidding, startbidding));
  }

  	
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Timestamp getEndbidding()
  {
    return endbidding;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setEndbidding(Timestamp newEndbidding)
  {
    Timestamp oldEndbidding = endbidding;
    endbidding = newEndbidding;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, SdoPackage.SELLER_ITEM_SDO__ENDBIDDING, oldEndbidding, endbidding));
  }

  	
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public StatusSDO getFk_itemstatus()
  {
    if (fk_itemstatus != null && ((EObject)fk_itemstatus).eIsProxy())
    {
      StatusSDO oldFk_itemstatus = fk_itemstatus;
      fk_itemstatus = (StatusSDO)eResolveProxy((InternalEObject)fk_itemstatus);
      if (fk_itemstatus != oldFk_itemstatus)
      {
        if (eNotificationRequired())
          eNotify(new ENotificationImpl(this, Notification.RESOLVE, SdoPackage.SELLER_ITEM_SDO__FK_ITEMSTATUS, oldFk_itemstatus, fk_itemstatus));
      }
    }
    return fk_itemstatus;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public StatusSDO basicGetFk_itemstatus()
  {
    return fk_itemstatus;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setFk_itemstatus(StatusSDO newFk_itemstatus)
  {
    StatusSDO oldFk_itemstatus = fk_itemstatus;
    fk_itemstatus = newFk_itemstatus;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, SdoPackage.SELLER_ITEM_SDO__FK_ITEMSTATUS, oldFk_itemstatus, fk_itemstatus));
  }

  	
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public CategorySDO getCategory()
  {
    if (category != null && ((EObject)category).eIsProxy())
    {
      CategorySDO oldCategory = category;
      category = (CategorySDO)eResolveProxy((InternalEObject)category);
      if (category != oldCategory)
      {
        if (eNotificationRequired())
          eNotify(new ENotificationImpl(this, Notification.RESOLVE, SdoPackage.SELLER_ITEM_SDO__CATEGORY, oldCategory, category));
      }
    }
    return category;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public CategorySDO basicGetCategory()
  {
    return category;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public NotificationChain basicSetCategory(CategorySDO newCategory, NotificationChain msgs)
  {
    CategorySDO oldCategory = category;
    category = newCategory;
    if (eNotificationRequired())
    {
      ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, SdoPackage.SELLER_ITEM_SDO__CATEGORY, oldCategory, newCategory);
      if (msgs == null) msgs = notification; else msgs.add(notification);
    }
    return msgs;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setCategory(CategorySDO newCategory)
  {
    if (newCategory != category)
    {
      NotificationChain msgs = null;
      if (category != null)
        msgs = ((InternalEObject)category).eInverseRemove(this, SdoPackage.CATEGORY_SDO__ITEM, CategorySDO.class, msgs);
      if (newCategory != null)
        msgs = ((InternalEObject)newCategory).eInverseAdd(this, SdoPackage.CATEGORY_SDO__ITEM, CategorySDO.class, msgs);
      msgs = basicSetCategory(newCategory, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, SdoPackage.SELLER_ITEM_SDO__CATEGORY, newCategory, newCategory));
  }

  	
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Integer getItemid()
  {
    return itemid;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setItemid(Integer newItemid)
  {
    Integer oldItemid = itemid;
    itemid = newItemid;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, SdoPackage.SELLER_ITEM_SDO__ITEMID, oldItemid, itemid));
  }

  	
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public SellerSDO getItemSeller()
  {
    if (itemSeller != null && ((EObject)itemSeller).eIsProxy())
    {
      SellerSDO oldItemSeller = itemSeller;
      itemSeller = (SellerSDO)eResolveProxy((InternalEObject)itemSeller);
      if (itemSeller != oldItemSeller)
      {
        if (eNotificationRequired())
          eNotify(new ENotificationImpl(this, Notification.RESOLVE, SdoPackage.SELLER_ITEM_SDO__ITEM_SELLER, oldItemSeller, itemSeller));
      }
    }
    return itemSeller;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public SellerSDO basicGetItemSeller()
  {
    return itemSeller;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setItemSeller(SellerSDO newItemSeller)
  {
    SellerSDO oldItemSeller = itemSeller;
    itemSeller = newItemSeller;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, SdoPackage.SELLER_ITEM_SDO__ITEM_SELLER, oldItemSeller, itemSeller));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public NotificationChain eInverseAdd(InternalEObject otherEnd, int featureID, Class baseClass, NotificationChain msgs)
  {
    if (featureID >= 0)
    {
      switch (eDerivedStructuralFeatureID(featureID, baseClass))
      {
        case SdoPackage.SELLER_ITEM_SDO__CATEGORY:
          if (category != null)
            msgs = ((InternalEObject)category).eInverseRemove(this, SdoPackage.CATEGORY_SDO__ITEM, CategorySDO.class, msgs);
          return basicSetCategory((CategorySDO)otherEnd, msgs);
        default:
          return eDynamicInverseAdd(otherEnd, featureID, baseClass, msgs);
      }
    }
    if (eContainer != null)
      msgs = eBasicRemoveFromContainer(msgs);
    return eBasicSetContainer(otherEnd, featureID, msgs);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, Class baseClass, NotificationChain msgs)
  {
    if (featureID >= 0)
    {
      switch (eDerivedStructuralFeatureID(featureID, baseClass))
      {
        case SdoPackage.SELLER_ITEM_SDO__CATEGORY:
          return basicSetCategory(null, msgs);
        default:
          return eDynamicInverseRemove(otherEnd, featureID, baseClass, msgs);
      }
    }
    return eBasicSetContainer(null, featureID, msgs);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Object eGet(EStructuralFeature eFeature, boolean resolve)
  {
    switch (eDerivedStructuralFeatureID(eFeature))
    {
      case SdoPackage.SELLER_ITEM_SDO__CATALOGNUMBER:
        return getCatalognumber();
      case SdoPackage.SELLER_ITEM_SDO__TITLE:
        return getTitle();
      case SdoPackage.SELLER_ITEM_SDO__DESCRIPTION:
        return getDescription();
      case SdoPackage.SELLER_ITEM_SDO__VALUE:
        return getValue();
      case SdoPackage.SELLER_ITEM_SDO__STARTINGBID:
        return getStartingbid();
      case SdoPackage.SELLER_ITEM_SDO__IMAGEPATH:
        return getImagepath();
      case SdoPackage.SELLER_ITEM_SDO__IMAGESMALLPATH:
        return getImagesmallpath();
      case SdoPackage.SELLER_ITEM_SDO__STARTBIDDING:
        return getStartbidding();
      case SdoPackage.SELLER_ITEM_SDO__ENDBIDDING:
        return getEndbidding();
      case SdoPackage.SELLER_ITEM_SDO__FK_ITEMSTATUS:
        if (resolve) return getFk_itemstatus();
        return basicGetFk_itemstatus();
      case SdoPackage.SELLER_ITEM_SDO__CATEGORY:
        if (resolve) return getCategory();
        return basicGetCategory();
      case SdoPackage.SELLER_ITEM_SDO__ITEMID:
        return getItemid();
      case SdoPackage.SELLER_ITEM_SDO__ITEM_SELLER:
        if (resolve) return getItemSeller();
        return basicGetItemSeller();
    }
    return eDynamicGet(eFeature, resolve);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void eSet(EStructuralFeature eFeature, Object newValue)
  {
    switch (eDerivedStructuralFeatureID(eFeature))
    {
      case SdoPackage.SELLER_ITEM_SDO__CATALOGNUMBER:
        setCatalognumber((Integer)newValue);
        return;
      case SdoPackage.SELLER_ITEM_SDO__TITLE:
        setTitle((String)newValue);
        return;
      case SdoPackage.SELLER_ITEM_SDO__DESCRIPTION:
        setDescription((String)newValue);
        return;
      case SdoPackage.SELLER_ITEM_SDO__VALUE:
        setValue((Integer)newValue);
        return;
      case SdoPackage.SELLER_ITEM_SDO__STARTINGBID:
        setStartingbid((Integer)newValue);
        return;
      case SdoPackage.SELLER_ITEM_SDO__IMAGEPATH:
        setImagepath((String)newValue);
        return;
      case SdoPackage.SELLER_ITEM_SDO__IMAGESMALLPATH:
        setImagesmallpath((String)newValue);
        return;
      case SdoPackage.SELLER_ITEM_SDO__STARTBIDDING:
        setStartbidding((Timestamp)newValue);
        return;
      case SdoPackage.SELLER_ITEM_SDO__ENDBIDDING:
        setEndbidding((Timestamp)newValue);
        return;
      case SdoPackage.SELLER_ITEM_SDO__FK_ITEMSTATUS:
        setFk_itemstatus((StatusSDO)newValue);
        return;
      case SdoPackage.SELLER_ITEM_SDO__CATEGORY:
        setCategory((CategorySDO)newValue);
        return;
      case SdoPackage.SELLER_ITEM_SDO__ITEMID:
        setItemid((Integer)newValue);
        return;
      case SdoPackage.SELLER_ITEM_SDO__ITEM_SELLER:
        setItemSeller((SellerSDO)newValue);
        return;
    }
    eDynamicSet(eFeature, newValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void eUnset(EStructuralFeature eFeature)
  {
    switch (eDerivedStructuralFeatureID(eFeature))
    {
      case SdoPackage.SELLER_ITEM_SDO__CATALOGNUMBER:
        setCatalognumber(CATALOGNUMBER_EDEFAULT);
        return;
      case SdoPackage.SELLER_ITEM_SDO__TITLE:
        setTitle(TITLE_EDEFAULT);
        return;
      case SdoPackage.SELLER_ITEM_SDO__DESCRIPTION:
        setDescription(DESCRIPTION_EDEFAULT);
        return;
      case SdoPackage.SELLER_ITEM_SDO__VALUE:
        setValue(VALUE_EDEFAULT);
        return;
      case SdoPackage.SELLER_ITEM_SDO__STARTINGBID:
        setStartingbid(STARTINGBID_EDEFAULT);
        return;
      case SdoPackage.SELLER_ITEM_SDO__IMAGEPATH:
        setImagepath(IMAGEPATH_EDEFAULT);
        return;
      case SdoPackage.SELLER_ITEM_SDO__IMAGESMALLPATH:
        setImagesmallpath(IMAGESMALLPATH_EDEFAULT);
        return;
      case SdoPackage.SELLER_ITEM_SDO__STARTBIDDING:
        setStartbidding(STARTBIDDING_EDEFAULT);
        return;
      case SdoPackage.SELLER_ITEM_SDO__ENDBIDDING:
        setEndbidding(ENDBIDDING_EDEFAULT);
        return;
      case SdoPackage.SELLER_ITEM_SDO__FK_ITEMSTATUS:
        setFk_itemstatus((StatusSDO)null);
        return;
      case SdoPackage.SELLER_ITEM_SDO__CATEGORY:
        setCategory((CategorySDO)null);
        return;
      case SdoPackage.SELLER_ITEM_SDO__ITEMID:
        setItemid(ITEMID_EDEFAULT);
        return;
      case SdoPackage.SELLER_ITEM_SDO__ITEM_SELLER:
        setItemSeller((SellerSDO)null);
        return;
    }
    eDynamicUnset(eFeature);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean eIsSet(EStructuralFeature eFeature)
  {
    switch (eDerivedStructuralFeatureID(eFeature))
    {
      case SdoPackage.SELLER_ITEM_SDO__CATALOGNUMBER:
        return CATALOGNUMBER_EDEFAULT == null ? catalognumber != null : !CATALOGNUMBER_EDEFAULT.equals(catalognumber);
      case SdoPackage.SELLER_ITEM_SDO__TITLE:
        return TITLE_EDEFAULT == null ? title != null : !TITLE_EDEFAULT.equals(title);
      case SdoPackage.SELLER_ITEM_SDO__DESCRIPTION:
        return DESCRIPTION_EDEFAULT == null ? description != null : !DESCRIPTION_EDEFAULT.equals(description);
      case SdoPackage.SELLER_ITEM_SDO__VALUE:
        return VALUE_EDEFAULT == null ? value != null : !VALUE_EDEFAULT.equals(value);
      case SdoPackage.SELLER_ITEM_SDO__STARTINGBID:
        return STARTINGBID_EDEFAULT == null ? startingbid != null : !STARTINGBID_EDEFAULT.equals(startingbid);
      case SdoPackage.SELLER_ITEM_SDO__IMAGEPATH:
        return IMAGEPATH_EDEFAULT == null ? imagepath != null : !IMAGEPATH_EDEFAULT.equals(imagepath);
      case SdoPackage.SELLER_ITEM_SDO__IMAGESMALLPATH:
        return IMAGESMALLPATH_EDEFAULT == null ? imagesmallpath != null : !IMAGESMALLPATH_EDEFAULT.equals(imagesmallpath);
      case SdoPackage.SELLER_ITEM_SDO__STARTBIDDING:
        return STARTBIDDING_EDEFAULT == null ? startbidding != null : !STARTBIDDING_EDEFAULT.equals(startbidding);
      case SdoPackage.SELLER_ITEM_SDO__ENDBIDDING:
        return ENDBIDDING_EDEFAULT == null ? endbidding != null : !ENDBIDDING_EDEFAULT.equals(endbidding);
      case SdoPackage.SELLER_ITEM_SDO__FK_ITEMSTATUS:
        return fk_itemstatus != null;
      case SdoPackage.SELLER_ITEM_SDO__CATEGORY:
        return category != null;
      case SdoPackage.SELLER_ITEM_SDO__ITEMID:
        return ITEMID_EDEFAULT == null ? itemid != null : !ITEMID_EDEFAULT.equals(itemid);
      case SdoPackage.SELLER_ITEM_SDO__ITEM_SELLER:
        return itemSeller != null;
    }
    return eDynamicIsSet(eFeature);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String toString()
  {
    if (eIsProxy()) return super.toString();

    StringBuffer result = new StringBuffer(super.toString());
    result.append(" (catalognumber: ");
    result.append(catalognumber);
    result.append(", title: ");
    result.append(title);
    result.append(", description: ");
    result.append(description);
    result.append(", value: ");
    result.append(value);
    result.append(", startingbid: ");
    result.append(startingbid);
    result.append(", imagepath: ");
    result.append(imagepath);
    result.append(", imagesmallpath: ");
    result.append(imagesmallpath);
    result.append(", startbidding: ");
    result.append(startbidding);
    result.append(", endbidding: ");
    result.append(endbidding);
    result.append(", itemid: ");
    result.append(itemid);
    result.append(')');
    return result.toString();
  }

  /**
   * Get the Full Image Type
   * @return String Full Image Type
   */
  public String getImageType(){
  	return imageType;
  }
  
  /**
   * Set the Full Image Type
   * @param type a String of image type as gif, jpeg etc
   */
  public void setImageType(String type){
  	imageType = type;
  }
  /**
   * Get the Full Image Bytes
   * @return Byte[] array of image bytes
   */
  public Byte[] getImageBytes(){
  	return imageBytes;
  }
  
  /**
   * Set the Full Image Bytes
   * @param Byte[] array of image bytes
   */
  public void setImageBytes(Byte[] bytes){
  	imageBytes = bytes;
  }
  /**
   * Get the Small Image Bytes
   * @return Byte[] array of image bytes
   */
  public Byte[] getSmallImageBytes(){
  	return smallImageBytes;
  }
  /**
   * Set the Small Image Bytes
   * @param Byte[] array of image bytes
   */
  public void setSmallImageBytes(Byte[] bytes){
	smallImageBytes = bytes;
  }
  /**
   * Get the Small Image Type
   * @return String Small Image Type
   */
  public String getSmallImageType(){
  	return smallImageType;
  }
  
  /**
   * Set the Small Image Type
   * @param type a String of image type as gif, jpeg etc
   */
  public void setSmallImageType(String type){
  	smallImageType = type;
  }
  /**
   * @return Returns the endBiddingDate.
   */
  public java.util.Date getEndBiddingDate() {
  	if(this.getEndbidding() != null)
  	{
  		return new Date(this.getEndbidding().getTime());
  	}
  	return null;
  }
  /**
   * @param endBiddingDate The endBiddingDate to set.
   */
  public void setEndBiddingDate(java.util.Date endBiddingDate) {
  	if(endBiddingDate != null){
  		setEndbidding(new Timestamp(endBiddingDate.getTime()));
  	}
  	else{
  		setEndbidding(null);
  	}		
  }
  /**
   * @return Returns the startBiddingDate.
   */
  public java.util.Date getStartBiddingDate() {
  	if(this.getStartbidding() != null)
  	{
  		return new Date(this.getStartbidding().getTime());
  	}
  	return null;
  }
  /**
   * @param startBiddingDate The startBiddingDate to set.
   */
  public void setStartBiddingDate(java.util.Date startBiddingDate) {
  	if(startBiddingDate != null){
  		setStartbidding(new Timestamp(startBiddingDate.getTime()));
  	}
  	else{
  		setStartbidding(null);
  	}

  }  
  public void setSellerFromDiffRoot(SellerSDO sellerSDO){
  	SellerItemSDORoot root = (SellerItemSDORoot)getDataGraph().getRootObject();
  	try{  	
  		((EObject)root).eSetDeliver(false);
  	  	root.getSellerSDO().add(sellerSDO);
  	   }finally{
  	  ((EObject)root).eSetDeliver(true);
  	   }  	
    setItemSeller(sellerSDO);  	
  }
  public SellerSDO getSellerFromDiffRoot(){
  	return getItemSeller();
  }
  public void setCategoryFromDiffRoot(CategorySDO categorySDO){
  	SellerItemSDORoot root = (SellerItemSDORoot)getDataGraph().getRootObject();
  	try{  	
  		((EObject)root).eSetDeliver(false);
  	  	root.getCategorySDO().add(categorySDO);
  	   }finally{
  	  ((EObject)root).eSetDeliver(true);
  	   }   	
    setCategory(categorySDO);   	
  }
  public CategorySDO getCategoryFromDiffRoot(){
  	return getCategory();
  }
} //SellerItemSDOImpl
