

/**
 * <copyright>
 * </copyright>
 *
 * $Id: UserSDOImpl.java,v 1.3 2004/10/16 05:30:57 danberg Exp $
 */
package sample.sdo.impl;


import java.sql.Timestamp;

import java.util.Collection;
import java.util.List;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EStructuralFeature;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;

import org.eclipse.emf.ecore.sdo.impl.EDataObjectImpl;

import org.eclipse.emf.ecore.util.EObjectWithInverseResolvingEList;
import org.eclipse.emf.ecore.util.InternalEList;

import sample.sdo.AccountsPayableSDO;
import sample.sdo.AddressSDO;
import sample.sdo.SdoPackage;
import sample.sdo.UserSDO;


/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>User SDO</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link sample.sdo.impl.UserSDOImpl#getUserid <em>Userid</em>}</li>
 *   <li>{@link sample.sdo.impl.UserSDOImpl#getEmail <em>Email</em>}</li>
 *   <li>{@link sample.sdo.impl.UserSDOImpl#getPasswd <em>Passwd</em>}</li>
 *   <li>{@link sample.sdo.impl.UserSDOImpl#getName <em>Name</em>}</li>
 *   <li>{@link sample.sdo.impl.UserSDOImpl#getCardtype <em>Cardtype</em>}</li>
 *   <li>{@link sample.sdo.impl.UserSDOImpl#getAcctnum <em>Acctnum</em>}</li>
 *   <li>{@link sample.sdo.impl.UserSDOImpl#getExpiry <em>Expiry</em>}</li>
 *   <li>{@link sample.sdo.impl.UserSDOImpl#getShippingsame <em>Shippingsame</em>}</li>
 *   <li>{@link sample.sdo.impl.UserSDOImpl#getActive <em>Active</em>}</li>
 *   <li>{@link sample.sdo.impl.UserSDOImpl#getRank <em>Rank</em>}</li>
 *   <li>{@link sample.sdo.impl.UserSDOImpl#getFk_shipaddress <em>Fk shipaddress</em>}</li>
 *   <li>{@link sample.sdo.impl.UserSDOImpl#getAccountspayable <em>Accountspayable</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class UserSDOImpl extends EDataObjectImpl implements UserSDO
{

  /**
   * The default value of the '{@link #getUserid() <em>Userid</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getUserid()
   * @generated
   * @ordered
   */
  protected static final Integer USERID_EDEFAULT = null;


  /**
   * The cached value of the '{@link #getUserid() <em>Userid</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getUserid()
   * @generated
   * @ordered
   */
  protected Integer userid = USERID_EDEFAULT;


  /**
   * The default value of the '{@link #getEmail() <em>Email</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getEmail()
   * @generated
   * @ordered
   */
  protected static final String EMAIL_EDEFAULT = null;


  /**
   * The cached value of the '{@link #getEmail() <em>Email</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getEmail()
   * @generated
   * @ordered
   */
  protected String email = EMAIL_EDEFAULT;


  /**
   * The default value of the '{@link #getPasswd() <em>Passwd</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getPasswd()
   * @generated
   * @ordered
   */
  protected static final String PASSWD_EDEFAULT = null;


  /**
   * The cached value of the '{@link #getPasswd() <em>Passwd</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getPasswd()
   * @generated
   * @ordered
   */
  protected String passwd = PASSWD_EDEFAULT;


  /**
   * The default value of the '{@link #getName() <em>Name</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getName()
   * @generated
   * @ordered
   */
  protected static final String NAME_EDEFAULT = null;


  /**
   * The cached value of the '{@link #getName() <em>Name</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getName()
   * @generated
   * @ordered
   */
  protected String name = NAME_EDEFAULT;


  /**
   * The default value of the '{@link #getCardtype() <em>Cardtype</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getCardtype()
   * @generated
   * @ordered
   */
  protected static final String CARDTYPE_EDEFAULT = null;


  /**
   * The cached value of the '{@link #getCardtype() <em>Cardtype</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getCardtype()
   * @generated
   * @ordered
   */
  protected String cardtype = CARDTYPE_EDEFAULT;


  /**
   * The default value of the '{@link #getAcctnum() <em>Acctnum</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getAcctnum()
   * @generated
   * @ordered
   */
  protected static final String ACCTNUM_EDEFAULT = null;


  /**
   * The cached value of the '{@link #getAcctnum() <em>Acctnum</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getAcctnum()
   * @generated
   * @ordered
   */
  protected String acctnum = ACCTNUM_EDEFAULT;


  /**
   * The default value of the '{@link #getExpiry() <em>Expiry</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getExpiry()
   * @generated
   * @ordered
   */
  protected static final Timestamp EXPIRY_EDEFAULT = null;


  /**
   * The cached value of the '{@link #getExpiry() <em>Expiry</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getExpiry()
   * @generated
   * @ordered
   */
  protected Timestamp expiry = EXPIRY_EDEFAULT;


  /**
   * The default value of the '{@link #getShippingsame() <em>Shippingsame</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getShippingsame()
   * @generated
   * @ordered
   */
  protected static final Integer SHIPPINGSAME_EDEFAULT = null;


  /**
   * The cached value of the '{@link #getShippingsame() <em>Shippingsame</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getShippingsame()
   * @generated
   * @ordered
   */
  protected Integer shippingsame = SHIPPINGSAME_EDEFAULT;


  /**
   * The default value of the '{@link #getActive() <em>Active</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getActive()
   * @generated
   * @ordered
   */
  protected static final Integer ACTIVE_EDEFAULT = null;


  /**
   * The cached value of the '{@link #getActive() <em>Active</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getActive()
   * @generated
   * @ordered
   */
  protected Integer active = ACTIVE_EDEFAULT;


  /**
   * The default value of the '{@link #getRank() <em>Rank</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getRank()
   * @generated
   * @ordered
   */
  protected static final Integer RANK_EDEFAULT = null;


  /**
   * The cached value of the '{@link #getRank() <em>Rank</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getRank()
   * @generated
   * @ordered
   */
  protected Integer rank = RANK_EDEFAULT;


  /**
   * The cached value of the '{@link #getFk_shipaddress() <em>Fk shipaddress</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getFk_shipaddress()
   * @generated
   * @ordered
   */
  protected AddressSDO fk_shipaddress = null;


  /**
   * The cached value of the '{@link #getAccountspayable() <em>Accountspayable</em>}' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getAccountspayable()
   * @generated
   * @ordered
   */
  protected EList accountspayable = null;


  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected UserSDOImpl()
  {
    super();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected EClass eStaticClass()
  {
    return SdoPackage.eINSTANCE.getUserSDO();
  }

  	
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Integer getUserid()
  {
    return userid;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setUserid(Integer newUserid)
  {
    Integer oldUserid = userid;
    userid = newUserid;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, SdoPackage.USER_SDO__USERID, oldUserid, userid));
  }

  	
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getEmail()
  {
    return email;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setEmail(String newEmail)
  {
    String oldEmail = email;
    email = newEmail;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, SdoPackage.USER_SDO__EMAIL, oldEmail, email));
  }

  	
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getPasswd()
  {
    return passwd;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setPasswd(String newPasswd)
  {
    String oldPasswd = passwd;
    passwd = newPasswd;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, SdoPackage.USER_SDO__PASSWD, oldPasswd, passwd));
  }

  	
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getName()
  {
    return name;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setName(String newName)
  {
    String oldName = name;
    name = newName;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, SdoPackage.USER_SDO__NAME, oldName, name));
  }

  	
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getCardtype()
  {
    return cardtype;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setCardtype(String newCardtype)
  {
    String oldCardtype = cardtype;
    cardtype = newCardtype;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, SdoPackage.USER_SDO__CARDTYPE, oldCardtype, cardtype));
  }

  	
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getAcctnum()
  {
    return acctnum;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setAcctnum(String newAcctnum)
  {
    String oldAcctnum = acctnum;
    acctnum = newAcctnum;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, SdoPackage.USER_SDO__ACCTNUM, oldAcctnum, acctnum));
  }

  	
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Timestamp getExpiry()
  {
    return expiry;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setExpiry(Timestamp newExpiry)
  {
    Timestamp oldExpiry = expiry;
    expiry = newExpiry;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, SdoPackage.USER_SDO__EXPIRY, oldExpiry, expiry));
  }

  	
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Integer getShippingsame()
  {
    return shippingsame;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setShippingsame(Integer newShippingsame)
  {
    Integer oldShippingsame = shippingsame;
    shippingsame = newShippingsame;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, SdoPackage.USER_SDO__SHIPPINGSAME, oldShippingsame, shippingsame));
  }

  	
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Integer getActive()
  {
    return active;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setActive(Integer newActive)
  {
    Integer oldActive = active;
    active = newActive;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, SdoPackage.USER_SDO__ACTIVE, oldActive, active));
  }

  	
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Integer getRank()
  {
    return rank;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setRank(Integer newRank)
  {
    Integer oldRank = rank;
    rank = newRank;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, SdoPackage.USER_SDO__RANK, oldRank, rank));
  }

  	
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public AddressSDO getFk_shipaddress()
  {
    if (fk_shipaddress != null && ((EObject)fk_shipaddress).eIsProxy())
    {
      AddressSDO oldFk_shipaddress = fk_shipaddress;
      fk_shipaddress = (AddressSDO)eResolveProxy((InternalEObject)fk_shipaddress);
      if (fk_shipaddress != oldFk_shipaddress)
      {
        if (eNotificationRequired())
          eNotify(new ENotificationImpl(this, Notification.RESOLVE, SdoPackage.USER_SDO__FK_SHIPADDRESS, oldFk_shipaddress, fk_shipaddress));
      }
    }
    return fk_shipaddress;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public AddressSDO basicGetFk_shipaddress()
  {
    return fk_shipaddress;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public NotificationChain basicSetFk_shipaddress(AddressSDO newFk_shipaddress, NotificationChain msgs)
  {
    AddressSDO oldFk_shipaddress = fk_shipaddress;
    fk_shipaddress = newFk_shipaddress;
    if (eNotificationRequired())
    {
      ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, SdoPackage.USER_SDO__FK_SHIPADDRESS, oldFk_shipaddress, newFk_shipaddress);
      if (msgs == null) msgs = notification; else msgs.add(notification);
    }
    return msgs;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setFk_shipaddress(AddressSDO newFk_shipaddress)
  {
    if (newFk_shipaddress != fk_shipaddress)
    {
      NotificationChain msgs = null;
      if (fk_shipaddress != null)
        msgs = ((InternalEObject)fk_shipaddress).eInverseRemove(this, SdoPackage.ADDRESS_SDO__REGISTRATION, AddressSDO.class, msgs);
      if (newFk_shipaddress != null)
        msgs = ((InternalEObject)newFk_shipaddress).eInverseAdd(this, SdoPackage.ADDRESS_SDO__REGISTRATION, AddressSDO.class, msgs);
      msgs = basicSetFk_shipaddress(newFk_shipaddress, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, SdoPackage.USER_SDO__FK_SHIPADDRESS, newFk_shipaddress, newFk_shipaddress));
  }


  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public AccountsPayableSDO[] getAccountspayableAsArray()
  {
    List list = getAccountspayable();
    return (AccountsPayableSDO[])list.toArray(new AccountsPayableSDO[list.size()]);
  }  	
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public List getAccountspayable()
  {
    if (accountspayable == null)
    {
      accountspayable = new EObjectWithInverseResolvingEList(AccountsPayableSDO.class, this, SdoPackage.USER_SDO__ACCOUNTSPAYABLE, SdoPackage.ACCOUNTS_PAYABLE_SDO__FK_USERID);
    }
    return accountspayable;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public NotificationChain eInverseAdd(InternalEObject otherEnd, int featureID, Class baseClass, NotificationChain msgs)
  {
    if (featureID >= 0)
    {
      switch (eDerivedStructuralFeatureID(featureID, baseClass))
      {
        case SdoPackage.USER_SDO__FK_SHIPADDRESS:
          if (fk_shipaddress != null)
            msgs = ((InternalEObject)fk_shipaddress).eInverseRemove(this, SdoPackage.ADDRESS_SDO__REGISTRATION, AddressSDO.class, msgs);
          return basicSetFk_shipaddress((AddressSDO)otherEnd, msgs);
        case SdoPackage.USER_SDO__ACCOUNTSPAYABLE:
          return ((InternalEList)getAccountspayable()).basicAdd(otherEnd, msgs);
        default:
          return eDynamicInverseAdd(otherEnd, featureID, baseClass, msgs);
      }
    }
    if (eContainer != null)
      msgs = eBasicRemoveFromContainer(msgs);
    return eBasicSetContainer(otherEnd, featureID, msgs);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, Class baseClass, NotificationChain msgs)
  {
    if (featureID >= 0)
    {
      switch (eDerivedStructuralFeatureID(featureID, baseClass))
      {
        case SdoPackage.USER_SDO__FK_SHIPADDRESS:
          return basicSetFk_shipaddress(null, msgs);
        case SdoPackage.USER_SDO__ACCOUNTSPAYABLE:
          return ((InternalEList)getAccountspayable()).basicRemove(otherEnd, msgs);
        default:
          return eDynamicInverseRemove(otherEnd, featureID, baseClass, msgs);
      }
    }
    return eBasicSetContainer(null, featureID, msgs);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Object eGet(EStructuralFeature eFeature, boolean resolve)
  {
    switch (eDerivedStructuralFeatureID(eFeature))
    {
      case SdoPackage.USER_SDO__USERID:
        return getUserid();
      case SdoPackage.USER_SDO__EMAIL:
        return getEmail();
      case SdoPackage.USER_SDO__PASSWD:
        return getPasswd();
      case SdoPackage.USER_SDO__NAME:
        return getName();
      case SdoPackage.USER_SDO__CARDTYPE:
        return getCardtype();
      case SdoPackage.USER_SDO__ACCTNUM:
        return getAcctnum();
      case SdoPackage.USER_SDO__EXPIRY:
        return getExpiry();
      case SdoPackage.USER_SDO__SHIPPINGSAME:
        return getShippingsame();
      case SdoPackage.USER_SDO__ACTIVE:
        return getActive();
      case SdoPackage.USER_SDO__RANK:
        return getRank();
      case SdoPackage.USER_SDO__FK_SHIPADDRESS:
        if (resolve) return getFk_shipaddress();
        return basicGetFk_shipaddress();
      case SdoPackage.USER_SDO__ACCOUNTSPAYABLE:
        return getAccountspayable();
    }
    return eDynamicGet(eFeature, resolve);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void eSet(EStructuralFeature eFeature, Object newValue)
  {
    switch (eDerivedStructuralFeatureID(eFeature))
    {
      case SdoPackage.USER_SDO__USERID:
        setUserid((Integer)newValue);
        return;
      case SdoPackage.USER_SDO__EMAIL:
        setEmail((String)newValue);
        return;
      case SdoPackage.USER_SDO__PASSWD:
        setPasswd((String)newValue);
        return;
      case SdoPackage.USER_SDO__NAME:
        setName((String)newValue);
        return;
      case SdoPackage.USER_SDO__CARDTYPE:
        setCardtype((String)newValue);
        return;
      case SdoPackage.USER_SDO__ACCTNUM:
        setAcctnum((String)newValue);
        return;
      case SdoPackage.USER_SDO__EXPIRY:
        setExpiry((Timestamp)newValue);
        return;
      case SdoPackage.USER_SDO__SHIPPINGSAME:
        setShippingsame((Integer)newValue);
        return;
      case SdoPackage.USER_SDO__ACTIVE:
        setActive((Integer)newValue);
        return;
      case SdoPackage.USER_SDO__RANK:
        setRank((Integer)newValue);
        return;
      case SdoPackage.USER_SDO__FK_SHIPADDRESS:
        setFk_shipaddress((AddressSDO)newValue);
        return;
      case SdoPackage.USER_SDO__ACCOUNTSPAYABLE:
        getAccountspayable().clear();
        getAccountspayable().addAll((Collection)newValue);
        return;
    }
    eDynamicSet(eFeature, newValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void eUnset(EStructuralFeature eFeature)
  {
    switch (eDerivedStructuralFeatureID(eFeature))
    {
      case SdoPackage.USER_SDO__USERID:
        setUserid(USERID_EDEFAULT);
        return;
      case SdoPackage.USER_SDO__EMAIL:
        setEmail(EMAIL_EDEFAULT);
        return;
      case SdoPackage.USER_SDO__PASSWD:
        setPasswd(PASSWD_EDEFAULT);
        return;
      case SdoPackage.USER_SDO__NAME:
        setName(NAME_EDEFAULT);
        return;
      case SdoPackage.USER_SDO__CARDTYPE:
        setCardtype(CARDTYPE_EDEFAULT);
        return;
      case SdoPackage.USER_SDO__ACCTNUM:
        setAcctnum(ACCTNUM_EDEFAULT);
        return;
      case SdoPackage.USER_SDO__EXPIRY:
        setExpiry(EXPIRY_EDEFAULT);
        return;
      case SdoPackage.USER_SDO__SHIPPINGSAME:
        setShippingsame(SHIPPINGSAME_EDEFAULT);
        return;
      case SdoPackage.USER_SDO__ACTIVE:
        setActive(ACTIVE_EDEFAULT);
        return;
      case SdoPackage.USER_SDO__RANK:
        setRank(RANK_EDEFAULT);
        return;
      case SdoPackage.USER_SDO__FK_SHIPADDRESS:
        setFk_shipaddress((AddressSDO)null);
        return;
      case SdoPackage.USER_SDO__ACCOUNTSPAYABLE:
        getAccountspayable().clear();
        return;
    }
    eDynamicUnset(eFeature);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean eIsSet(EStructuralFeature eFeature)
  {
    switch (eDerivedStructuralFeatureID(eFeature))
    {
      case SdoPackage.USER_SDO__USERID:
        return USERID_EDEFAULT == null ? userid != null : !USERID_EDEFAULT.equals(userid);
      case SdoPackage.USER_SDO__EMAIL:
        return EMAIL_EDEFAULT == null ? email != null : !EMAIL_EDEFAULT.equals(email);
      case SdoPackage.USER_SDO__PASSWD:
        return PASSWD_EDEFAULT == null ? passwd != null : !PASSWD_EDEFAULT.equals(passwd);
      case SdoPackage.USER_SDO__NAME:
        return NAME_EDEFAULT == null ? name != null : !NAME_EDEFAULT.equals(name);
      case SdoPackage.USER_SDO__CARDTYPE:
        return CARDTYPE_EDEFAULT == null ? cardtype != null : !CARDTYPE_EDEFAULT.equals(cardtype);
      case SdoPackage.USER_SDO__ACCTNUM:
        return ACCTNUM_EDEFAULT == null ? acctnum != null : !ACCTNUM_EDEFAULT.equals(acctnum);
      case SdoPackage.USER_SDO__EXPIRY:
        return EXPIRY_EDEFAULT == null ? expiry != null : !EXPIRY_EDEFAULT.equals(expiry);
      case SdoPackage.USER_SDO__SHIPPINGSAME:
        return SHIPPINGSAME_EDEFAULT == null ? shippingsame != null : !SHIPPINGSAME_EDEFAULT.equals(shippingsame);
      case SdoPackage.USER_SDO__ACTIVE:
        return ACTIVE_EDEFAULT == null ? active != null : !ACTIVE_EDEFAULT.equals(active);
      case SdoPackage.USER_SDO__RANK:
        return RANK_EDEFAULT == null ? rank != null : !RANK_EDEFAULT.equals(rank);
      case SdoPackage.USER_SDO__FK_SHIPADDRESS:
        return fk_shipaddress != null;
      case SdoPackage.USER_SDO__ACCOUNTSPAYABLE:
        return accountspayable != null && !accountspayable.isEmpty();
    }
    return eDynamicIsSet(eFeature);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String toString()
  {
    if (eIsProxy()) return super.toString();

    StringBuffer result = new StringBuffer(super.toString());
    result.append(" (userid: ");
    result.append(userid);
    result.append(", email: ");
    result.append(email);
    result.append(", passwd: ");
    result.append(passwd);
    result.append(", name: ");
    result.append(name);
    result.append(", cardtype: ");
    result.append(cardtype);
    result.append(", acctnum: ");
    result.append(acctnum);
    result.append(", expiry: ");
    result.append(expiry);
    result.append(", shippingsame: ");
    result.append(shippingsame);
    result.append(", active: ");
    result.append(active);
    result.append(", rank: ");
    result.append(rank);
    result.append(')');
    return result.toString();
  }

} //UserSDOImpl
