package sample;
/**
 * Key class for Entity Bean: States
 */
public class StatesKey implements java.io.Serializable {
	static final long serialVersionUID = 3206093459760846163L;
	/**
	 * Implementation field for persistent attribute: stateid
	 */
	public java.lang.Integer stateid;
	/**
	 * Creates an empty key for Entity Bean: States
	 */
	public StatesKey() {
	}
	/**
	 * Creates a key for Entity Bean: States
	 */
	public StatesKey(java.lang.Integer stateid) {
		this.stateid = stateid;
	}
	/**
	 * Returns true if both keys are equal.
	 */
	public boolean equals(java.lang.Object otherKey) {
		if (otherKey instanceof sample.StatesKey) {
			sample.StatesKey o = (sample.StatesKey) otherKey;
			return ((this.stateid.equals(o.stateid)));
		}
		return false;
	}
	/**
	 * Returns the hash code for the key.
	 */
	public int hashCode() {
		return (stateid.hashCode());
	}
}