package pagecode;

import java.sql.Timestamp;
import java.util.Date;

import javax.ejb.CreateException;
import javax.faces.component.html.HtmlForm;
import javax.faces.component.html.HtmlOutputText;

import sample.UserFacadeLocal;
import sample.UserFacadeLocalHome;
import sample.sdo.SellerItemSDO;

import com.ibm.etools.service.locator.ServiceLocatorManager;
import com.ibm.faces.component.html.HtmlOutputLinkEx;
import com.ibm.faces.component.html.HtmlScriptCollector;
import javax.faces.component.html.HtmlInputText;
import javax.faces.component.html.HtmlMessages;
import com.ibm.faces.component.html.HtmlCommandExButton;
public class Setup extends PageCodeBase {


	public String doButton1Action() {
		Long durationLong = (Long) getDuration().getValue();
		if(durationLong != null) {
			Integer duration = new Integer(durationLong.intValue());
			Timestamp startBidding = new Timestamp(getNow().getTime());
			Timestamp endBidding = new Timestamp(getNow().getTime()+1000*60*60*24*duration.intValue());
			
			doUserFacadeLocalGetAllSellerItemSDOObjectsAction();
			SellerItemSDO[] items = getUserFacadeLocalGetAllSellerItemSDOObjectsResultBean();
			for(int i=0;i<items.length;i++) {
				SellerItemSDO item = items[i];
				item.setStartbidding(startBidding);
				item.setEndbidding(endBidding);
				getUserFacadeLocalUpdateSellerItemSDOParamBean().setData(item);
				doUserFacadeLocalUpdateSellerItemSDOAction();
			}
		}
		
		return "home";
	}

	
	
	/** Page Code JSF UI Fields
	 * @pcElementClass tag
	 */
	protected HtmlScriptCollector scriptCollector1;
	/** Page Code JSF UI Fields
	 * @pcElementClass tag
	 */
	protected HtmlOutputLinkEx linkEx1;
	/** Page Code JSF UI Fields
	 * @pcElementClass tag
	 */
	protected HtmlOutputText text1;
	/** Page Code JSF UI Fields
	 * @pcElementClass tag
	 */
	protected HtmlOutputLinkEx linkEx2;
	/** Page Code JSF UI Fields
	 * @pcElementClass tag
	 */
	protected HtmlOutputText text2;
	/** Page Code JSF UI Fields
	 * @pcElementClass tag
	 */
	protected HtmlScriptCollector scriptCollector2;
	/** Page Code JSF UI Fields
	 * @pcElementClass tag
	 */
	protected HtmlForm setupform;
	/** Page Code Data Fields
	 * @pcElementClass data
	 */
	protected UserFacadeLocal userFacadeLocal;
	private final static String STATIC_UserFacadeLocalHome_REF_NAME = "ejb/UserFacade";
	private final static Class STATIC_UserFacadeLocalHome_CLASS = UserFacadeLocalHome.class;
	/** 
	 */
	protected SellerItemSDO[] userFacadeLocalGetAllSellerItemSDOObjectsResultBean;
	/** 
	 */
	protected UserFacadeLocalUpdateSellerItemSDOParamBean userFacadeLocalUpdateSellerItemSDOParamBean;
	protected HtmlOutputText text5;
	protected HtmlInputText duration;
	protected HtmlMessages messages1;
	protected HtmlCommandExButton initbutton;
	/** Page Code JSF UI Getters
	 * @pcElementClass tag
	 */
	protected HtmlScriptCollector getScriptCollector1() {
		if (scriptCollector1 == null) {
			scriptCollector1 = (HtmlScriptCollector) findComponentInRoot("scriptCollector1");
		}
		return scriptCollector1;
	}
	/** Page Code JSF UI Getters
	 * @pcElementClass tag
	 */
	protected HtmlOutputLinkEx getLinkEx1() {
		if (linkEx1 == null) {
			linkEx1 = (HtmlOutputLinkEx) findComponentInRoot("linkEx1");
		}
		return linkEx1;
	}
	/** Page Code JSF UI Getters
	 * @pcElementClass tag
	 */
	protected HtmlOutputText getText1() {
		if (text1 == null) {
			text1 = (HtmlOutputText) findComponentInRoot("text1");
		}
		return text1;
	}
	/** Page Code JSF UI Getters
	 * @pcElementClass tag
	 */
	protected HtmlOutputLinkEx getLinkEx2() {
		if (linkEx2 == null) {
			linkEx2 = (HtmlOutputLinkEx) findComponentInRoot("linkEx2");
		}
		return linkEx2;
	}
	/** Page Code JSF UI Getters
	 * @pcElementClass tag
	 */
	protected HtmlOutputText getText2() {
		if (text2 == null) {
			text2 = (HtmlOutputText) findComponentInRoot("text2");
		}
		return text2;
	}
	/** Page Code JSF UI Getters
	 * @pcElementClass tag
	 */
	protected HtmlScriptCollector getScriptCollector2() {
		if (scriptCollector2 == null) {
			scriptCollector2 = (HtmlScriptCollector) findComponentInRoot("scriptCollector2");
		}
		return scriptCollector2;
	}
	/** Page Code JSF UI Getters
	 * @pcElementClass tag
	 */
	protected HtmlForm getSetupform() {
		if (setupform == null) {
			setupform = (HtmlForm) findComponentInRoot("setupform");
		}
		return setupform;
	}
	public Date getNow() {
		return new Date();
	}

	/** 
	 */
	public UserFacadeLocal createUserFacadeLocal() {

		UserFacadeLocalHome anUserFacadeLocalHome = (UserFacadeLocalHome) ServiceLocatorManager
				.getLocalHome(STATIC_UserFacadeLocalHome_REF_NAME,
						STATIC_UserFacadeLocalHome_CLASS);
		try {
			if (anUserFacadeLocalHome != null)
				return anUserFacadeLocalHome.create();
		} catch (CreateException ce) {
			ce.printStackTrace();
		}
		return null;
	}
	/** 
	 * @resultBean id=1
	 */
	public SellerItemSDO[] getUserFacadeLocalGetAllSellerItemSDOObjectsResultBean() {
		return userFacadeLocalGetAllSellerItemSDOObjectsResultBean;
	}
	/** 
	 * @action id=1
	 */
	public String doUserFacadeLocalGetAllSellerItemSDOObjectsAction() {
		try {
			userFacadeLocalGetAllSellerItemSDOObjectsResultBean = getUserFacadeLocal()
					.getAllSellerItemSDOObjects();
		} catch (Exception e) {
			logException(e);
		}
		return null;
	}
	/** Page Code Data Getters
	 * @pcElementClass data
	 */
	public void setUserFacadeLocal(UserFacadeLocal userFacadeLocal) {
		this.userFacadeLocal = userFacadeLocal;
	}
	/** Page Code Data Getters
	 * Page Code Data Getters Page Code Data Getters
	 * @pcElementClass data
	 * @beanType EJB_Session_Bean
	 * @methodEntry id=getAllSellerItemSDOObjects()/resultBean=1/action=1
	 * @methodEntry id=updateSellerItemSDO(sample.sdo.SellerItemSDO)/paramBean=1/action=2
	 */
	public UserFacadeLocal getUserFacadeLocal() {
		if (userFacadeLocal == null)
			userFacadeLocal = createUserFacadeLocal();
		return userFacadeLocal;
	}
	/** 
	 * @paramBean id=1
	 */
	public UserFacadeLocalUpdateSellerItemSDOParamBean getUserFacadeLocalUpdateSellerItemSDOParamBean() {
		if (userFacadeLocalUpdateSellerItemSDOParamBean == null) {
			userFacadeLocalUpdateSellerItemSDOParamBean = new UserFacadeLocalUpdateSellerItemSDOParamBean();
		}
		return userFacadeLocalUpdateSellerItemSDOParamBean;
	}
	/** 
	 * @action id=2
	 */
	public String doUserFacadeLocalUpdateSellerItemSDOAction() {
		try {
			getUserFacadeLocal().updateSellerItemSDO(
					getUserFacadeLocalUpdateSellerItemSDOParamBean().getData());
		} catch (Exception e) {
			logException(e);
		}
		return null;
	}
	protected HtmlOutputText getText5() {
		if (text5 == null) {
			text5 = (HtmlOutputText) findComponentInRoot("text5");
		}
		return text5;
	}
	protected HtmlInputText getDuration() {
		if (duration == null) {
			duration = (HtmlInputText) findComponentInRoot("duration");
		}
		return duration;
	}
	protected HtmlMessages getMessages1() {
		if (messages1 == null) {
			messages1 = (HtmlMessages) findComponentInRoot("messages1");
		}
		return messages1;
	}
	protected HtmlCommandExButton getInitbutton() {
		if (initbutton == null) {
			initbutton = (HtmlCommandExButton) findComponentInRoot("initbutton");
		}
		return initbutton;
	}
}