<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/Browse.java" --%><%-- /jsf:pagecode --%>
<%-- tpl:insert page="/maintemplate.jtpl" --%><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/siteedit/sitelib" prefix="siteedit"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<html>
<head>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"%>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<meta name="GENERATOR" content="IBM Software Development Platform">
<meta http-equiv="Content-Style-Type" content="text/css">
<link href="theme/Master.css" rel="stylesheet" type="text/css">
<%-- tpl:put name="headarea" --%>
	<title>Auction - Browse</title>
<%-- /tpl:put --%>
<link rel="stylesheet" type="text/css" href="/AuctionV60Web/theme/stylesheet.css" title="Style">
</head>
<f:view>
	<body>
	<hx:scriptCollector id="scriptCollector1">
		<h:form styleClass="form" id="auctiontemplateform">
			<table width="760" cellpadding="0" cellspacing="0" border="0">
				<tbody>
					<tr>
						<td class="logo" nowrap width="10" valign="top"><img border="0"
							src="img/greenleft.gif" width="10" height="41"></td>
						<td class="logo" valign="middle" nowrap align="left" colspan="3"><hx:graphicImageEx
							styleClass="graphicImageEx" id="imageEx1"
							value="img/auctionlogo.gif" width="259"
							height="41"></hx:graphicImageEx></td>
						<td class="logo" valign="middle" nowrap align="left" width="10"><img
							border="0" src="img/greenright.gif" width="10"
							height="41"></td>
					</tr>
					<tr>
						<td class="navBar" width="5" nowrap></td>
						<td class="navBar" align="right" valign="bottom" nowrap
							colspan="3" height="25"><siteedit:navbar
							target="home,topchildren"
							spec="/AuctionV60Web/horizontal-sep.jsp" navclass="nav" /></td>
						<td class="navBar" width="5" nowrap></td>
					</tr>
					<tr bgcolor="#d0e8f8">
						<td></td>
						<td align="left" valign="middle" nowrap height="20" colspan="2">&nbsp;&nbsp;<siteedit:navtrail
							start="" end="" target="home,parent,ancestor,self"
							separator="&gt;" spec="/AuctionV60Web/trail.jsp" /></td>
						<td align="right" nowrap valign="middle"><hx:panelBox
							styleClass="panelBox" id="box4" valign="middle">
							<h:commandLink styleClass="commandLink" id="link1"
								rendered="#{sessionScope.currentuser == null}" action="login">
								<h:outputText id="logintext" styleClass="outputText"
									value="Login"></h:outputText>
							</h:commandLink>
							<h:outputText rendered="#{sessionScope.currentuser != null}"
								id="templateWelcomeText" styleClass="outputText"
								value="Welcome #{sessionScope.currentuser.name} - "></h:outputText>
							<h:commandLink styleClass="commandLink" id="link2"
								rendered="#{sessionScope.currentuser != null}"
								action="#{pc_Maintemplate.doLink2Action}">
								<h:outputText id="logofftext" styleClass="outputText"
									value="Logout"></h:outputText>
							</h:commandLink>

							<hx:panelBox styleClass="panelBox" id="box1"
								rendered="#{pc_Maintemplate.isAdmin}" valign="middle">
								<f:verbatim>|</f:verbatim>
								
								<h:commandLink styleClass="commandLink" id="link4"
									action="setup">
									<h:outputText id="text4" styleClass="outputText" value="Setup"></h:outputText>
								</h:commandLink>
							</hx:panelBox>
						</hx:panelBox></td>
						<td></td>
					</tr>
					<tr bgcolor="#d0e8f8">
						<td colspan="5">&nbsp;</td>
					</tr>
				</tbody>
			</table>
		</h:form>
		<table width="760" cellpadding="0" cellspacing="0" border="0">
			<tbody>
				<tr>
					<td></td>
					<td colspan="3">
					<%-- tpl:put name="mainbody" --%>
<hx:scriptCollector id="scriptCollector2">
	<h2 align="left"><font color="#808080">Browse</font></h2>
	<p><h:messages styleClass="messages" id="id1"></h:messages></p>
								<h:form styleClass="form" id="browseform">
									<table cellpadding="2" cellspacing="10">
										<tbody>
											<TR>
												<TD colspan="2">Enter search terms, or maximum price, and
												sort order. The search is case sensitive.</TD>
											</TR>
											<tr>
												<td nowrap>Search descriptions:</td>
												<td><h:inputText styleClass="inputText" id="desctext"
													size="60" value="#{pc_Browse.browseParams.description}"></h:inputText></td>
											</tr>
											<tr>
												<td nowrap>Maximum price:</td>
												<td nowrap><h:inputText styleClass="inputText"
													id="maxpricetext"
													value="#{pc_Browse.browseParams.maxPrice}">
													<f:convertNumber />
												</h:inputText></td>
											</tr>
											<tr>
												<td nowrap>Order by:</td>
												<td nowrap><h:selectOneRadio
													disabledClass="selectOneRadio_Disabled"
													styleClass="selectOneRadio" id="radio1"
													value="#{pc_Browse.browseParams.orderby}">
													<f:selectItem itemValue="1" itemLabel="Expiration" />
													<f:selectItem itemValue="0" itemLabel="Value" />
												</h:selectOneRadio></td>
											</tr>
											<tr>
												<td></td>
												<td><hx:commandExButton type="submit"
													styleClass="commandExButton" id="browsebutton"
													image="img/go.gif" action="search"></hx:commandExButton></td>
											</tr>
											<tr>
												<td colspan="2"><br>
												</td>
											</tr>
										</tbody>
									</table>
								</h:form>
							</hx:scriptCollector>

<%-- /tpl:put --%>
					<BR>
					</td>
					<td></td>
				</tr>
			</tbody>
		</table>
		<table width="760" cellpadding="0" cellspacing="0" border="0">
			<tbody>
				<tr>
					<td class="navBar" align="left" valign="middle" nowrap>
					<hr>
					</td>
				</tr>
				<tr>
					<td class="navBar" align="left" valign="middle" nowrap><IMG
						border="0" src="/AuctionV60Web/img/ibmpowerby.gif" width="100"
						height="23"></td>
				</tr>
			</tbody>
		</table>
	</hx:scriptCollector>
	</body>
</f:view>
</html>
<%-- /tpl:insert --%>