<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/Help.java" --%><%-- /jsf:pagecode --%>
<%-- tpl:insert page="/maintemplate.jtpl" --%><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://www.ibm.com/siteedit/sitelib" prefix="siteedit"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<html>
<head>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"%>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<meta name="GENERATOR" content="IBM Software Development Platform">
<meta http-equiv="Content-Style-Type" content="text/css">
<link href="theme/Master.css" rel="stylesheet" type="text/css">
<%-- tpl:put name="headarea" --%>
	<title>Auction - Help</title>
<%-- /tpl:put --%>
<link rel="stylesheet" type="text/css" href="/AuctionV60Web/theme/stylesheet.css" title="Style">
</head>
<f:view>
	<body>
	<hx:scriptCollector id="scriptCollector1">
		<h:form styleClass="form" id="auctiontemplateform">
			<table width="760" cellpadding="0" cellspacing="0" border="0">
				<tbody>
					<tr>
						<td class="logo" nowrap width="10" valign="top"><img border="0"
							src="img/greenleft.gif" width="10" height="41"></td>
						<td class="logo" valign="middle" nowrap align="left" colspan="3"><hx:graphicImageEx
							styleClass="graphicImageEx" id="imageEx1"
							value="img/auctionlogo.gif" width="259"
							height="41"></hx:graphicImageEx></td>
						<td class="logo" valign="middle" nowrap align="left" width="10"><img
							border="0" src="img/greenright.gif" width="10"
							height="41"></td>
					</tr>
					<tr>
						<td class="navBar" width="5" nowrap></td>
						<td class="navBar" align="right" valign="bottom" nowrap
							colspan="3" height="25"><siteedit:navbar
							target="home,topchildren"
							spec="/AuctionV60Web/horizontal-sep.jsp" navclass="nav" /></td>
						<td class="navBar" width="5" nowrap></td>
					</tr>
					<tr bgcolor="#d0e8f8">
						<td></td>
						<td align="left" valign="middle" nowrap height="20" colspan="2">&nbsp;&nbsp;<siteedit:navtrail
							start="" end="" target="home,parent,ancestor,self"
							separator="&gt;" spec="/AuctionV60Web/trail.jsp" /></td>
						<td align="right" nowrap valign="middle"><hx:panelBox
							styleClass="panelBox" id="box4" valign="middle">
							<h:commandLink styleClass="commandLink" id="link1"
								rendered="#{sessionScope.currentuser == null}" action="login">
								<h:outputText id="logintext" styleClass="outputText"
									value="Login"></h:outputText>
							</h:commandLink>
							<h:outputText rendered="#{sessionScope.currentuser != null}"
								id="templateWelcomeText" styleClass="outputText"
								value="Welcome #{sessionScope.currentuser.name} - "></h:outputText>
							<h:commandLink styleClass="commandLink" id="link2"
								rendered="#{sessionScope.currentuser != null}"
								action="#{pc_Maintemplate.doLink2Action}">
								<h:outputText id="logofftext" styleClass="outputText"
									value="Logout"></h:outputText>
							</h:commandLink>

							<hx:panelBox styleClass="panelBox" id="box1"
								rendered="#{pc_Maintemplate.isAdmin}" valign="middle">
								<f:verbatim>|</f:verbatim>
								
								<h:commandLink styleClass="commandLink" id="link4"
									action="setup">
									<h:outputText id="text4" styleClass="outputText" value="Setup"></h:outputText>
								</h:commandLink>
							</hx:panelBox>
						</hx:panelBox></td>
						<td></td>
					</tr>
					<tr bgcolor="#d0e8f8">
						<td colspan="5">&nbsp;</td>
					</tr>
				</tbody>
			</table>
		</h:form>
		<table width="760" cellpadding="0" cellspacing="0" border="0">
			<tbody>
				<tr>
					<td></td>
					<td colspan="3">
					<%-- tpl:put name="mainbody" --%>
<h2 align="left"><font color="#808080">Help Information</font></h2>
<p>The Auction sample has the following functions:</p>
<ul>
	<li><H3><FONT color="#993333">Login/Logoff</FONT></H3>
	<P>Anyone can browse the auction web site, but you must login to buy, 
	sell, or use the administrator functions. For sample purposes, example users and passwards are displayed on the Login page. After you login your name is displaed in the menu area at the top.<BR></P></li>

	<li><h3><font color="#993333">Browse</font></h3>
	<p>Any site user can use the browse function to generate a list 
	of items based on a specified search criteria. You can enter a 
	search term or maximum price, and have the search results sorted 
	by price or date. The Search function returns results that have any part of the search term. The Search function only looks at the item descriptions for the search terms.<BR></p></li>

	<li><h3><font color="#993333">Sell</font></h3>
	<p>Registered users can add an item for sale on the auction site. 
	Enter the required information on the form provided and the item 
	appears in the auction catalog listing. <BR></p></li>

	<li><h3><font color="#993333">Bid</font></h3>
	<p>Registered users can bid on items that are currrently for sale. 
	To place a bid, first browse al category and go to the detail 
	page for any item which has bidding time remaining. From the details 
	page you can see the  bidding details, place a bid amount and submit a bid.<BR></p></li>

	<li><h3><font color="#993333">Setup</font></h3>
	<p>The auction database has items that expire on January, 2009. Registered users can reset the date  for items on auction with the Setup function.   This is useful when 
	the bidding time for items on the site expires.<BR></p></li>
</ul>

<H3>A Tour of the Auction web site</H3>
<p>The  Auction sample is an Auction web site, where you can browse items, list  items for sale, bid on items, and run administrator 
functions for the site. The user can select a category of auction items 
and display a list of the current items available in that category.</p>
							<p></p>

							<p>To bid for an item or sell an item, you first need to login to the 
site. If you are not already logged in to the site, then the Login page
opens automatically. To bid on an item, click the item in the item list 
page to display item details, then enter a bid amount and click <b>Bid</b>.</p>
							<p></p>

							<p>To sell an item, click the <B>Sell</B> tab to open the Sell page. Enter 
the required information for the item that you want to sell, including the time
at which the item will expire. If you would like to include images, specify 
the URL for the image, but the images are optional. Click <b>Go</b> to add the item to the catalog listing.</p>
							<p></p>

							<p>The expiration date for all items shipped in original database 
is set for two years from the listing of the item for sale. You may need to 
reset dates in the database for active items to show on the Web site. Click the
<b>Setup</b> link that appears at the top of any Auction page when you are logged
on. Enter the duration for the items to be 
in the auction before they expire. Click the <b>Initialize Database</b> button to 
reset the auction items. </p>

<p></p>
 <%-- /tpl:put --%>
					<BR>
					</td>
					<td></td>
				</tr>
			</tbody>
		</table>
		<table width="760" cellpadding="0" cellspacing="0" border="0">
			<tbody>
				<tr>
					<td class="navBar" align="left" valign="middle" nowrap>
					<hr>
					</td>
				</tr>
				<tr>
					<td class="navBar" align="left" valign="middle" nowrap><IMG
						border="0" src="/AuctionV60Web/img/ibmpowerby.gif" width="100"
						height="23"></td>
				</tr>
			</tbody>
		</table>
	</hx:scriptCollector>
	</body>
</f:view>
</html>
<%-- /tpl:insert --%>